
from sre_constants import MAXREPEAT
from lark.grammar import Rule
from lark.lexer import TerminalDef
from lark import Lark

DATA = ({'parser': {'parser': {'tokens': {0: 'RBRACE', 1: '__ANON_1', 2: '__ANON_0', 3: '$END', 4: '__ANON_2', 5: 'identifier', 6: '__anon_plus_2', 7: 'one_line_block', 8: 'new_line_or_comment', 9: 'attribute', 10: 'start', 11: '__anon_star_0', 12: 'body', 13: 'block', 14: '__ANON_3', 15: '__anon_star_1', 16: 'LBRACE', 17: 'STRING_LIT', 18: 'EQUAL', 19: 'COMMA', 20: 'RPAR', 21: 'RSQB', 22: 'BANG', 23: 'TRUE', 24: '__ANON_11', 25: 'NULL', 26: 'LPAR', 27: 'FOR', 28: 'IN', 29: 'MINUS', 30: 'DECIMAL', 31: 'FALSE', 32: 'LSQB', 33: '__ANON_10', 34: 'IF', 35: 'SLASH', 36: 'DOT', 37: '__ANON_13', 38: 'PERCENT', 39: 'PLUS', 40: '__ANON_8', 41: 'MORETHAN', 42: 'QMARK', 43: '__ANON_6', 44: 'COLON', 45: '__ANON_12', 46: '__ANON_9', 47: 'STAR', 48: '__ANON_14', 49: '__ANON_5', 50: '__ANON_7', 51: '__ANON_4', 52: 'LESSTHAN', 53: 'for_tuple_expr', 54: 'get_attr_expr_term', 55: 'expr_term', 56: 'function_call', 57: 'operation', 58: 'unary_op', 59: 'true_lit', 60: 'expression', 61: 'null_lit', 62: '__anon_plus_3', 63: 'index_expr_term', 64: 'heredoc_template_trim', 65: 'full_splat_expr_term', 66: 'tuple', 67: 'object', 68: 'heredoc_template', 69: 'binary_op', 70: 'false_lit', 71: 'for_object_expr', 72: 'float_lit', 73: 'conditional', 74: 'int_lit', 75: 'attr_splat_expr_term', 76: 'object_elem', 77: 'for_intro', 78: 'index', 79: 'attr_splat', 80: 'get_attr', 81: 'full_splat', 82: 'binary_operator', 83: 'binary_term', 84: 'EXP_MARK', 85: 'new_line_and_or_comma', 86: '__anon_star_5', 87: 'arguments', 88: '__anon_star_4', 89: '__anon_star_6', 90: 'for_cond', 91: '__anon_star_7'}, 'states': {0: {0: (1, {'@': 45}), 1: (0, 12), 2: (0, 6), 3: (1, {'@': 45}), 4: (0, 10), 5: (0, 1), 6: (0, 2), 7: (0, 3), 8: (0, 4), 9: (0, 5), 10: (0, 7), 11: (0, 8), 12: (0, 9), 13: (0, 11), 14: (0, 13)}, 1: {15: (0, 14), 16: (0, 15), 17: (0, 16), 5: (0, 17), 14: (0, 13), 18: (0, 18)}, 2: {19: (1, {'@': 46}), 20: (1, {'@': 46}), 21: (1, {'@': 46}), 14: (1, {'@': 46}), 17: (1, {'@': 46}), 3: (1, {'@': 46}), 2: (0, 19), 22: (1, {'@': 46}), 23: (1, {'@': 46}), 16: (1, {'@': 46}), 24: (1, {'@': 46}), 0: (1, {'@': 46}), 4: (0, 20), 25: (1, {'@': 46}), 26: (1, {'@': 46}), 27: (1, {'@': 46}), 28: (1, {'@': 46}), 29: (1, {'@': 46}), 1: (0, 21), 30: (1, {'@': 46}), 31: (1, {'@': 46}), 32: (1, {'@': 46}), 33: (1, {'@': 46}), 34: (1, {'@': 46})}, 3: {0: (1, {'@': 47}), 14: (1, {'@': 47}), 3: (1, {'@': 47}), 1: (1, {'@': 47}), 2: (1, {'@': 47}), 4: (1, {'@': 47})}, 4: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 5: (0, 1), 7: (0, 3), 9: (0, 5), 11: (0, 8), 13: (0, 11), 12: (0, 22), 14: (0, 13)}, 5: {0: (1, {'@': 48}), 14: (1, {'@': 48}), 3: (1, {'@': 48}), 1: (1, {'@': 48}), 2: (1, {'@': 48}), 4: (1, {'@': 48})}, 6: {20: (1, {'@': 49}), 14: (1, {'@': 49}), 17: (1, {'@': 49}), 23: (1, {'@': 49}), 24: (1, {'@': 49}), 25: (1, {'@': 49}), 27: (1, {'@': 49}), 31: (1, {'@': 49}), 32: (1, {'@': 49}), 33: (1, {'@': 49}), 34: (1, {'@': 49}), 19: (1, {'@': 49}), 21: (1, {'@': 49}), 3: (1, {'@': 49}), 2: (1, {'@': 49}), 22: (1, {'@': 49}), 16: (1, {'@': 49}), 0: (1, {'@': 49}), 4: (1, {'@': 49}), 26: (1, {'@': 49}), 29: (1, {'@': 49}), 1: (1, {'@': 49}), 30: (1, {'@': 49}), 28: (1, {'@': 49})}, 7: {3: (0, 23)}, 8: {0: (1, {'@': 50}), 1: (1, {'@': 50}), 2: (1, {'@': 50}), 3: (1, {'@': 50}), 4: (1, {'@': 50}), 5: (0, 1), 7: (0, 24), 14: (0, 13), 13: (0, 25), 9: (0, 26)}, 9: {3: (1, {'@': 51}), 6: (0, 2), 1: (0, 12), 2: (0, 6), 8: (0, 27), 4: (0, 10)}, 10: {20: (1, {'@': 52}), 14: (1, {'@': 52}), 17: (1, {'@': 52}), 23: (1, {'@': 52}), 24: (1, {'@': 52}), 25: (1, {'@': 52}), 27: (1, {'@': 52}), 31: (1, {'@': 52}), 32: (1, {'@': 52}), 33: (1, {'@': 52}), 34: (1, {'@': 52}), 19: (1, {'@': 52}), 21: (1, {'@': 52}), 3: (1, {'@': 52}), 2: (1, {'@': 52}), 22: (1, {'@': 52}), 16: (1, {'@': 52}), 0: (1, {'@': 52}), 4: (1, {'@': 52}), 26: (1, {'@': 52}), 29: (1, {'@': 52}), 1: (1, {'@': 52}), 30: (1, {'@': 52}), 28: (1, {'@': 52})}, 11: {0: (1, {'@': 53}), 14: (1, {'@': 53}), 3: (1, {'@': 53}), 1: (1, {'@': 53}), 2: (1, {'@': 53}), 4: (1, {'@': 53})}, 12: {20: (1, {'@': 54}), 14: (1, {'@': 54}), 17: (1, {'@': 54}), 23: (1, {'@': 54}), 24: (1, {'@': 54}), 25: (1, {'@': 54}), 27: (1, {'@': 54}), 31: (1, {'@': 54}), 32: (1, {'@': 54}), 33: (1, {'@': 54}), 34: (1, {'@': 54}), 19: (1, {'@': 54}), 21: (1, {'@': 54}), 3: (1, {'@': 54}), 2: (1, {'@': 54}), 22: (1, {'@': 54}), 16: (1, {'@': 54}), 0: (1, {'@': 54}), 4: (1, {'@': 54}), 26: (1, {'@': 54}), 29: (1, {'@': 54}), 1: (1, {'@': 54}), 30: (1, {'@': 54}), 28: (1, {'@': 54})}, 13: {35: (1, {'@': 55}), 20: (1, {'@': 55}), 14: (1, {'@': 55}), 17: (1, {'@': 55}), 23: (1, {'@': 55}), 24: (1, {'@': 55}), 25: (1, {'@': 55}), 36: (1, {'@': 55}), 37: (1, {'@': 55}), 38: (1, {'@': 55}), 39: (1, {'@': 55}), 31: (1, {'@': 55}), 32: (1, {'@': 55}), 33: (1, {'@': 55}), 40: (1, {'@': 55}), 41: (1, {'@': 55}), 34: (1, {'@': 55}), 42: (1, {'@': 55}), 43: (1, {'@': 55}), 19: (1, {'@': 55}), 21: (1, {'@': 55}), 2: (1, {'@': 55}), 22: (1, {'@': 55}), 44: (1, {'@': 55}), 16: (1, {'@': 55}), 45: (1, {'@': 55}), 0: (1, {'@': 55}), 4: (1, {'@': 55}), 18: (1, {'@': 55}), 26: (1, {'@': 55}), 46: (1, {'@': 55}), 47: (1, {'@': 55}), 48: (1, {'@': 55}), 29: (1, {'@': 55}), 1: (1, {'@': 55}), 30: (1, {'@': 55}), 49: (1, {'@': 55}), 50: (1, {'@': 55}), 28: (1, {'@': 55}), 51: (1, {'@': 55}), 52: (1, {'@': 55})}, 14: {14: (0, 13), 17: (0, 28), 5: (0, 29), 16: (0, 30)}, 15: {6: (0, 2), 1: (0, 12), 2: (0, 6), 0: (0, 31), 14: (0, 13), 5: (0, 32), 4: (0, 10), 8: (0, 33)}, 16: {14: (1, {'@': 56}), 16: (1, {'@': 56}), 17: (1, {'@': 56})}, 17: {14: (1, {'@': 57}), 16: (1, {'@': 57}), 17: (1, {'@': 57})}, 18: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 46), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 19: {20: (1, {'@': 58}), 14: (1, {'@': 58}), 17: (1, {'@': 58}), 23: (1, {'@': 58}), 24: (1, {'@': 58}), 25: (1, {'@': 58}), 27: (1, {'@': 58}), 31: (1, {'@': 58}), 32: (1, {'@': 58}), 33: (1, {'@': 58}), 34: (1, {'@': 58}), 19: (1, {'@': 58}), 21: (1, {'@': 58}), 3: (1, {'@': 58}), 2: (1, {'@': 58}), 22: (1, {'@': 58}), 16: (1, {'@': 58}), 0: (1, {'@': 58}), 4: (1, {'@': 58}), 26: (1, {'@': 58}), 29: (1, {'@': 58}), 1: (1, {'@': 58}), 30: (1, {'@': 58}), 28: (1, {'@': 58})}, 20: {20: (1, {'@': 59}), 14: (1, {'@': 59}), 17: (1, {'@': 59}), 23: (1, {'@': 59}), 24: (1, {'@': 59}), 25: (1, {'@': 59}), 27: (1, {'@': 59}), 31: (1, {'@': 59}), 32: (1, {'@': 59}), 33: (1, {'@': 59}), 34: (1, {'@': 59}), 19: (1, {'@': 59}), 21: (1, {'@': 59}), 3: (1, {'@': 59}), 2: (1, {'@': 59}), 22: (1, {'@': 59}), 16: (1, {'@': 59}), 0: (1, {'@': 59}), 4: (1, {'@': 59}), 26: (1, {'@': 59}), 29: (1, {'@': 59}), 1: (1, {'@': 59}), 30: (1, {'@': 59}), 28: (1, {'@': 59})}, 21: {20: (1, {'@': 60}), 14: (1, {'@': 60}), 17: (1, {'@': 60}), 23: (1, {'@': 60}), 24: (1, {'@': 60}), 25: (1, {'@': 60}), 27: (1, {'@': 60}), 31: (1, {'@': 60}), 32: (1, {'@': 60}), 33: (1, {'@': 60}), 34: (1, {'@': 60}), 19: (1, {'@': 60}), 21: (1, {'@': 60}), 3: (1, {'@': 60}), 2: (1, {'@': 60}), 22: (1, {'@': 60}), 16: (1, {'@': 60}), 0: (1, {'@': 60}), 4: (1, {'@': 60}), 26: (1, {'@': 60}), 29: (1, {'@': 60}), 1: (1, {'@': 60}), 30: (1, {'@': 60}), 28: (1, {'@': 60})}, 22: {3: (1, {'@': 61}), 6: (0, 2), 1: (0, 12), 8: (0, 70), 2: (0, 6), 4: (0, 10)}, 23: {}, 24: {0: (1, {'@': 62}), 14: (1, {'@': 62}), 3: (1, {'@': 62}), 1: (1, {'@': 62}), 2: (1, {'@': 62}), 4: (1, {'@': 62})}, 25: {0: (1, {'@': 63}), 14: (1, {'@': 63}), 3: (1, {'@': 63}), 1: (1, {'@': 63}), 2: (1, {'@': 63}), 4: (1, {'@': 63})}, 26: {0: (1, {'@': 64}), 14: (1, {'@': 64}), 3: (1, {'@': 64}), 1: (1, {'@': 64}), 2: (1, {'@': 64}), 4: (1, {'@': 64})}, 27: {3: (1, {'@': 65})}, 28: {14: (1, {'@': 66}), 16: (1, {'@': 66}), 17: (1, {'@': 66})}, 29: {14: (1, {'@': 67}), 16: (1, {'@': 67}), 17: (1, {'@': 67})}, 30: {6: (0, 2), 0: (0, 71), 1: (0, 12), 2: (0, 6), 5: (0, 72), 8: (0, 73), 14: (0, 13), 4: (0, 10)}, 31: {6: (0, 2), 1: (0, 12), 2: (0, 6), 8: (0, 74), 4: (0, 10)}, 32: {18: (0, 75)}, 33: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 5: (0, 1), 7: (0, 3), 9: (0, 5), 11: (0, 8), 12: (0, 76), 13: (0, 11), 14: (0, 13)}, 34: {76: (0, 77), 16: (0, 34), 53: (0, 35), 27: (0, 78), 26: (0, 36), 8: (0, 79), 5: (0, 80), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 77: (0, 81), 59: (0, 45), 60: (0, 82), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 0: (0, 83), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 31: (0, 65), 71: (0, 64), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 35: {35: (1, {'@': 68}), 20: (1, {'@': 68}), 14: (1, {'@': 68}), 17: (1, {'@': 68}), 23: (1, {'@': 68}), 24: (1, {'@': 68}), 36: (1, {'@': 68}), 25: (1, {'@': 68}), 37: (1, {'@': 68}), 38: (1, {'@': 68}), 39: (1, {'@': 68}), 31: (1, {'@': 68}), 32: (1, {'@': 68}), 33: (1, {'@': 68}), 40: (1, {'@': 68}), 41: (1, {'@': 68}), 34: (1, {'@': 68}), 42: (1, {'@': 68}), 43: (1, {'@': 68}), 19: (1, {'@': 68}), 21: (1, {'@': 68}), 2: (1, {'@': 68}), 22: (1, {'@': 68}), 44: (1, {'@': 68}), 16: (1, {'@': 68}), 45: (1, {'@': 68}), 4: (1, {'@': 68}), 0: (1, {'@': 68}), 46: (1, {'@': 68}), 18: (1, {'@': 68}), 26: (1, {'@': 68}), 47: (1, {'@': 68}), 48: (1, {'@': 68}), 29: (1, {'@': 68}), 1: (1, {'@': 68}), 49: (1, {'@': 68}), 30: (1, {'@': 68}), 50: (1, {'@': 68}), 51: (1, {'@': 68}), 52: (1, {'@': 68})}, 36: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 6: (0, 2), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 84), 23: (0, 47), 61: (0, 48), 8: (0, 85), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 37: {35: (1, {'@': 69}), 20: (1, {'@': 69}), 14: (1, {'@': 69}), 17: (1, {'@': 69}), 23: (1, {'@': 69}), 24: (1, {'@': 69}), 36: (1, {'@': 69}), 25: (1, {'@': 69}), 37: (1, {'@': 69}), 38: (1, {'@': 69}), 39: (1, {'@': 69}), 31: (1, {'@': 69}), 32: (1, {'@': 69}), 33: (1, {'@': 69}), 40: (1, {'@': 69}), 41: (1, {'@': 69}), 34: (1, {'@': 69}), 42: (1, {'@': 69}), 43: (1, {'@': 69}), 19: (1, {'@': 69}), 21: (1, {'@': 69}), 2: (1, {'@': 69}), 22: (1, {'@': 69}), 44: (1, {'@': 69}), 16: (1, {'@': 69}), 45: (1, {'@': 69}), 4: (1, {'@': 69}), 0: (1, {'@': 69}), 46: (1, {'@': 69}), 18: (1, {'@': 69}), 26: (0, 86), 47: (1, {'@': 69}), 48: (1, {'@': 69}), 29: (1, {'@': 69}), 1: (1, {'@': 69}), 49: (1, {'@': 69}), 30: (1, {'@': 69}), 50: (1, {'@': 69}), 51: (1, {'@': 69}), 52: (1, {'@': 69})}, 38: {8: (0, 87), 77: (0, 88), 16: (0, 34), 27: (0, 78), 26: (0, 36), 53: (0, 35), 5: (0, 37), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 60: (0, 89), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 31: (0, 65), 71: (0, 64), 21: (0, 90), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 39: {35: (1, {'@': 70}), 20: (1, {'@': 70}), 14: (1, {'@': 70}), 17: (1, {'@': 70}), 23: (1, {'@': 70}), 24: (1, {'@': 70}), 36: (1, {'@': 70}), 25: (1, {'@': 70}), 37: (1, {'@': 70}), 38: (1, {'@': 70}), 39: (1, {'@': 70}), 31: (1, {'@': 70}), 32: (1, {'@': 70}), 33: (1, {'@': 70}), 40: (1, {'@': 70}), 41: (1, {'@': 70}), 34: (1, {'@': 70}), 42: (1, {'@': 70}), 43: (1, {'@': 70}), 19: (1, {'@': 70}), 21: (1, {'@': 70}), 2: (1, {'@': 70}), 22: (1, {'@': 70}), 44: (1, {'@': 70}), 16: (1, {'@': 70}), 45: (1, {'@': 70}), 4: (1, {'@': 70}), 0: (1, {'@': 70}), 46: (1, {'@': 70}), 18: (1, {'@': 70}), 26: (1, {'@': 70}), 47: (1, {'@': 70}), 48: (1, {'@': 70}), 29: (1, {'@': 70}), 1: (1, {'@': 70}), 49: (1, {'@': 70}), 30: (1, {'@': 70}), 50: (1, {'@': 70}), 51: (1, {'@': 70}), 52: (1, {'@': 70})}, 40: {35: (1, {'@': 71}), 24: (1, {'@': 71}), 40: (1, {'@': 71}), 19: (1, {'@': 71}), 2: (1, {'@': 71}), 22: (1, {'@': 71}), 44: (1, {'@': 71}), 16: (1, {'@': 71}), 4: (1, {'@': 71}), 26: (1, {'@': 71}), 29: (1, {'@': 71}), 1: (1, {'@': 71}), 30: (1, {'@': 71}), 51: (1, {'@': 71}), 20: (1, {'@': 71}), 14: (1, {'@': 71}), 17: (1, {'@': 71}), 23: (1, {'@': 71}), 25: (1, {'@': 71}), 38: (1, {'@': 71}), 39: (1, {'@': 71}), 31: (1, {'@': 71}), 32: (0, 92), 33: (1, {'@': 71}), 41: (1, {'@': 71}), 34: (1, {'@': 71}), 42: (1, {'@': 71}), 43: (1, {'@': 71}), 21: (1, {'@': 71}), 45: (1, {'@': 71}), 0: (1, {'@': 71}), 46: (1, {'@': 71}), 18: (1, {'@': 71}), 47: (1, {'@': 71}), 48: (1, {'@': 71}), 49: (1, {'@': 71}), 50: (1, {'@': 71}), 52: (1, {'@': 71}), 36: (0, 91), 37: (0, 93), 78: (0, 94), 79: (0, 95), 80: (0, 96), 81: (0, 97)}, 41: {35: (1, {'@': 72}), 20: (1, {'@': 72}), 14: (1, {'@': 72}), 17: (1, {'@': 72}), 23: (1, {'@': 72}), 24: (1, {'@': 72}), 36: (1, {'@': 72}), 25: (1, {'@': 72}), 37: (1, {'@': 72}), 38: (1, {'@': 72}), 39: (1, {'@': 72}), 31: (1, {'@': 72}), 32: (1, {'@': 72}), 33: (1, {'@': 72}), 40: (1, {'@': 72}), 41: (1, {'@': 72}), 34: (1, {'@': 72}), 42: (1, {'@': 72}), 43: (1, {'@': 72}), 19: (1, {'@': 72}), 21: (1, {'@': 72}), 2: (1, {'@': 72}), 22: (1, {'@': 72}), 44: (1, {'@': 72}), 16: (1, {'@': 72}), 45: (1, {'@': 72}), 4: (1, {'@': 72}), 0: (1, {'@': 72}), 46: (1, {'@': 72}), 18: (1, {'@': 72}), 26: (1, {'@': 72}), 47: (1, {'@': 72}), 48: (1, {'@': 72}), 29: (1, {'@': 72}), 1: (1, {'@': 72}), 49: (1, {'@': 72}), 30: (1, {'@': 72}), 50: (1, {'@': 72}), 51: (1, {'@': 72}), 52: (1, {'@': 72})}, 42: {35: (1, {'@': 73}), 24: (1, {'@': 73}), 40: (1, {'@': 73}), 19: (1, {'@': 73}), 2: (1, {'@': 73}), 22: (1, {'@': 73}), 44: (1, {'@': 73}), 16: (1, {'@': 73}), 4: (1, {'@': 73}), 26: (1, {'@': 73}), 29: (1, {'@': 73}), 1: (1, {'@': 73}), 30: (1, {'@': 73}), 51: (1, {'@': 73}), 20: (1, {'@': 73}), 14: (1, {'@': 73}), 17: (1, {'@': 73}), 23: (1, {'@': 73}), 25: (1, {'@': 73}), 38: (1, {'@': 73}), 39: (1, {'@': 73}), 31: (1, {'@': 73}), 32: (1, {'@': 73}), 33: (1, {'@': 73}), 41: (1, {'@': 73}), 34: (1, {'@': 73}), 42: (1, {'@': 73}), 43: (1, {'@': 73}), 21: (1, {'@': 73}), 45: (1, {'@': 73}), 0: (1, {'@': 73}), 46: (1, {'@': 73}), 18: (1, {'@': 73}), 47: (1, {'@': 73}), 48: (1, {'@': 73}), 49: (1, {'@': 73}), 50: (1, {'@': 73}), 52: (1, {'@': 73})}, 43: {35: (1, {'@': 74}), 20: (1, {'@': 74}), 14: (1, {'@': 74}), 17: (1, {'@': 74}), 23: (1, {'@': 74}), 24: (1, {'@': 74}), 25: (1, {'@': 74}), 38: (1, {'@': 74}), 39: (1, {'@': 74}), 31: (1, {'@': 74}), 32: (1, {'@': 74}), 33: (1, {'@': 74}), 40: (1, {'@': 74}), 41: (1, {'@': 74}), 34: (1, {'@': 74}), 42: (1, {'@': 74}), 43: (1, {'@': 74}), 19: (1, {'@': 74}), 21: (1, {'@': 74}), 2: (1, {'@': 74}), 22: (1, {'@': 74}), 44: (1, {'@': 74}), 16: (1, {'@': 74}), 45: (1, {'@': 74}), 0: (1, {'@': 74}), 4: (1, {'@': 74}), 46: (1, {'@': 74}), 18: (1, {'@': 74}), 26: (1, {'@': 74}), 47: (1, {'@': 74}), 48: (1, {'@': 74}), 29: (1, {'@': 74}), 1: (1, {'@': 74}), 49: (1, {'@': 74}), 30: (1, {'@': 74}), 50: (1, {'@': 74}), 51: (1, {'@': 74}), 52: (1, {'@': 74})}, 44: {35: (1, {'@': 75}), 20: (1, {'@': 75}), 14: (1, {'@': 75}), 17: (1, {'@': 75}), 23: (1, {'@': 75}), 24: (1, {'@': 75}), 36: (1, {'@': 75}), 25: (1, {'@': 75}), 37: (1, {'@': 75}), 38: (1, {'@': 75}), 39: (1, {'@': 75}), 31: (1, {'@': 75}), 32: (1, {'@': 75}), 33: (1, {'@': 75}), 40: (1, {'@': 75}), 41: (1, {'@': 75}), 34: (1, {'@': 75}), 42: (1, {'@': 75}), 43: (1, {'@': 75}), 19: (1, {'@': 75}), 21: (1, {'@': 75}), 2: (1, {'@': 75}), 22: (1, {'@': 75}), 44: (1, {'@': 75}), 16: (1, {'@': 75}), 45: (1, {'@': 75}), 0: (1, {'@': 75}), 4: (1, {'@': 75}), 46: (1, {'@': 75}), 18: (1, {'@': 75}), 26: (1, {'@': 75}), 47: (1, {'@': 75}), 48: (1, {'@': 75}), 29: (1, {'@': 75}), 1: (1, {'@': 75}), 49: (1, {'@': 75}), 30: (1, {'@': 75}), 50: (1, {'@': 75}), 51: (1, {'@': 75}), 52: (1, {'@': 75})}, 45: {35: (1, {'@': 76}), 20: (1, {'@': 76}), 14: (1, {'@': 76}), 17: (1, {'@': 76}), 23: (1, {'@': 76}), 24: (1, {'@': 76}), 36: (1, {'@': 76}), 25: (1, {'@': 76}), 37: (1, {'@': 76}), 38: (1, {'@': 76}), 39: (1, {'@': 76}), 31: (1, {'@': 76}), 32: (1, {'@': 76}), 33: (1, {'@': 76}), 40: (1, {'@': 76}), 41: (1, {'@': 76}), 34: (1, {'@': 76}), 42: (1, {'@': 76}), 43: (1, {'@': 76}), 19: (1, {'@': 76}), 21: (1, {'@': 76}), 2: (1, {'@': 76}), 22: (1, {'@': 76}), 44: (1, {'@': 76}), 16: (1, {'@': 76}), 45: (1, {'@': 76}), 4: (1, {'@': 76}), 0: (1, {'@': 76}), 46: (1, {'@': 76}), 18: (1, {'@': 76}), 26: (1, {'@': 76}), 47: (1, {'@': 76}), 48: (1, {'@': 76}), 29: (1, {'@': 76}), 1: (1, {'@': 76}), 49: (1, {'@': 76}), 30: (1, {'@': 76}), 50: (1, {'@': 76}), 51: (1, {'@': 76}), 52: (1, {'@': 76})}, 46: {6: (0, 2), 46: (0, 98), 35: (0, 99), 2: (0, 6), 40: (0, 100), 82: (0, 101), 43: (0, 102), 8: (0, 103), 41: (0, 104), 4: (0, 10), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 1: (0, 12), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 47: {35: (1, {'@': 77}), 20: (1, {'@': 77}), 14: (1, {'@': 77}), 17: (1, {'@': 77}), 23: (1, {'@': 77}), 24: (1, {'@': 77}), 36: (1, {'@': 77}), 25: (1, {'@': 77}), 37: (1, {'@': 77}), 38: (1, {'@': 77}), 39: (1, {'@': 77}), 31: (1, {'@': 77}), 32: (1, {'@': 77}), 33: (1, {'@': 77}), 40: (1, {'@': 77}), 41: (1, {'@': 77}), 34: (1, {'@': 77}), 42: (1, {'@': 77}), 43: (1, {'@': 77}), 19: (1, {'@': 77}), 21: (1, {'@': 77}), 2: (1, {'@': 77}), 22: (1, {'@': 77}), 44: (1, {'@': 77}), 16: (1, {'@': 77}), 45: (1, {'@': 77}), 0: (1, {'@': 77}), 4: (1, {'@': 77}), 46: (1, {'@': 77}), 18: (1, {'@': 77}), 26: (1, {'@': 77}), 47: (1, {'@': 77}), 48: (1, {'@': 77}), 29: (1, {'@': 77}), 1: (1, {'@': 77}), 49: (1, {'@': 77}), 30: (1, {'@': 77}), 50: (1, {'@': 77}), 51: (1, {'@': 77}), 52: (1, {'@': 77})}, 48: {35: (1, {'@': 78}), 20: (1, {'@': 78}), 14: (1, {'@': 78}), 17: (1, {'@': 78}), 23: (1, {'@': 78}), 24: (1, {'@': 78}), 36: (1, {'@': 78}), 25: (1, {'@': 78}), 37: (1, {'@': 78}), 38: (1, {'@': 78}), 39: (1, {'@': 78}), 31: (1, {'@': 78}), 32: (1, {'@': 78}), 33: (1, {'@': 78}), 40: (1, {'@': 78}), 41: (1, {'@': 78}), 34: (1, {'@': 78}), 42: (1, {'@': 78}), 43: (1, {'@': 78}), 19: (1, {'@': 78}), 21: (1, {'@': 78}), 2: (1, {'@': 78}), 22: (1, {'@': 78}), 44: (1, {'@': 78}), 16: (1, {'@': 78}), 45: (1, {'@': 78}), 4: (1, {'@': 78}), 0: (1, {'@': 78}), 46: (1, {'@': 78}), 18: (1, {'@': 78}), 26: (1, {'@': 78}), 47: (1, {'@': 78}), 48: (1, {'@': 78}), 29: (1, {'@': 78}), 1: (1, {'@': 78}), 49: (1, {'@': 78}), 30: (1, {'@': 78}), 50: (1, {'@': 78}), 51: (1, {'@': 78}), 52: (1, {'@': 78})}, 49: {35: (1, {'@': 79}), 20: (1, {'@': 79}), 14: (1, {'@': 79}), 17: (1, {'@': 79}), 23: (1, {'@': 79}), 24: (1, {'@': 79}), 36: (0, 116), 25: (1, {'@': 79}), 37: (1, {'@': 79}), 38: (1, {'@': 79}), 39: (1, {'@': 79}), 31: (1, {'@': 79}), 32: (1, {'@': 79}), 33: (1, {'@': 79}), 40: (1, {'@': 79}), 41: (1, {'@': 79}), 34: (1, {'@': 79}), 42: (1, {'@': 79}), 43: (1, {'@': 79}), 19: (1, {'@': 79}), 21: (1, {'@': 79}), 2: (1, {'@': 79}), 22: (1, {'@': 79}), 44: (1, {'@': 79}), 16: (1, {'@': 79}), 45: (1, {'@': 79}), 0: (1, {'@': 79}), 4: (1, {'@': 79}), 46: (1, {'@': 79}), 18: (1, {'@': 79}), 26: (1, {'@': 79}), 47: (1, {'@': 79}), 48: (1, {'@': 79}), 29: (1, {'@': 79}), 1: (1, {'@': 79}), 49: (1, {'@': 79}), 30: (0, 115), 50: (1, {'@': 79}), 51: (1, {'@': 79}), 52: (1, {'@': 79}), 84: (0, 117)}, 50: {35: (1, {'@': 80}), 20: (1, {'@': 80}), 14: (1, {'@': 80}), 17: (1, {'@': 80}), 23: (1, {'@': 80}), 24: (1, {'@': 80}), 36: (1, {'@': 80}), 25: (1, {'@': 80}), 37: (1, {'@': 80}), 38: (1, {'@': 80}), 39: (1, {'@': 80}), 31: (1, {'@': 80}), 32: (1, {'@': 80}), 33: (1, {'@': 80}), 40: (1, {'@': 80}), 41: (1, {'@': 80}), 34: (1, {'@': 80}), 42: (1, {'@': 80}), 43: (1, {'@': 80}), 19: (1, {'@': 80}), 21: (1, {'@': 80}), 2: (1, {'@': 80}), 22: (1, {'@': 80}), 44: (1, {'@': 80}), 16: (1, {'@': 80}), 45: (1, {'@': 80}), 4: (1, {'@': 80}), 0: (1, {'@': 80}), 46: (1, {'@': 80}), 18: (1, {'@': 80}), 26: (1, {'@': 80}), 47: (1, {'@': 80}), 48: (1, {'@': 80}), 29: (1, {'@': 80}), 1: (1, {'@': 80}), 49: (1, {'@': 80}), 30: (1, {'@': 80}), 50: (1, {'@': 80}), 51: (1, {'@': 80}), 52: (1, {'@': 80})}, 51: {35: (1, {'@': 81}), 20: (1, {'@': 81}), 14: (1, {'@': 81}), 17: (1, {'@': 81}), 23: (1, {'@': 81}), 24: (1, {'@': 81}), 36: (1, {'@': 81}), 25: (1, {'@': 81}), 37: (1, {'@': 81}), 38: (1, {'@': 81}), 39: (1, {'@': 81}), 31: (1, {'@': 81}), 32: (1, {'@': 81}), 33: (1, {'@': 81}), 40: (1, {'@': 81}), 41: (1, {'@': 81}), 34: (1, {'@': 81}), 42: (1, {'@': 81}), 43: (1, {'@': 81}), 19: (1, {'@': 81}), 21: (1, {'@': 81}), 2: (1, {'@': 81}), 22: (1, {'@': 81}), 44: (1, {'@': 81}), 16: (1, {'@': 81}), 45: (1, {'@': 81}), 4: (1, {'@': 81}), 0: (1, {'@': 81}), 46: (1, {'@': 81}), 84: (1, {'@': 81}), 18: (1, {'@': 81}), 26: (1, {'@': 81}), 47: (1, {'@': 81}), 48: (1, {'@': 81}), 29: (1, {'@': 81}), 1: (1, {'@': 81}), 30: (1, {'@': 81}), 49: (1, {'@': 81}), 50: (1, {'@': 81}), 51: (1, {'@': 81}), 52: (1, {'@': 81})}, 52: {35: (1, {'@': 82}), 20: (1, {'@': 82}), 14: (1, {'@': 82}), 17: (1, {'@': 82}), 23: (1, {'@': 82}), 24: (1, {'@': 82}), 36: (1, {'@': 82}), 25: (1, {'@': 82}), 37: (1, {'@': 82}), 38: (1, {'@': 82}), 39: (1, {'@': 82}), 31: (1, {'@': 82}), 32: (1, {'@': 82}), 33: (1, {'@': 82}), 40: (1, {'@': 82}), 41: (1, {'@': 82}), 34: (1, {'@': 82}), 42: (1, {'@': 82}), 43: (1, {'@': 82}), 19: (1, {'@': 82}), 21: (1, {'@': 82}), 2: (1, {'@': 82}), 22: (1, {'@': 82}), 44: (1, {'@': 82}), 16: (1, {'@': 82}), 45: (1, {'@': 82}), 4: (1, {'@': 82}), 0: (1, {'@': 82}), 46: (1, {'@': 82}), 18: (1, {'@': 82}), 26: (1, {'@': 82}), 47: (1, {'@': 82}), 48: (1, {'@': 82}), 29: (1, {'@': 82}), 1: (1, {'@': 82}), 49: (1, {'@': 82}), 30: (1, {'@': 82}), 50: (1, {'@': 82}), 51: (1, {'@': 82}), 52: (1, {'@': 82})}, 53: {35: (1, {'@': 83}), 20: (1, {'@': 83}), 14: (1, {'@': 83}), 17: (1, {'@': 83}), 23: (1, {'@': 83}), 24: (1, {'@': 83}), 36: (1, {'@': 83}), 25: (1, {'@': 83}), 37: (1, {'@': 83}), 38: (1, {'@': 83}), 39: (1, {'@': 83}), 31: (1, {'@': 83}), 32: (1, {'@': 83}), 33: (1, {'@': 83}), 40: (1, {'@': 83}), 41: (1, {'@': 83}), 34: (1, {'@': 83}), 42: (1, {'@': 83}), 43: (1, {'@': 83}), 19: (1, {'@': 83}), 21: (1, {'@': 83}), 2: (1, {'@': 83}), 22: (1, {'@': 83}), 44: (1, {'@': 83}), 16: (1, {'@': 83}), 45: (1, {'@': 83}), 4: (1, {'@': 83}), 0: (1, {'@': 83}), 46: (1, {'@': 83}), 18: (1, {'@': 83}), 26: (1, {'@': 83}), 47: (1, {'@': 83}), 48: (1, {'@': 83}), 29: (1, {'@': 83}), 1: (1, {'@': 83}), 49: (1, {'@': 83}), 30: (1, {'@': 83}), 50: (1, {'@': 83}), 51: (1, {'@': 83}), 52: (1, {'@': 83})}, 54: {35: (1, {'@': 84}), 20: (1, {'@': 84}), 14: (1, {'@': 84}), 17: (1, {'@': 84}), 23: (1, {'@': 84}), 24: (1, {'@': 84}), 36: (1, {'@': 84}), 25: (1, {'@': 84}), 37: (1, {'@': 84}), 38: (1, {'@': 84}), 39: (1, {'@': 84}), 31: (1, {'@': 84}), 32: (1, {'@': 84}), 33: (1, {'@': 84}), 40: (1, {'@': 84}), 41: (1, {'@': 84}), 34: (1, {'@': 84}), 42: (1, {'@': 84}), 43: (1, {'@': 84}), 19: (1, {'@': 84}), 21: (1, {'@': 84}), 2: (1, {'@': 84}), 22: (1, {'@': 84}), 44: (1, {'@': 84}), 16: (1, {'@': 84}), 45: (1, {'@': 84}), 4: (1, {'@': 84}), 0: (1, {'@': 84}), 46: (1, {'@': 84}), 18: (1, {'@': 84}), 26: (1, {'@': 84}), 47: (1, {'@': 84}), 48: (1, {'@': 84}), 29: (1, {'@': 84}), 1: (1, {'@': 84}), 49: (1, {'@': 84}), 30: (1, {'@': 84}), 50: (1, {'@': 84}), 51: (1, {'@': 84}), 52: (1, {'@': 84})}, 55: {35: (1, {'@': 85}), 20: (1, {'@': 85}), 14: (1, {'@': 85}), 17: (1, {'@': 85}), 23: (1, {'@': 85}), 24: (1, {'@': 85}), 36: (1, {'@': 85}), 25: (1, {'@': 85}), 37: (1, {'@': 85}), 38: (1, {'@': 85}), 39: (1, {'@': 85}), 31: (1, {'@': 85}), 32: (1, {'@': 85}), 33: (1, {'@': 85}), 40: (1, {'@': 85}), 41: (1, {'@': 85}), 34: (1, {'@': 85}), 42: (1, {'@': 85}), 43: (1, {'@': 85}), 19: (1, {'@': 85}), 21: (1, {'@': 85}), 2: (1, {'@': 85}), 22: (1, {'@': 85}), 44: (1, {'@': 85}), 16: (1, {'@': 85}), 45: (1, {'@': 85}), 4: (1, {'@': 85}), 0: (1, {'@': 85}), 46: (1, {'@': 85}), 18: (1, {'@': 85}), 26: (1, {'@': 85}), 47: (1, {'@': 85}), 48: (1, {'@': 85}), 29: (1, {'@': 85}), 1: (1, {'@': 85}), 49: (1, {'@': 85}), 30: (1, {'@': 85}), 50: (1, {'@': 85}), 51: (1, {'@': 85}), 52: (1, {'@': 85})}, 56: {35: (1, {'@': 86}), 20: (1, {'@': 86}), 14: (1, {'@': 86}), 17: (1, {'@': 86}), 23: (1, {'@': 86}), 24: (1, {'@': 86}), 36: (1, {'@': 86}), 25: (1, {'@': 86}), 37: (1, {'@': 86}), 38: (1, {'@': 86}), 39: (1, {'@': 86}), 31: (1, {'@': 86}), 32: (1, {'@': 86}), 33: (1, {'@': 86}), 40: (1, {'@': 86}), 41: (1, {'@': 86}), 34: (1, {'@': 86}), 42: (1, {'@': 86}), 43: (1, {'@': 86}), 19: (1, {'@': 86}), 21: (1, {'@': 86}), 2: (1, {'@': 86}), 22: (1, {'@': 86}), 44: (1, {'@': 86}), 16: (1, {'@': 86}), 45: (1, {'@': 86}), 4: (1, {'@': 86}), 0: (1, {'@': 86}), 46: (1, {'@': 86}), 18: (1, {'@': 86}), 26: (1, {'@': 86}), 47: (1, {'@': 86}), 48: (1, {'@': 86}), 29: (1, {'@': 86}), 1: (1, {'@': 86}), 49: (1, {'@': 86}), 30: (1, {'@': 86}), 50: (1, {'@': 86}), 51: (1, {'@': 86}), 52: (1, {'@': 86})}, 57: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 56: (0, 41), 33: (0, 44), 14: (0, 13), 59: (0, 45), 55: (0, 118), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 24: (0, 59), 68: (0, 60), 25: (0, 61), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 74: (0, 68), 75: (0, 69)}, 58: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 56: (0, 41), 33: (0, 44), 14: (0, 13), 59: (0, 45), 55: (0, 119), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 24: (0, 59), 68: (0, 60), 25: (0, 61), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 74: (0, 68), 75: (0, 69)}, 59: {35: (1, {'@': 87}), 20: (1, {'@': 87}), 14: (1, {'@': 87}), 17: (1, {'@': 87}), 23: (1, {'@': 87}), 24: (1, {'@': 87}), 36: (1, {'@': 87}), 25: (1, {'@': 87}), 37: (1, {'@': 87}), 38: (1, {'@': 87}), 39: (1, {'@': 87}), 31: (1, {'@': 87}), 32: (1, {'@': 87}), 33: (1, {'@': 87}), 40: (1, {'@': 87}), 41: (1, {'@': 87}), 34: (1, {'@': 87}), 42: (1, {'@': 87}), 43: (1, {'@': 87}), 19: (1, {'@': 87}), 21: (1, {'@': 87}), 2: (1, {'@': 87}), 22: (1, {'@': 87}), 44: (1, {'@': 87}), 16: (1, {'@': 87}), 45: (1, {'@': 87}), 0: (1, {'@': 87}), 4: (1, {'@': 87}), 46: (1, {'@': 87}), 18: (1, {'@': 87}), 26: (1, {'@': 87}), 47: (1, {'@': 87}), 48: (1, {'@': 87}), 29: (1, {'@': 87}), 1: (1, {'@': 87}), 49: (1, {'@': 87}), 30: (1, {'@': 87}), 50: (1, {'@': 87}), 51: (1, {'@': 87}), 52: (1, {'@': 87})}, 60: {35: (1, {'@': 88}), 20: (1, {'@': 88}), 14: (1, {'@': 88}), 17: (1, {'@': 88}), 23: (1, {'@': 88}), 24: (1, {'@': 88}), 36: (1, {'@': 88}), 25: (1, {'@': 88}), 37: (1, {'@': 88}), 38: (1, {'@': 88}), 39: (1, {'@': 88}), 31: (1, {'@': 88}), 32: (1, {'@': 88}), 33: (1, {'@': 88}), 40: (1, {'@': 88}), 41: (1, {'@': 88}), 34: (1, {'@': 88}), 42: (1, {'@': 88}), 43: (1, {'@': 88}), 19: (1, {'@': 88}), 21: (1, {'@': 88}), 2: (1, {'@': 88}), 22: (1, {'@': 88}), 44: (1, {'@': 88}), 16: (1, {'@': 88}), 45: (1, {'@': 88}), 4: (1, {'@': 88}), 0: (1, {'@': 88}), 46: (1, {'@': 88}), 18: (1, {'@': 88}), 26: (1, {'@': 88}), 47: (1, {'@': 88}), 48: (1, {'@': 88}), 29: (1, {'@': 88}), 1: (1, {'@': 88}), 49: (1, {'@': 88}), 30: (1, {'@': 88}), 50: (1, {'@': 88}), 51: (1, {'@': 88}), 52: (1, {'@': 88})}, 61: {35: (1, {'@': 89}), 20: (1, {'@': 89}), 14: (1, {'@': 89}), 17: (1, {'@': 89}), 23: (1, {'@': 89}), 24: (1, {'@': 89}), 36: (1, {'@': 89}), 25: (1, {'@': 89}), 37: (1, {'@': 89}), 38: (1, {'@': 89}), 39: (1, {'@': 89}), 31: (1, {'@': 89}), 32: (1, {'@': 89}), 33: (1, {'@': 89}), 40: (1, {'@': 89}), 41: (1, {'@': 89}), 34: (1, {'@': 89}), 42: (1, {'@': 89}), 43: (1, {'@': 89}), 19: (1, {'@': 89}), 21: (1, {'@': 89}), 2: (1, {'@': 89}), 22: (1, {'@': 89}), 44: (1, {'@': 89}), 16: (1, {'@': 89}), 45: (1, {'@': 89}), 0: (1, {'@': 89}), 4: (1, {'@': 89}), 46: (1, {'@': 89}), 18: (1, {'@': 89}), 26: (1, {'@': 89}), 47: (1, {'@': 89}), 48: (1, {'@': 89}), 29: (1, {'@': 89}), 1: (1, {'@': 89}), 49: (1, {'@': 89}), 30: (1, {'@': 89}), 50: (1, {'@': 89}), 51: (1, {'@': 89}), 52: (1, {'@': 89})}, 62: {35: (1, {'@': 90}), 20: (1, {'@': 90}), 14: (1, {'@': 90}), 17: (1, {'@': 90}), 23: (1, {'@': 90}), 24: (1, {'@': 90}), 25: (1, {'@': 90}), 38: (1, {'@': 90}), 39: (1, {'@': 90}), 31: (1, {'@': 90}), 32: (1, {'@': 90}), 33: (1, {'@': 90}), 40: (1, {'@': 90}), 41: (1, {'@': 90}), 34: (1, {'@': 90}), 42: (1, {'@': 90}), 43: (1, {'@': 90}), 19: (1, {'@': 90}), 21: (1, {'@': 90}), 2: (1, {'@': 90}), 22: (1, {'@': 90}), 44: (1, {'@': 90}), 16: (1, {'@': 90}), 45: (1, {'@': 90}), 0: (1, {'@': 90}), 4: (1, {'@': 90}), 46: (1, {'@': 90}), 18: (1, {'@': 90}), 26: (1, {'@': 90}), 47: (1, {'@': 90}), 48: (1, {'@': 90}), 29: (1, {'@': 90}), 1: (1, {'@': 90}), 49: (1, {'@': 90}), 30: (1, {'@': 90}), 50: (1, {'@': 90}), 51: (1, {'@': 90}), 52: (1, {'@': 90})}, 63: {35: (1, {'@': 91}), 20: (1, {'@': 91}), 14: (1, {'@': 91}), 17: (1, {'@': 91}), 23: (1, {'@': 91}), 24: (1, {'@': 91}), 36: (1, {'@': 91}), 25: (1, {'@': 91}), 37: (1, {'@': 91}), 38: (1, {'@': 91}), 39: (1, {'@': 91}), 31: (1, {'@': 91}), 32: (1, {'@': 91}), 33: (1, {'@': 91}), 40: (1, {'@': 91}), 41: (1, {'@': 91}), 34: (1, {'@': 91}), 42: (1, {'@': 91}), 43: (1, {'@': 91}), 19: (1, {'@': 91}), 21: (1, {'@': 91}), 2: (1, {'@': 91}), 22: (1, {'@': 91}), 44: (1, {'@': 91}), 16: (1, {'@': 91}), 45: (1, {'@': 91}), 4: (1, {'@': 91}), 0: (1, {'@': 91}), 46: (1, {'@': 91}), 18: (1, {'@': 91}), 26: (1, {'@': 91}), 47: (1, {'@': 91}), 48: (1, {'@': 91}), 29: (1, {'@': 91}), 1: (1, {'@': 91}), 49: (1, {'@': 91}), 30: (1, {'@': 91}), 50: (1, {'@': 91}), 51: (1, {'@': 91}), 52: (1, {'@': 91})}, 64: {35: (1, {'@': 92}), 20: (1, {'@': 92}), 14: (1, {'@': 92}), 17: (1, {'@': 92}), 23: (1, {'@': 92}), 24: (1, {'@': 92}), 36: (1, {'@': 92}), 25: (1, {'@': 92}), 37: (1, {'@': 92}), 38: (1, {'@': 92}), 39: (1, {'@': 92}), 31: (1, {'@': 92}), 32: (1, {'@': 92}), 33: (1, {'@': 92}), 40: (1, {'@': 92}), 41: (1, {'@': 92}), 34: (1, {'@': 92}), 42: (1, {'@': 92}), 43: (1, {'@': 92}), 19: (1, {'@': 92}), 21: (1, {'@': 92}), 2: (1, {'@': 92}), 22: (1, {'@': 92}), 44: (1, {'@': 92}), 16: (1, {'@': 92}), 45: (1, {'@': 92}), 4: (1, {'@': 92}), 0: (1, {'@': 92}), 46: (1, {'@': 92}), 18: (1, {'@': 92}), 26: (1, {'@': 92}), 47: (1, {'@': 92}), 48: (1, {'@': 92}), 29: (1, {'@': 92}), 1: (1, {'@': 92}), 49: (1, {'@': 92}), 30: (1, {'@': 92}), 50: (1, {'@': 92}), 51: (1, {'@': 92}), 52: (1, {'@': 92})}, 65: {35: (1, {'@': 93}), 20: (1, {'@': 93}), 14: (1, {'@': 93}), 17: (1, {'@': 93}), 23: (1, {'@': 93}), 24: (1, {'@': 93}), 36: (1, {'@': 93}), 25: (1, {'@': 93}), 37: (1, {'@': 93}), 38: (1, {'@': 93}), 39: (1, {'@': 93}), 31: (1, {'@': 93}), 32: (1, {'@': 93}), 33: (1, {'@': 93}), 40: (1, {'@': 93}), 41: (1, {'@': 93}), 34: (1, {'@': 93}), 42: (1, {'@': 93}), 43: (1, {'@': 93}), 19: (1, {'@': 93}), 21: (1, {'@': 93}), 2: (1, {'@': 93}), 22: (1, {'@': 93}), 44: (1, {'@': 93}), 16: (1, {'@': 93}), 45: (1, {'@': 93}), 0: (1, {'@': 93}), 4: (1, {'@': 93}), 46: (1, {'@': 93}), 18: (1, {'@': 93}), 26: (1, {'@': 93}), 47: (1, {'@': 93}), 48: (1, {'@': 93}), 29: (1, {'@': 93}), 1: (1, {'@': 93}), 49: (1, {'@': 93}), 30: (1, {'@': 93}), 50: (1, {'@': 93}), 51: (1, {'@': 93}), 52: (1, {'@': 93})}, 66: {35: (1, {'@': 94}), 20: (1, {'@': 94}), 14: (1, {'@': 94}), 17: (1, {'@': 94}), 23: (1, {'@': 94}), 24: (1, {'@': 94}), 36: (1, {'@': 94}), 25: (1, {'@': 94}), 37: (1, {'@': 94}), 38: (1, {'@': 94}), 39: (1, {'@': 94}), 31: (1, {'@': 94}), 32: (1, {'@': 94}), 33: (1, {'@': 94}), 40: (1, {'@': 94}), 41: (1, {'@': 94}), 34: (1, {'@': 94}), 42: (1, {'@': 94}), 43: (1, {'@': 94}), 19: (1, {'@': 94}), 21: (1, {'@': 94}), 2: (1, {'@': 94}), 22: (1, {'@': 94}), 44: (1, {'@': 94}), 16: (1, {'@': 94}), 45: (1, {'@': 94}), 4: (1, {'@': 94}), 0: (1, {'@': 94}), 46: (1, {'@': 94}), 18: (1, {'@': 94}), 26: (1, {'@': 94}), 47: (1, {'@': 94}), 48: (1, {'@': 94}), 29: (1, {'@': 94}), 1: (1, {'@': 94}), 49: (1, {'@': 94}), 30: (1, {'@': 94}), 50: (1, {'@': 94}), 51: (1, {'@': 94}), 52: (1, {'@': 94})}, 67: {35: (1, {'@': 95}), 24: (1, {'@': 95}), 40: (1, {'@': 95}), 19: (1, {'@': 95}), 2: (1, {'@': 95}), 22: (1, {'@': 95}), 44: (1, {'@': 95}), 16: (1, {'@': 95}), 4: (1, {'@': 95}), 26: (1, {'@': 95}), 29: (1, {'@': 95}), 1: (1, {'@': 95}), 30: (1, {'@': 95}), 51: (1, {'@': 95}), 20: (1, {'@': 95}), 14: (1, {'@': 95}), 17: (1, {'@': 95}), 23: (1, {'@': 95}), 25: (1, {'@': 95}), 38: (1, {'@': 95}), 39: (1, {'@': 95}), 31: (1, {'@': 95}), 32: (1, {'@': 95}), 33: (1, {'@': 95}), 41: (1, {'@': 95}), 34: (1, {'@': 95}), 42: (1, {'@': 95}), 43: (1, {'@': 95}), 21: (1, {'@': 95}), 45: (1, {'@': 95}), 0: (1, {'@': 95}), 46: (1, {'@': 95}), 18: (1, {'@': 95}), 47: (1, {'@': 95}), 48: (1, {'@': 95}), 49: (1, {'@': 95}), 50: (1, {'@': 95}), 52: (1, {'@': 95})}, 68: {35: (1, {'@': 96}), 20: (1, {'@': 96}), 14: (1, {'@': 96}), 17: (1, {'@': 96}), 23: (1, {'@': 96}), 24: (1, {'@': 96}), 36: (1, {'@': 96}), 25: (1, {'@': 96}), 37: (1, {'@': 96}), 38: (1, {'@': 96}), 39: (1, {'@': 96}), 31: (1, {'@': 96}), 32: (1, {'@': 96}), 33: (1, {'@': 96}), 40: (1, {'@': 96}), 41: (1, {'@': 96}), 34: (1, {'@': 96}), 42: (1, {'@': 96}), 43: (1, {'@': 96}), 19: (1, {'@': 96}), 21: (1, {'@': 96}), 2: (1, {'@': 96}), 22: (1, {'@': 96}), 44: (1, {'@': 96}), 16: (1, {'@': 96}), 45: (1, {'@': 96}), 4: (1, {'@': 96}), 0: (1, {'@': 96}), 46: (1, {'@': 96}), 18: (1, {'@': 96}), 26: (1, {'@': 96}), 47: (1, {'@': 96}), 48: (1, {'@': 96}), 29: (1, {'@': 96}), 1: (1, {'@': 96}), 49: (1, {'@': 96}), 30: (1, {'@': 96}), 50: (1, {'@': 96}), 51: (1, {'@': 96}), 52: (1, {'@': 96})}, 69: {35: (1, {'@': 97}), 20: (1, {'@': 97}), 14: (1, {'@': 97}), 17: (1, {'@': 97}), 23: (1, {'@': 97}), 24: (1, {'@': 97}), 36: (1, {'@': 97}), 25: (1, {'@': 97}), 37: (1, {'@': 97}), 38: (1, {'@': 97}), 39: (1, {'@': 97}), 31: (1, {'@': 97}), 32: (1, {'@': 97}), 33: (1, {'@': 97}), 40: (1, {'@': 97}), 41: (1, {'@': 97}), 34: (1, {'@': 97}), 42: (1, {'@': 97}), 43: (1, {'@': 97}), 19: (1, {'@': 97}), 21: (1, {'@': 97}), 2: (1, {'@': 97}), 22: (1, {'@': 97}), 44: (1, {'@': 97}), 16: (1, {'@': 97}), 45: (1, {'@': 97}), 4: (1, {'@': 97}), 0: (1, {'@': 97}), 46: (1, {'@': 97}), 18: (1, {'@': 97}), 26: (1, {'@': 97}), 47: (1, {'@': 97}), 48: (1, {'@': 97}), 29: (1, {'@': 97}), 1: (1, {'@': 97}), 49: (1, {'@': 97}), 30: (1, {'@': 97}), 50: (1, {'@': 97}), 51: (1, {'@': 97}), 52: (1, {'@': 97})}, 70: {3: (1, {'@': 98})}, 71: {6: (0, 2), 1: (0, 12), 2: (0, 6), 4: (0, 10), 8: (0, 120)}, 72: {18: (0, 121)}, 73: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 12: (0, 122), 5: (0, 1), 7: (0, 3), 9: (0, 5), 11: (0, 8), 13: (0, 11), 14: (0, 13)}, 74: {0: (1, {'@': 99}), 14: (1, {'@': 99}), 3: (1, {'@': 99}), 1: (1, {'@': 99}), 2: (1, {'@': 99}), 4: (1, {'@': 99})}, 75: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 123), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 76: {0: (0, 124)}, 77: {85: (0, 125), 6: (0, 2), 2: (0, 6), 8: (0, 126), 19: (0, 127), 0: (0, 128), 4: (0, 10), 86: (0, 129), 1: (0, 12)}, 78: {8: (0, 130), 5: (0, 131), 6: (0, 2), 14: (0, 13), 2: (0, 6), 4: (0, 10), 1: (0, 12)}, 79: {16: (0, 34), 27: (0, 78), 26: (0, 36), 53: (0, 35), 77: (0, 132), 5: (0, 80), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 76: (0, 133), 60: (0, 82), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 31: (0, 65), 71: (0, 64), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 80: {35: (1, {'@': 69}), 20: (1, {'@': 69}), 14: (0, 13), 17: (0, 56), 23: (0, 47), 24: (0, 59), 36: (1, {'@': 69}), 25: (0, 61), 37: (1, {'@': 69}), 38: (1, {'@': 69}), 39: (1, {'@': 69}), 31: (0, 65), 32: (0, 38), 33: (0, 44), 40: (1, {'@': 69}), 41: (1, {'@': 69}), 34: (1, {'@': 69}), 42: (1, {'@': 69}), 43: (1, {'@': 69}), 19: (1, {'@': 69}), 21: (1, {'@': 69}), 2: (1, {'@': 69}), 22: (0, 57), 44: (1, {'@': 69}), 16: (0, 34), 45: (1, {'@': 69}), 4: (1, {'@': 69}), 0: (1, {'@': 69}), 46: (1, {'@': 69}), 18: (0, 136), 26: (0, 134), 47: (1, {'@': 69}), 48: (1, {'@': 69}), 29: (0, 58), 1: (1, {'@': 69}), 49: (1, {'@': 69}), 30: (0, 51), 50: (1, {'@': 69}), 51: (1, {'@': 69}), 52: (1, {'@': 69}), 53: (0, 35), 5: (0, 37), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 59: (0, 45), 60: (0, 135), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 68: (0, 60), 69: (0, 62), 70: (0, 63), 71: (0, 64), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 81: {60: (0, 137), 16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 82: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 52: (0, 108), 57: (0, 42), 58: (0, 43), 47: (0, 110), 33: (0, 44), 14: (0, 13), 59: (0, 45), 35: (0, 99), 60: (0, 138), 23: (0, 47), 61: (0, 48), 41: (0, 104), 62: (0, 49), 83: (0, 112), 63: (0, 50), 82: (0, 101), 51: (0, 109), 30: (0, 51), 29: (0, 139), 64: (0, 52), 46: (0, 98), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 40: (0, 100), 24: (0, 59), 68: (0, 60), 39: (0, 107), 25: (0, 61), 49: (0, 111), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 50: (0, 105), 38: (0, 106), 73: (0, 67), 42: (0, 114), 18: (0, 140), 43: (0, 102), 74: (0, 68), 75: (0, 69)}, 83: {35: (1, {'@': 100}), 20: (1, {'@': 100}), 14: (1, {'@': 100}), 17: (1, {'@': 100}), 23: (1, {'@': 100}), 24: (1, {'@': 100}), 36: (1, {'@': 100}), 25: (1, {'@': 100}), 37: (1, {'@': 100}), 38: (1, {'@': 100}), 39: (1, {'@': 100}), 31: (1, {'@': 100}), 32: (1, {'@': 100}), 33: (1, {'@': 100}), 40: (1, {'@': 100}), 41: (1, {'@': 100}), 34: (1, {'@': 100}), 42: (1, {'@': 100}), 43: (1, {'@': 100}), 19: (1, {'@': 100}), 21: (1, {'@': 100}), 2: (1, {'@': 100}), 22: (1, {'@': 100}), 44: (1, {'@': 100}), 16: (1, {'@': 100}), 45: (1, {'@': 100}), 0: (1, {'@': 100}), 4: (1, {'@': 100}), 46: (1, {'@': 100}), 18: (1, {'@': 100}), 26: (1, {'@': 100}), 47: (1, {'@': 100}), 48: (1, {'@': 100}), 29: (1, {'@': 100}), 1: (1, {'@': 100}), 49: (1, {'@': 100}), 30: (1, {'@': 100}), 50: (1, {'@': 100}), 51: (1, {'@': 100}), 52: (1, {'@': 100})}, 84: {6: (0, 2), 46: (0, 98), 35: (0, 99), 2: (0, 6), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 4: (0, 10), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 1: (0, 12), 47: (0, 110), 49: (0, 111), 8: (0, 141), 20: (0, 142), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 85: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 143), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 86: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 60: (0, 144), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 23: (0, 47), 61: (0, 48), 62: (0, 49), 87: (0, 145), 8: (0, 146), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 20: (0, 147), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 87: {16: (0, 34), 53: (0, 35), 27: (0, 78), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 60: (0, 148), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 77: (0, 149), 33: (0, 44), 14: (0, 13), 59: (0, 45), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 21: (0, 150), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 31: (0, 65), 71: (0, 64), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 88: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 57: (0, 42), 60: (0, 151), 58: (0, 43), 33: (0, 44), 14: (0, 13), 8: (0, 152), 59: (0, 45), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 89: {46: (0, 98), 8: (0, 153), 88: (0, 154), 19: (0, 155), 41: (0, 104), 50: (0, 105), 6: (0, 2), 38: (0, 106), 52: (0, 108), 47: (0, 110), 83: (0, 112), 42: (0, 114), 35: (0, 99), 2: (0, 6), 40: (0, 100), 82: (0, 101), 43: (0, 102), 4: (0, 10), 39: (0, 107), 21: (0, 156), 51: (0, 109), 1: (0, 12), 49: (0, 111), 29: (0, 113)}, 90: {35: (1, {'@': 101}), 20: (1, {'@': 101}), 14: (1, {'@': 101}), 17: (1, {'@': 101}), 23: (1, {'@': 101}), 24: (1, {'@': 101}), 36: (1, {'@': 101}), 25: (1, {'@': 101}), 37: (1, {'@': 101}), 38: (1, {'@': 101}), 39: (1, {'@': 101}), 31: (1, {'@': 101}), 32: (1, {'@': 101}), 33: (1, {'@': 101}), 40: (1, {'@': 101}), 41: (1, {'@': 101}), 34: (1, {'@': 101}), 42: (1, {'@': 101}), 43: (1, {'@': 101}), 19: (1, {'@': 101}), 21: (1, {'@': 101}), 2: (1, {'@': 101}), 22: (1, {'@': 101}), 44: (1, {'@': 101}), 16: (1, {'@': 101}), 45: (1, {'@': 101}), 0: (1, {'@': 101}), 4: (1, {'@': 101}), 46: (1, {'@': 101}), 18: (1, {'@': 101}), 26: (1, {'@': 101}), 47: (1, {'@': 101}), 48: (1, {'@': 101}), 29: (1, {'@': 101}), 1: (1, {'@': 101}), 49: (1, {'@': 101}), 30: (1, {'@': 101}), 50: (1, {'@': 101}), 51: (1, {'@': 101}), 52: (1, {'@': 101})}, 91: {14: (0, 13), 5: (0, 157)}, 92: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 158), 23: (0, 47), 61: (0, 48), 62: (0, 49), 47: (0, 159), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 8: (0, 160), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 93: {35: (1, {'@': 102}), 20: (1, {'@': 102}), 14: (1, {'@': 102}), 17: (1, {'@': 102}), 23: (1, {'@': 102}), 24: (1, {'@': 102}), 36: (0, 91), 25: (1, {'@': 102}), 37: (1, {'@': 102}), 38: (1, {'@': 102}), 39: (1, {'@': 102}), 31: (1, {'@': 102}), 32: (1, {'@': 102}), 33: (1, {'@': 102}), 40: (1, {'@': 102}), 41: (1, {'@': 102}), 34: (1, {'@': 102}), 42: (1, {'@': 102}), 43: (1, {'@': 102}), 19: (1, {'@': 102}), 21: (1, {'@': 102}), 2: (1, {'@': 102}), 22: (1, {'@': 102}), 44: (1, {'@': 102}), 16: (1, {'@': 102}), 45: (1, {'@': 102}), 0: (1, {'@': 102}), 4: (1, {'@': 102}), 46: (1, {'@': 102}), 18: (1, {'@': 102}), 26: (1, {'@': 102}), 47: (1, {'@': 102}), 48: (1, {'@': 102}), 29: (1, {'@': 102}), 1: (1, {'@': 102}), 49: (1, {'@': 102}), 30: (1, {'@': 102}), 50: (1, {'@': 102}), 51: (1, {'@': 102}), 52: (1, {'@': 102}), 80: (0, 161), 89: (0, 162)}, 94: {35: (1, {'@': 103}), 20: (1, {'@': 103}), 14: (1, {'@': 103}), 17: (1, {'@': 103}), 23: (1, {'@': 103}), 24: (1, {'@': 103}), 36: (1, {'@': 103}), 25: (1, {'@': 103}), 37: (1, {'@': 103}), 38: (1, {'@': 103}), 39: (1, {'@': 103}), 31: (1, {'@': 103}), 32: (1, {'@': 103}), 33: (1, {'@': 103}), 40: (1, {'@': 103}), 41: (1, {'@': 103}), 34: (1, {'@': 103}), 42: (1, {'@': 103}), 43: (1, {'@': 103}), 19: (1, {'@': 103}), 21: (1, {'@': 103}), 2: (1, {'@': 103}), 22: (1, {'@': 103}), 44: (1, {'@': 103}), 16: (1, {'@': 103}), 45: (1, {'@': 103}), 0: (1, {'@': 103}), 4: (1, {'@': 103}), 46: (1, {'@': 103}), 18: (1, {'@': 103}), 26: (1, {'@': 103}), 47: (1, {'@': 103}), 48: (1, {'@': 103}), 29: (1, {'@': 103}), 1: (1, {'@': 103}), 49: (1, {'@': 103}), 30: (1, {'@': 103}), 50: (1, {'@': 103}), 51: (1, {'@': 103}), 52: (1, {'@': 103})}, 95: {35: (1, {'@': 104}), 20: (1, {'@': 104}), 14: (1, {'@': 104}), 17: (1, {'@': 104}), 23: (1, {'@': 104}), 24: (1, {'@': 104}), 36: (1, {'@': 104}), 25: (1, {'@': 104}), 37: (1, {'@': 104}), 38: (1, {'@': 104}), 39: (1, {'@': 104}), 31: (1, {'@': 104}), 32: (1, {'@': 104}), 33: (1, {'@': 104}), 40: (1, {'@': 104}), 41: (1, {'@': 104}), 34: (1, {'@': 104}), 42: (1, {'@': 104}), 43: (1, {'@': 104}), 19: (1, {'@': 104}), 21: (1, {'@': 104}), 2: (1, {'@': 104}), 22: (1, {'@': 104}), 44: (1, {'@': 104}), 16: (1, {'@': 104}), 45: (1, {'@': 104}), 0: (1, {'@': 104}), 4: (1, {'@': 104}), 46: (1, {'@': 104}), 18: (1, {'@': 104}), 26: (1, {'@': 104}), 47: (1, {'@': 104}), 48: (1, {'@': 104}), 29: (1, {'@': 104}), 1: (1, {'@': 104}), 49: (1, {'@': 104}), 30: (1, {'@': 104}), 50: (1, {'@': 104}), 51: (1, {'@': 104}), 52: (1, {'@': 104})}, 96: {35: (1, {'@': 105}), 20: (1, {'@': 105}), 14: (1, {'@': 105}), 17: (1, {'@': 105}), 23: (1, {'@': 105}), 24: (1, {'@': 105}), 36: (1, {'@': 105}), 25: (1, {'@': 105}), 37: (1, {'@': 105}), 38: (1, {'@': 105}), 39: (1, {'@': 105}), 31: (1, {'@': 105}), 32: (1, {'@': 105}), 33: (1, {'@': 105}), 40: (1, {'@': 105}), 41: (1, {'@': 105}), 34: (1, {'@': 105}), 42: (1, {'@': 105}), 43: (1, {'@': 105}), 19: (1, {'@': 105}), 21: (1, {'@': 105}), 2: (1, {'@': 105}), 22: (1, {'@': 105}), 44: (1, {'@': 105}), 16: (1, {'@': 105}), 45: (1, {'@': 105}), 0: (1, {'@': 105}), 4: (1, {'@': 105}), 46: (1, {'@': 105}), 18: (1, {'@': 105}), 26: (1, {'@': 105}), 47: (1, {'@': 105}), 48: (1, {'@': 105}), 29: (1, {'@': 105}), 1: (1, {'@': 105}), 49: (1, {'@': 105}), 30: (1, {'@': 105}), 50: (1, {'@': 105}), 51: (1, {'@': 105}), 52: (1, {'@': 105})}, 97: {35: (1, {'@': 106}), 20: (1, {'@': 106}), 14: (1, {'@': 106}), 17: (1, {'@': 106}), 23: (1, {'@': 106}), 24: (1, {'@': 106}), 36: (1, {'@': 106}), 25: (1, {'@': 106}), 37: (1, {'@': 106}), 38: (1, {'@': 106}), 39: (1, {'@': 106}), 31: (1, {'@': 106}), 32: (1, {'@': 106}), 33: (1, {'@': 106}), 40: (1, {'@': 106}), 41: (1, {'@': 106}), 34: (1, {'@': 106}), 42: (1, {'@': 106}), 43: (1, {'@': 106}), 19: (1, {'@': 106}), 21: (1, {'@': 106}), 2: (1, {'@': 106}), 22: (1, {'@': 106}), 44: (1, {'@': 106}), 16: (1, {'@': 106}), 45: (1, {'@': 106}), 0: (1, {'@': 106}), 4: (1, {'@': 106}), 46: (1, {'@': 106}), 18: (1, {'@': 106}), 26: (1, {'@': 106}), 47: (1, {'@': 106}), 48: (1, {'@': 106}), 29: (1, {'@': 106}), 1: (1, {'@': 106}), 49: (1, {'@': 106}), 30: (1, {'@': 106}), 50: (1, {'@': 106}), 51: (1, {'@': 106}), 52: (1, {'@': 106})}, 98: {14: (1, {'@': 107}), 17: (1, {'@': 107}), 2: (1, {'@': 107}), 22: (1, {'@': 107}), 23: (1, {'@': 107}), 16: (1, {'@': 107}), 24: (1, {'@': 107}), 4: (1, {'@': 107}), 25: (1, {'@': 107}), 26: (1, {'@': 107}), 29: (1, {'@': 107}), 1: (1, {'@': 107}), 30: (1, {'@': 107}), 31: (1, {'@': 107}), 32: (1, {'@': 107}), 33: (1, {'@': 107})}, 99: {14: (1, {'@': 108}), 17: (1, {'@': 108}), 2: (1, {'@': 108}), 22: (1, {'@': 108}), 23: (1, {'@': 108}), 16: (1, {'@': 108}), 24: (1, {'@': 108}), 4: (1, {'@': 108}), 25: (1, {'@': 108}), 26: (1, {'@': 108}), 29: (1, {'@': 108}), 1: (1, {'@': 108}), 30: (1, {'@': 108}), 31: (1, {'@': 108}), 32: (1, {'@': 108}), 33: (1, {'@': 108})}, 100: {14: (1, {'@': 109}), 17: (1, {'@': 109}), 2: (1, {'@': 109}), 22: (1, {'@': 109}), 23: (1, {'@': 109}), 16: (1, {'@': 109}), 24: (1, {'@': 109}), 4: (1, {'@': 109}), 25: (1, {'@': 109}), 26: (1, {'@': 109}), 29: (1, {'@': 109}), 1: (1, {'@': 109}), 30: (1, {'@': 109}), 31: (1, {'@': 109}), 32: (1, {'@': 109}), 33: (1, {'@': 109})}, 101: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 60: (0, 163), 59: (0, 45), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 8: (0, 164), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 102: {14: (1, {'@': 110}), 17: (1, {'@': 110}), 2: (1, {'@': 110}), 22: (1, {'@': 110}), 23: (1, {'@': 110}), 16: (1, {'@': 110}), 24: (1, {'@': 110}), 4: (1, {'@': 110}), 25: (1, {'@': 110}), 26: (1, {'@': 110}), 29: (1, {'@': 110}), 1: (1, {'@': 110}), 30: (1, {'@': 110}), 31: (1, {'@': 110}), 32: (1, {'@': 110}), 33: (1, {'@': 110})}, 103: {0: (1, {'@': 111}), 14: (1, {'@': 111}), 3: (1, {'@': 111}), 1: (1, {'@': 111}), 2: (1, {'@': 111}), 4: (1, {'@': 111})}, 104: {14: (1, {'@': 112}), 17: (1, {'@': 112}), 2: (1, {'@': 112}), 22: (1, {'@': 112}), 23: (1, {'@': 112}), 16: (1, {'@': 112}), 24: (1, {'@': 112}), 4: (1, {'@': 112}), 25: (1, {'@': 112}), 26: (1, {'@': 112}), 29: (1, {'@': 112}), 1: (1, {'@': 112}), 30: (1, {'@': 112}), 31: (1, {'@': 112}), 32: (1, {'@': 112}), 33: (1, {'@': 112})}, 105: {14: (1, {'@': 113}), 17: (1, {'@': 113}), 2: (1, {'@': 113}), 22: (1, {'@': 113}), 23: (1, {'@': 113}), 16: (1, {'@': 113}), 24: (1, {'@': 113}), 4: (1, {'@': 113}), 25: (1, {'@': 113}), 26: (1, {'@': 113}), 29: (1, {'@': 113}), 1: (1, {'@': 113}), 30: (1, {'@': 113}), 31: (1, {'@': 113}), 32: (1, {'@': 113}), 33: (1, {'@': 113})}, 106: {14: (1, {'@': 114}), 17: (1, {'@': 114}), 2: (1, {'@': 114}), 22: (1, {'@': 114}), 23: (1, {'@': 114}), 16: (1, {'@': 114}), 24: (1, {'@': 114}), 4: (1, {'@': 114}), 25: (1, {'@': 114}), 26: (1, {'@': 114}), 29: (1, {'@': 114}), 1: (1, {'@': 114}), 30: (1, {'@': 114}), 31: (1, {'@': 114}), 32: (1, {'@': 114}), 33: (1, {'@': 114})}, 107: {14: (1, {'@': 115}), 17: (1, {'@': 115}), 2: (1, {'@': 115}), 22: (1, {'@': 115}), 23: (1, {'@': 115}), 16: (1, {'@': 115}), 24: (1, {'@': 115}), 4: (1, {'@': 115}), 25: (1, {'@': 115}), 26: (1, {'@': 115}), 29: (1, {'@': 115}), 1: (1, {'@': 115}), 30: (1, {'@': 115}), 31: (1, {'@': 115}), 32: (1, {'@': 115}), 33: (1, {'@': 115})}, 108: {14: (1, {'@': 116}), 17: (1, {'@': 116}), 2: (1, {'@': 116}), 22: (1, {'@': 116}), 23: (1, {'@': 116}), 16: (1, {'@': 116}), 24: (1, {'@': 116}), 4: (1, {'@': 116}), 25: (1, {'@': 116}), 26: (1, {'@': 116}), 29: (1, {'@': 116}), 1: (1, {'@': 116}), 30: (1, {'@': 116}), 31: (1, {'@': 116}), 32: (1, {'@': 116}), 33: (1, {'@': 116})}, 109: {14: (1, {'@': 117}), 17: (1, {'@': 117}), 2: (1, {'@': 117}), 22: (1, {'@': 117}), 23: (1, {'@': 117}), 16: (1, {'@': 117}), 24: (1, {'@': 117}), 4: (1, {'@': 117}), 25: (1, {'@': 117}), 26: (1, {'@': 117}), 29: (1, {'@': 117}), 1: (1, {'@': 117}), 30: (1, {'@': 117}), 31: (1, {'@': 117}), 32: (1, {'@': 117}), 33: (1, {'@': 117})}, 110: {14: (1, {'@': 118}), 17: (1, {'@': 118}), 2: (1, {'@': 118}), 22: (1, {'@': 118}), 23: (1, {'@': 118}), 16: (1, {'@': 118}), 24: (1, {'@': 118}), 4: (1, {'@': 118}), 25: (1, {'@': 118}), 26: (1, {'@': 118}), 29: (1, {'@': 118}), 1: (1, {'@': 118}), 30: (1, {'@': 118}), 31: (1, {'@': 118}), 32: (1, {'@': 118}), 33: (1, {'@': 118})}, 111: {14: (1, {'@': 119}), 17: (1, {'@': 119}), 2: (1, {'@': 119}), 22: (1, {'@': 119}), 23: (1, {'@': 119}), 16: (1, {'@': 119}), 24: (1, {'@': 119}), 4: (1, {'@': 119}), 25: (1, {'@': 119}), 26: (1, {'@': 119}), 29: (1, {'@': 119}), 1: (1, {'@': 119}), 30: (1, {'@': 119}), 31: (1, {'@': 119}), 32: (1, {'@': 119}), 33: (1, {'@': 119})}, 112: {35: (1, {'@': 120}), 20: (1, {'@': 120}), 14: (1, {'@': 120}), 17: (1, {'@': 120}), 23: (1, {'@': 120}), 24: (1, {'@': 120}), 25: (1, {'@': 120}), 38: (1, {'@': 120}), 39: (1, {'@': 120}), 31: (1, {'@': 120}), 32: (1, {'@': 120}), 33: (1, {'@': 120}), 40: (1, {'@': 120}), 41: (1, {'@': 120}), 34: (1, {'@': 120}), 42: (1, {'@': 120}), 43: (1, {'@': 120}), 19: (1, {'@': 120}), 21: (1, {'@': 120}), 2: (1, {'@': 120}), 22: (1, {'@': 120}), 44: (1, {'@': 120}), 16: (1, {'@': 120}), 45: (1, {'@': 120}), 0: (1, {'@': 120}), 4: (1, {'@': 120}), 46: (1, {'@': 120}), 18: (1, {'@': 120}), 26: (1, {'@': 120}), 47: (1, {'@': 120}), 48: (1, {'@': 120}), 29: (1, {'@': 120}), 1: (1, {'@': 120}), 49: (1, {'@': 120}), 30: (1, {'@': 120}), 50: (1, {'@': 120}), 51: (1, {'@': 120}), 52: (1, {'@': 120})}, 113: {14: (1, {'@': 121}), 17: (1, {'@': 121}), 2: (1, {'@': 121}), 22: (1, {'@': 121}), 23: (1, {'@': 121}), 16: (1, {'@': 121}), 24: (1, {'@': 121}), 4: (1, {'@': 121}), 25: (1, {'@': 121}), 26: (1, {'@': 121}), 29: (1, {'@': 121}), 1: (1, {'@': 121}), 30: (1, {'@': 121}), 31: (1, {'@': 121}), 32: (1, {'@': 121}), 33: (1, {'@': 121})}, 114: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 165), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 115: {35: (1, {'@': 122}), 20: (1, {'@': 122}), 14: (1, {'@': 122}), 17: (1, {'@': 122}), 23: (1, {'@': 122}), 24: (1, {'@': 122}), 36: (1, {'@': 122}), 25: (1, {'@': 122}), 37: (1, {'@': 122}), 38: (1, {'@': 122}), 39: (1, {'@': 122}), 31: (1, {'@': 122}), 32: (1, {'@': 122}), 33: (1, {'@': 122}), 40: (1, {'@': 122}), 41: (1, {'@': 122}), 34: (1, {'@': 122}), 42: (1, {'@': 122}), 43: (1, {'@': 122}), 19: (1, {'@': 122}), 21: (1, {'@': 122}), 2: (1, {'@': 122}), 22: (1, {'@': 122}), 44: (1, {'@': 122}), 16: (1, {'@': 122}), 45: (1, {'@': 122}), 4: (1, {'@': 122}), 0: (1, {'@': 122}), 46: (1, {'@': 122}), 84: (1, {'@': 122}), 18: (1, {'@': 122}), 26: (1, {'@': 122}), 47: (1, {'@': 122}), 48: (1, {'@': 122}), 29: (1, {'@': 122}), 1: (1, {'@': 122}), 30: (1, {'@': 122}), 49: (1, {'@': 122}), 50: (1, {'@': 122}), 51: (1, {'@': 122}), 52: (1, {'@': 122})}, 116: {62: (0, 166), 30: (0, 51)}, 117: {62: (0, 167), 30: (0, 51)}, 118: {35: (1, {'@': 123}), 20: (1, {'@': 123}), 14: (1, {'@': 123}), 17: (1, {'@': 123}), 23: (1, {'@': 123}), 24: (1, {'@': 123}), 25: (1, {'@': 123}), 38: (1, {'@': 123}), 39: (1, {'@': 123}), 31: (1, {'@': 123}), 32: (0, 92), 33: (1, {'@': 123}), 40: (1, {'@': 123}), 41: (1, {'@': 123}), 34: (1, {'@': 123}), 42: (1, {'@': 123}), 43: (1, {'@': 123}), 19: (1, {'@': 123}), 21: (1, {'@': 123}), 2: (1, {'@': 123}), 22: (1, {'@': 123}), 44: (1, {'@': 123}), 16: (1, {'@': 123}), 45: (1, {'@': 123}), 0: (1, {'@': 123}), 4: (1, {'@': 123}), 46: (1, {'@': 123}), 18: (1, {'@': 123}), 26: (1, {'@': 123}), 47: (1, {'@': 123}), 48: (1, {'@': 123}), 29: (1, {'@': 123}), 1: (1, {'@': 123}), 49: (1, {'@': 123}), 30: (1, {'@': 123}), 50: (1, {'@': 123}), 51: (1, {'@': 123}), 52: (1, {'@': 123}), 36: (0, 91), 37: (0, 93), 78: (0, 94), 79: (0, 95), 80: (0, 96), 81: (0, 97)}, 119: {35: (1, {'@': 124}), 20: (1, {'@': 124}), 14: (1, {'@': 124}), 17: (1, {'@': 124}), 23: (1, {'@': 124}), 24: (1, {'@': 124}), 25: (1, {'@': 124}), 38: (1, {'@': 124}), 39: (1, {'@': 124}), 31: (1, {'@': 124}), 32: (0, 92), 33: (1, {'@': 124}), 40: (1, {'@': 124}), 41: (1, {'@': 124}), 34: (1, {'@': 124}), 42: (1, {'@': 124}), 43: (1, {'@': 124}), 19: (1, {'@': 124}), 21: (1, {'@': 124}), 2: (1, {'@': 124}), 22: (1, {'@': 124}), 44: (1, {'@': 124}), 16: (1, {'@': 124}), 45: (1, {'@': 124}), 0: (1, {'@': 124}), 4: (1, {'@': 124}), 46: (1, {'@': 124}), 18: (1, {'@': 124}), 26: (1, {'@': 124}), 47: (1, {'@': 124}), 48: (1, {'@': 124}), 29: (1, {'@': 124}), 1: (1, {'@': 124}), 49: (1, {'@': 124}), 30: (1, {'@': 124}), 50: (1, {'@': 124}), 51: (1, {'@': 124}), 52: (1, {'@': 124}), 36: (0, 91), 37: (0, 93), 78: (0, 94), 79: (0, 95), 80: (0, 96), 81: (0, 97)}, 120: {0: (1, {'@': 125}), 14: (1, {'@': 125}), 3: (1, {'@': 125}), 1: (1, {'@': 125}), 2: (1, {'@': 125}), 4: (1, {'@': 125})}, 121: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 168), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 122: {0: (0, 169)}, 123: {46: (0, 98), 35: (0, 99), 0: (0, 170), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 124: {6: (0, 2), 1: (0, 12), 2: (0, 6), 8: (0, 171), 4: (0, 10)}, 125: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 80), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 82), 23: (0, 47), 61: (0, 48), 0: (0, 172), 76: (0, 173), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 126: {16: (1, {'@': 126}), 26: (1, {'@': 126}), 14: (1, {'@': 126}), 17: (1, {'@': 126}), 31: (1, {'@': 126}), 29: (1, {'@': 126}), 30: (1, {'@': 126}), 22: (1, {'@': 126}), 23: (1, {'@': 126}), 24: (1, {'@': 126}), 32: (1, {'@': 126}), 33: (1, {'@': 126}), 0: (1, {'@': 126}), 25: (1, {'@': 126})}, 127: {16: (1, {'@': 127}), 26: (1, {'@': 127}), 14: (1, {'@': 127}), 17: (1, {'@': 127}), 31: (1, {'@': 127}), 29: (1, {'@': 127}), 30: (1, {'@': 127}), 22: (1, {'@': 127}), 23: (1, {'@': 127}), 24: (1, {'@': 127}), 32: (1, {'@': 127}), 33: (1, {'@': 127}), 0: (1, {'@': 127}), 25: (1, {'@': 127}), 6: (0, 2), 1: (0, 12), 2: (0, 6), 8: (0, 174), 4: (0, 10)}, 128: {35: (1, {'@': 128}), 20: (1, {'@': 128}), 14: (1, {'@': 128}), 17: (1, {'@': 128}), 23: (1, {'@': 128}), 24: (1, {'@': 128}), 36: (1, {'@': 128}), 25: (1, {'@': 128}), 37: (1, {'@': 128}), 38: (1, {'@': 128}), 39: (1, {'@': 128}), 31: (1, {'@': 128}), 32: (1, {'@': 128}), 33: (1, {'@': 128}), 40: (1, {'@': 128}), 41: (1, {'@': 128}), 34: (1, {'@': 128}), 42: (1, {'@': 128}), 43: (1, {'@': 128}), 19: (1, {'@': 128}), 21: (1, {'@': 128}), 2: (1, {'@': 128}), 22: (1, {'@': 128}), 44: (1, {'@': 128}), 16: (1, {'@': 128}), 45: (1, {'@': 128}), 0: (1, {'@': 128}), 4: (1, {'@': 128}), 46: (1, {'@': 128}), 18: (1, {'@': 128}), 26: (1, {'@': 128}), 47: (1, {'@': 128}), 48: (1, {'@': 128}), 29: (1, {'@': 128}), 1: (1, {'@': 128}), 49: (1, {'@': 128}), 30: (1, {'@': 128}), 50: (1, {'@': 128}), 51: (1, {'@': 128}), 52: (1, {'@': 128})}, 129: {6: (0, 2), 85: (0, 175), 1: (0, 12), 2: (0, 6), 8: (0, 126), 19: (0, 127), 4: (0, 10), 0: (0, 176)}, 130: {5: (0, 177), 14: (0, 13)}, 131: {19: (0, 178), 8: (0, 179), 28: (0, 180), 6: (0, 2), 2: (0, 6), 4: (0, 10), 1: (0, 12)}, 132: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 60: (0, 181), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 133: {6: (0, 2), 2: (0, 6), 8: (0, 126), 19: (0, 127), 85: (0, 182), 4: (0, 10), 86: (0, 183), 1: (0, 12), 0: (0, 184)}, 134: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 60: (0, 185), 33: (0, 44), 14: (0, 13), 59: (0, 45), 23: (0, 47), 61: (0, 48), 8: (0, 186), 62: (0, 49), 87: (0, 145), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 20: (0, 147), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 135: {0: (1, {'@': 129}), 19: (1, {'@': 129}), 1: (1, {'@': 129}), 2: (1, {'@': 129}), 4: (1, {'@': 129}), 46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 136: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 187), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 137: {48: (0, 188), 46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 138: {0: (1, {'@': 130}), 19: (1, {'@': 130}), 1: (1, {'@': 130}), 2: (1, {'@': 130}), 4: (1, {'@': 130}), 46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 139: {14: (0, 13), 17: (0, 56), 2: (1, {'@': 121}), 22: (1, {'@': 121}), 23: (0, 47), 16: (0, 34), 24: (0, 59), 4: (1, {'@': 121}), 25: (0, 61), 26: (0, 36), 29: (1, {'@': 121}), 1: (1, {'@': 121}), 30: (0, 51), 31: (0, 65), 32: (0, 38), 33: (0, 44), 53: (0, 35), 5: (0, 37), 54: (0, 39), 56: (0, 41), 59: (0, 45), 55: (0, 119), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 68: (0, 60), 70: (0, 63), 71: (0, 64), 72: (0, 66), 74: (0, 68), 75: (0, 69)}, 140: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 189), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 141: {20: (0, 190)}, 142: {35: (1, {'@': 131}), 20: (1, {'@': 131}), 14: (1, {'@': 131}), 17: (1, {'@': 131}), 23: (1, {'@': 131}), 24: (1, {'@': 131}), 36: (1, {'@': 131}), 25: (1, {'@': 131}), 37: (1, {'@': 131}), 38: (1, {'@': 131}), 39: (1, {'@': 131}), 31: (1, {'@': 131}), 32: (1, {'@': 131}), 33: (1, {'@': 131}), 40: (1, {'@': 131}), 41: (1, {'@': 131}), 34: (1, {'@': 131}), 42: (1, {'@': 131}), 43: (1, {'@': 131}), 19: (1, {'@': 131}), 21: (1, {'@': 131}), 2: (1, {'@': 131}), 22: (1, {'@': 131}), 44: (1, {'@': 131}), 16: (1, {'@': 131}), 45: (1, {'@': 131}), 4: (1, {'@': 131}), 0: (1, {'@': 131}), 46: (1, {'@': 131}), 18: (1, {'@': 131}), 26: (1, {'@': 131}), 47: (1, {'@': 131}), 48: (1, {'@': 131}), 29: (1, {'@': 131}), 1: (1, {'@': 131}), 49: (1, {'@': 131}), 30: (1, {'@': 131}), 50: (1, {'@': 131}), 51: (1, {'@': 131}), 52: (1, {'@': 131})}, 143: {6: (0, 2), 46: (0, 98), 35: (0, 99), 2: (0, 6), 40: (0, 100), 82: (0, 101), 43: (0, 102), 4: (0, 10), 41: (0, 104), 50: (0, 105), 39: (0, 107), 52: (0, 108), 38: (0, 106), 51: (0, 109), 1: (0, 12), 20: (0, 191), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114), 8: (0, 192)}, 144: {1: (0, 12), 2: (0, 6), 4: (0, 10), 20: (1, {'@': 132}), 46: (0, 98), 19: (0, 193), 88: (0, 194), 41: (0, 104), 50: (0, 105), 6: (0, 2), 38: (0, 106), 52: (0, 108), 8: (0, 195), 47: (0, 110), 83: (0, 112), 42: (0, 114), 45: (0, 196), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 39: (0, 107), 51: (0, 109), 49: (0, 111), 29: (0, 113)}, 145: {6: (0, 2), 1: (0, 12), 8: (0, 197), 2: (0, 6), 4: (0, 10), 20: (0, 198)}, 146: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 60: (0, 144), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 6: (0, 2), 23: (0, 47), 61: (0, 48), 87: (0, 199), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 20: (0, 200), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 8: (0, 201), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 147: {35: (1, {'@': 133}), 20: (1, {'@': 133}), 14: (1, {'@': 133}), 17: (1, {'@': 133}), 23: (1, {'@': 133}), 24: (1, {'@': 133}), 36: (1, {'@': 133}), 25: (1, {'@': 133}), 37: (1, {'@': 133}), 38: (1, {'@': 133}), 39: (1, {'@': 133}), 31: (1, {'@': 133}), 32: (1, {'@': 133}), 33: (1, {'@': 133}), 40: (1, {'@': 133}), 41: (1, {'@': 133}), 34: (1, {'@': 133}), 42: (1, {'@': 133}), 43: (1, {'@': 133}), 19: (1, {'@': 133}), 21: (1, {'@': 133}), 2: (1, {'@': 133}), 22: (1, {'@': 133}), 44: (1, {'@': 133}), 16: (1, {'@': 133}), 45: (1, {'@': 133}), 0: (1, {'@': 133}), 4: (1, {'@': 133}), 46: (1, {'@': 133}), 18: (1, {'@': 133}), 26: (1, {'@': 133}), 47: (1, {'@': 133}), 48: (1, {'@': 133}), 29: (1, {'@': 133}), 1: (1, {'@': 133}), 49: (1, {'@': 133}), 30: (1, {'@': 133}), 50: (1, {'@': 133}), 51: (1, {'@': 133}), 52: (1, {'@': 133})}, 148: {46: (0, 98), 88: (0, 202), 19: (0, 203), 41: (0, 104), 50: (0, 105), 6: (0, 2), 38: (0, 106), 52: (0, 108), 8: (0, 204), 47: (0, 110), 83: (0, 112), 42: (0, 114), 35: (0, 99), 2: (0, 6), 21: (0, 205), 40: (0, 100), 82: (0, 101), 43: (0, 102), 4: (0, 10), 39: (0, 107), 51: (0, 109), 1: (0, 12), 49: (0, 111), 29: (0, 113)}, 149: {16: (0, 34), 60: (0, 206), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 6: (0, 2), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 8: (0, 207), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 150: {35: (1, {'@': 134}), 20: (1, {'@': 134}), 14: (1, {'@': 134}), 17: (1, {'@': 134}), 23: (1, {'@': 134}), 24: (1, {'@': 134}), 36: (1, {'@': 134}), 25: (1, {'@': 134}), 37: (1, {'@': 134}), 38: (1, {'@': 134}), 39: (1, {'@': 134}), 31: (1, {'@': 134}), 32: (1, {'@': 134}), 33: (1, {'@': 134}), 40: (1, {'@': 134}), 41: (1, {'@': 134}), 34: (1, {'@': 134}), 42: (1, {'@': 134}), 43: (1, {'@': 134}), 19: (1, {'@': 134}), 21: (1, {'@': 134}), 2: (1, {'@': 134}), 22: (1, {'@': 134}), 44: (1, {'@': 134}), 16: (1, {'@': 134}), 45: (1, {'@': 134}), 0: (1, {'@': 134}), 4: (1, {'@': 134}), 46: (1, {'@': 134}), 18: (1, {'@': 134}), 26: (1, {'@': 134}), 47: (1, {'@': 134}), 48: (1, {'@': 134}), 29: (1, {'@': 134}), 1: (1, {'@': 134}), 49: (1, {'@': 134}), 30: (1, {'@': 134}), 50: (1, {'@': 134}), 51: (1, {'@': 134}), 52: (1, {'@': 134})}, 151: {34: (0, 208), 8: (0, 209), 46: (0, 98), 41: (0, 104), 50: (0, 105), 6: (0, 2), 38: (0, 106), 52: (0, 108), 47: (0, 110), 90: (0, 210), 83: (0, 112), 42: (0, 114), 35: (0, 99), 2: (0, 6), 40: (0, 100), 82: (0, 101), 43: (0, 102), 4: (0, 10), 39: (0, 107), 51: (0, 109), 1: (0, 12), 21: (0, 211), 49: (0, 111), 29: (0, 113)}, 152: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 212), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 153: {6: (0, 2), 19: (0, 213), 1: (0, 12), 2: (0, 6), 21: (0, 214), 4: (0, 10), 8: (0, 215)}, 154: {6: (0, 2), 8: (0, 216), 19: (0, 217), 2: (0, 6), 21: (0, 218), 4: (0, 10), 1: (0, 12)}, 155: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 219), 21: (0, 220), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 8: (0, 221), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 156: {35: (1, {'@': 135}), 20: (1, {'@': 135}), 14: (1, {'@': 135}), 17: (1, {'@': 135}), 23: (1, {'@': 135}), 24: (1, {'@': 135}), 36: (1, {'@': 135}), 25: (1, {'@': 135}), 37: (1, {'@': 135}), 38: (1, {'@': 135}), 39: (1, {'@': 135}), 31: (1, {'@': 135}), 32: (1, {'@': 135}), 33: (1, {'@': 135}), 40: (1, {'@': 135}), 41: (1, {'@': 135}), 34: (1, {'@': 135}), 42: (1, {'@': 135}), 43: (1, {'@': 135}), 19: (1, {'@': 135}), 21: (1, {'@': 135}), 2: (1, {'@': 135}), 22: (1, {'@': 135}), 44: (1, {'@': 135}), 16: (1, {'@': 135}), 45: (1, {'@': 135}), 0: (1, {'@': 135}), 4: (1, {'@': 135}), 46: (1, {'@': 135}), 18: (1, {'@': 135}), 26: (1, {'@': 135}), 47: (1, {'@': 135}), 48: (1, {'@': 135}), 29: (1, {'@': 135}), 1: (1, {'@': 135}), 49: (1, {'@': 135}), 30: (1, {'@': 135}), 50: (1, {'@': 135}), 51: (1, {'@': 135}), 52: (1, {'@': 135})}, 157: {35: (1, {'@': 136}), 20: (1, {'@': 136}), 14: (1, {'@': 136}), 17: (1, {'@': 136}), 23: (1, {'@': 136}), 24: (1, {'@': 136}), 36: (1, {'@': 136}), 25: (1, {'@': 136}), 37: (1, {'@': 136}), 38: (1, {'@': 136}), 39: (1, {'@': 136}), 31: (1, {'@': 136}), 32: (1, {'@': 136}), 33: (1, {'@': 136}), 40: (1, {'@': 136}), 41: (1, {'@': 136}), 34: (1, {'@': 136}), 42: (1, {'@': 136}), 43: (1, {'@': 136}), 19: (1, {'@': 136}), 21: (1, {'@': 136}), 2: (1, {'@': 136}), 22: (1, {'@': 136}), 44: (1, {'@': 136}), 16: (1, {'@': 136}), 45: (1, {'@': 136}), 4: (1, {'@': 136}), 0: (1, {'@': 136}), 46: (1, {'@': 136}), 18: (1, {'@': 136}), 26: (1, {'@': 136}), 47: (1, {'@': 136}), 48: (1, {'@': 136}), 29: (1, {'@': 136}), 1: (1, {'@': 136}), 49: (1, {'@': 136}), 30: (1, {'@': 136}), 50: (1, {'@': 136}), 51: (1, {'@': 136}), 52: (1, {'@': 136})}, 158: {6: (0, 2), 46: (0, 98), 35: (0, 99), 2: (0, 6), 40: (0, 100), 82: (0, 101), 43: (0, 102), 21: (0, 222), 41: (0, 104), 4: (0, 10), 50: (0, 105), 8: (0, 223), 39: (0, 107), 38: (0, 106), 52: (0, 108), 51: (0, 109), 1: (0, 12), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 159: {21: (0, 224)}, 160: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 225), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 161: {35: (1, {'@': 137}), 20: (1, {'@': 137}), 14: (1, {'@': 137}), 17: (1, {'@': 137}), 23: (1, {'@': 137}), 24: (1, {'@': 137}), 36: (1, {'@': 137}), 25: (1, {'@': 137}), 37: (1, {'@': 137}), 38: (1, {'@': 137}), 39: (1, {'@': 137}), 31: (1, {'@': 137}), 32: (1, {'@': 137}), 33: (1, {'@': 137}), 40: (1, {'@': 137}), 41: (1, {'@': 137}), 34: (1, {'@': 137}), 42: (1, {'@': 137}), 43: (1, {'@': 137}), 19: (1, {'@': 137}), 21: (1, {'@': 137}), 2: (1, {'@': 137}), 22: (1, {'@': 137}), 44: (1, {'@': 137}), 16: (1, {'@': 137}), 45: (1, {'@': 137}), 4: (1, {'@': 137}), 0: (1, {'@': 137}), 46: (1, {'@': 137}), 18: (1, {'@': 137}), 26: (1, {'@': 137}), 47: (1, {'@': 137}), 48: (1, {'@': 137}), 29: (1, {'@': 137}), 1: (1, {'@': 137}), 49: (1, {'@': 137}), 30: (1, {'@': 137}), 50: (1, {'@': 137}), 51: (1, {'@': 137}), 52: (1, {'@': 137})}, 162: {35: (1, {'@': 138}), 20: (1, {'@': 138}), 14: (1, {'@': 138}), 17: (1, {'@': 138}), 23: (1, {'@': 138}), 24: (1, {'@': 138}), 36: (0, 91), 25: (1, {'@': 138}), 37: (1, {'@': 138}), 38: (1, {'@': 138}), 39: (1, {'@': 138}), 31: (1, {'@': 138}), 32: (1, {'@': 138}), 33: (1, {'@': 138}), 40: (1, {'@': 138}), 41: (1, {'@': 138}), 34: (1, {'@': 138}), 42: (1, {'@': 138}), 43: (1, {'@': 138}), 19: (1, {'@': 138}), 21: (1, {'@': 138}), 2: (1, {'@': 138}), 22: (1, {'@': 138}), 44: (1, {'@': 138}), 16: (1, {'@': 138}), 45: (1, {'@': 138}), 0: (1, {'@': 138}), 4: (1, {'@': 138}), 46: (1, {'@': 138}), 18: (1, {'@': 138}), 26: (1, {'@': 138}), 47: (1, {'@': 138}), 48: (1, {'@': 138}), 29: (1, {'@': 138}), 1: (1, {'@': 138}), 49: (1, {'@': 138}), 30: (1, {'@': 138}), 50: (1, {'@': 138}), 51: (1, {'@': 138}), 52: (1, {'@': 138}), 80: (0, 226)}, 163: {35: (0, 99), 20: (1, {'@': 139}), 14: (1, {'@': 139}), 17: (1, {'@': 139}), 23: (1, {'@': 139}), 24: (1, {'@': 139}), 25: (1, {'@': 139}), 38: (0, 106), 39: (0, 107), 31: (1, {'@': 139}), 32: (1, {'@': 139}), 33: (1, {'@': 139}), 40: (0, 100), 41: (0, 104), 34: (1, {'@': 139}), 42: (0, 114), 43: (0, 102), 19: (1, {'@': 139}), 21: (1, {'@': 139}), 2: (1, {'@': 139}), 22: (1, {'@': 139}), 44: (1, {'@': 139}), 16: (1, {'@': 139}), 45: (1, {'@': 139}), 0: (1, {'@': 139}), 4: (1, {'@': 139}), 46: (0, 98), 18: (1, {'@': 139}), 26: (1, {'@': 139}), 47: (0, 110), 48: (1, {'@': 139}), 29: (0, 113), 1: (1, {'@': 139}), 49: (0, 111), 30: (1, {'@': 139}), 50: (0, 105), 51: (0, 109), 52: (0, 108), 82: (0, 101), 83: (0, 112)}, 164: {16: (0, 34), 53: (0, 35), 60: (0, 227), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 165: {46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114), 44: (0, 228)}, 166: {35: (1, {'@': 140}), 20: (1, {'@': 140}), 14: (1, {'@': 140}), 17: (1, {'@': 140}), 23: (1, {'@': 140}), 24: (1, {'@': 140}), 36: (1, {'@': 140}), 25: (1, {'@': 140}), 37: (1, {'@': 140}), 38: (1, {'@': 140}), 39: (1, {'@': 140}), 31: (1, {'@': 140}), 32: (1, {'@': 140}), 33: (1, {'@': 140}), 40: (1, {'@': 140}), 41: (1, {'@': 140}), 34: (1, {'@': 140}), 42: (1, {'@': 140}), 43: (1, {'@': 140}), 19: (1, {'@': 140}), 21: (1, {'@': 140}), 2: (1, {'@': 140}), 22: (1, {'@': 140}), 44: (1, {'@': 140}), 16: (1, {'@': 140}), 45: (1, {'@': 140}), 0: (1, {'@': 140}), 4: (1, {'@': 140}), 46: (1, {'@': 140}), 18: (1, {'@': 140}), 26: (1, {'@': 140}), 47: (1, {'@': 140}), 48: (1, {'@': 140}), 29: (1, {'@': 140}), 1: (1, {'@': 140}), 49: (1, {'@': 140}), 30: (0, 115), 50: (1, {'@': 140}), 51: (1, {'@': 140}), 52: (1, {'@': 140}), 84: (0, 229)}, 167: {35: (1, {'@': 141}), 20: (1, {'@': 141}), 14: (1, {'@': 141}), 17: (1, {'@': 141}), 23: (1, {'@': 141}), 24: (1, {'@': 141}), 36: (1, {'@': 141}), 25: (1, {'@': 141}), 37: (1, {'@': 141}), 38: (1, {'@': 141}), 39: (1, {'@': 141}), 31: (1, {'@': 141}), 32: (1, {'@': 141}), 33: (1, {'@': 141}), 40: (1, {'@': 141}), 41: (1, {'@': 141}), 34: (1, {'@': 141}), 42: (1, {'@': 141}), 43: (1, {'@': 141}), 19: (1, {'@': 141}), 21: (1, {'@': 141}), 2: (1, {'@': 141}), 22: (1, {'@': 141}), 44: (1, {'@': 141}), 16: (1, {'@': 141}), 45: (1, {'@': 141}), 0: (1, {'@': 141}), 4: (1, {'@': 141}), 46: (1, {'@': 141}), 18: (1, {'@': 141}), 26: (1, {'@': 141}), 47: (1, {'@': 141}), 48: (1, {'@': 141}), 29: (1, {'@': 141}), 1: (1, {'@': 141}), 49: (1, {'@': 141}), 30: (0, 115), 50: (1, {'@': 141}), 51: (1, {'@': 141}), 52: (1, {'@': 141})}, 168: {46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 0: (0, 230), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 169: {6: (0, 2), 1: (0, 12), 2: (0, 6), 4: (0, 10), 8: (0, 231)}, 170: {6: (0, 2), 8: (0, 232), 1: (0, 12), 2: (0, 6), 4: (0, 10)}, 171: {0: (1, {'@': 142}), 14: (1, {'@': 142}), 3: (1, {'@': 142}), 1: (1, {'@': 142}), 2: (1, {'@': 142}), 4: (1, {'@': 142})}, 172: {35: (1, {'@': 143}), 20: (1, {'@': 143}), 14: (1, {'@': 143}), 17: (1, {'@': 143}), 23: (1, {'@': 143}), 24: (1, {'@': 143}), 36: (1, {'@': 143}), 25: (1, {'@': 143}), 37: (1, {'@': 143}), 38: (1, {'@': 143}), 39: (1, {'@': 143}), 31: (1, {'@': 143}), 32: (1, {'@': 143}), 33: (1, {'@': 143}), 40: (1, {'@': 143}), 41: (1, {'@': 143}), 34: (1, {'@': 143}), 42: (1, {'@': 143}), 43: (1, {'@': 143}), 19: (1, {'@': 143}), 21: (1, {'@': 143}), 2: (1, {'@': 143}), 22: (1, {'@': 143}), 44: (1, {'@': 143}), 16: (1, {'@': 143}), 45: (1, {'@': 143}), 0: (1, {'@': 143}), 4: (1, {'@': 143}), 46: (1, {'@': 143}), 18: (1, {'@': 143}), 26: (1, {'@': 143}), 47: (1, {'@': 143}), 48: (1, {'@': 143}), 29: (1, {'@': 143}), 1: (1, {'@': 143}), 49: (1, {'@': 143}), 30: (1, {'@': 143}), 50: (1, {'@': 143}), 51: (1, {'@': 143}), 52: (1, {'@': 143})}, 173: {0: (1, {'@': 144}), 1: (1, {'@': 144}), 19: (1, {'@': 144}), 2: (1, {'@': 144}), 4: (1, {'@': 144})}, 174: {16: (1, {'@': 145}), 26: (1, {'@': 145}), 14: (1, {'@': 145}), 17: (1, {'@': 145}), 31: (1, {'@': 145}), 29: (1, {'@': 145}), 30: (1, {'@': 145}), 22: (1, {'@': 145}), 23: (1, {'@': 145}), 24: (1, {'@': 145}), 32: (1, {'@': 145}), 33: (1, {'@': 145}), 0: (1, {'@': 145}), 25: (1, {'@': 145})}, 175: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 80), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 82), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 76: (0, 233), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 0: (0, 234), 75: (0, 69)}, 176: {35: (1, {'@': 146}), 20: (1, {'@': 146}), 14: (1, {'@': 146}), 17: (1, {'@': 146}), 23: (1, {'@': 146}), 24: (1, {'@': 146}), 36: (1, {'@': 146}), 25: (1, {'@': 146}), 37: (1, {'@': 146}), 38: (1, {'@': 146}), 39: (1, {'@': 146}), 31: (1, {'@': 146}), 32: (1, {'@': 146}), 33: (1, {'@': 146}), 40: (1, {'@': 146}), 41: (1, {'@': 146}), 34: (1, {'@': 146}), 42: (1, {'@': 146}), 43: (1, {'@': 146}), 19: (1, {'@': 146}), 21: (1, {'@': 146}), 2: (1, {'@': 146}), 22: (1, {'@': 146}), 44: (1, {'@': 146}), 16: (1, {'@': 146}), 45: (1, {'@': 146}), 0: (1, {'@': 146}), 4: (1, {'@': 146}), 46: (1, {'@': 146}), 18: (1, {'@': 146}), 26: (1, {'@': 146}), 47: (1, {'@': 146}), 48: (1, {'@': 146}), 29: (1, {'@': 146}), 1: (1, {'@': 146}), 49: (1, {'@': 146}), 30: (1, {'@': 146}), 50: (1, {'@': 146}), 51: (1, {'@': 146}), 52: (1, {'@': 146})}, 177: {19: (0, 235), 6: (0, 2), 28: (0, 236), 2: (0, 6), 4: (0, 10), 1: (0, 12), 8: (0, 237)}, 178: {5: (0, 238), 14: (0, 13)}, 179: {28: (0, 239)}, 180: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 6: (0, 2), 58: (0, 43), 60: (0, 240), 33: (0, 44), 14: (0, 13), 59: (0, 45), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 8: (0, 241), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 181: {48: (0, 242), 46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 182: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 80), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 82), 23: (0, 47), 61: (0, 48), 76: (0, 173), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 0: (0, 243), 74: (0, 68), 75: (0, 69)}, 183: {6: (0, 2), 85: (0, 244), 1: (0, 12), 0: (0, 245), 2: (0, 6), 8: (0, 126), 19: (0, 127), 4: (0, 10)}, 184: {35: (1, {'@': 147}), 20: (1, {'@': 147}), 14: (1, {'@': 147}), 17: (1, {'@': 147}), 23: (1, {'@': 147}), 24: (1, {'@': 147}), 36: (1, {'@': 147}), 25: (1, {'@': 147}), 37: (1, {'@': 147}), 38: (1, {'@': 147}), 39: (1, {'@': 147}), 31: (1, {'@': 147}), 32: (1, {'@': 147}), 33: (1, {'@': 147}), 40: (1, {'@': 147}), 41: (1, {'@': 147}), 34: (1, {'@': 147}), 42: (1, {'@': 147}), 43: (1, {'@': 147}), 19: (1, {'@': 147}), 21: (1, {'@': 147}), 2: (1, {'@': 147}), 22: (1, {'@': 147}), 44: (1, {'@': 147}), 16: (1, {'@': 147}), 45: (1, {'@': 147}), 0: (1, {'@': 147}), 4: (1, {'@': 147}), 46: (1, {'@': 147}), 18: (1, {'@': 147}), 26: (1, {'@': 147}), 47: (1, {'@': 147}), 48: (1, {'@': 147}), 29: (1, {'@': 147}), 1: (1, {'@': 147}), 49: (1, {'@': 147}), 30: (1, {'@': 147}), 50: (1, {'@': 147}), 51: (1, {'@': 147}), 52: (1, {'@': 147})}, 185: {1: (0, 12), 2: (0, 6), 4: (0, 10), 20: (0, 142), 46: (0, 98), 19: (0, 193), 88: (0, 194), 41: (0, 104), 50: (0, 105), 6: (0, 2), 38: (0, 106), 52: (0, 108), 8: (0, 246), 47: (0, 110), 83: (0, 112), 42: (0, 114), 45: (0, 196), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 39: (0, 107), 51: (0, 109), 49: (0, 111), 29: (0, 113)}, 186: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 60: (0, 247), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 23: (0, 47), 61: (0, 48), 87: (0, 199), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 20: (0, 200), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 8: (0, 201), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 187: {0: (1, {'@': 148}), 19: (1, {'@': 148}), 1: (1, {'@': 148}), 2: (1, {'@': 148}), 4: (1, {'@': 148}), 46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 188: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 60: (0, 248), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 189: {0: (1, {'@': 149}), 19: (1, {'@': 149}), 1: (1, {'@': 149}), 2: (1, {'@': 149}), 4: (1, {'@': 149}), 46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 190: {35: (1, {'@': 150}), 20: (1, {'@': 150}), 14: (1, {'@': 150}), 17: (1, {'@': 150}), 23: (1, {'@': 150}), 24: (1, {'@': 150}), 36: (1, {'@': 150}), 25: (1, {'@': 150}), 37: (1, {'@': 150}), 38: (1, {'@': 150}), 39: (1, {'@': 150}), 31: (1, {'@': 150}), 32: (1, {'@': 150}), 33: (1, {'@': 150}), 40: (1, {'@': 150}), 41: (1, {'@': 150}), 34: (1, {'@': 150}), 42: (1, {'@': 150}), 43: (1, {'@': 150}), 19: (1, {'@': 150}), 21: (1, {'@': 150}), 2: (1, {'@': 150}), 22: (1, {'@': 150}), 44: (1, {'@': 150}), 16: (1, {'@': 150}), 45: (1, {'@': 150}), 4: (1, {'@': 150}), 0: (1, {'@': 150}), 46: (1, {'@': 150}), 18: (1, {'@': 150}), 26: (1, {'@': 150}), 47: (1, {'@': 150}), 48: (1, {'@': 150}), 29: (1, {'@': 150}), 1: (1, {'@': 150}), 49: (1, {'@': 150}), 30: (1, {'@': 150}), 50: (1, {'@': 150}), 51: (1, {'@': 150}), 52: (1, {'@': 150})}, 191: {35: (1, {'@': 151}), 20: (1, {'@': 151}), 14: (1, {'@': 151}), 17: (1, {'@': 151}), 23: (1, {'@': 151}), 24: (1, {'@': 151}), 36: (1, {'@': 151}), 25: (1, {'@': 151}), 37: (1, {'@': 151}), 38: (1, {'@': 151}), 39: (1, {'@': 151}), 31: (1, {'@': 151}), 32: (1, {'@': 151}), 33: (1, {'@': 151}), 40: (1, {'@': 151}), 41: (1, {'@': 151}), 34: (1, {'@': 151}), 42: (1, {'@': 151}), 43: (1, {'@': 151}), 19: (1, {'@': 151}), 21: (1, {'@': 151}), 2: (1, {'@': 151}), 22: (1, {'@': 151}), 44: (1, {'@': 151}), 16: (1, {'@': 151}), 45: (1, {'@': 151}), 4: (1, {'@': 151}), 0: (1, {'@': 151}), 46: (1, {'@': 151}), 18: (1, {'@': 151}), 26: (1, {'@': 151}), 47: (1, {'@': 151}), 48: (1, {'@': 151}), 29: (1, {'@': 151}), 1: (1, {'@': 151}), 49: (1, {'@': 151}), 30: (1, {'@': 151}), 50: (1, {'@': 151}), 51: (1, {'@': 151}), 52: (1, {'@': 151})}, 192: {20: (0, 249)}, 193: {1: (0, 12), 2: (0, 6), 4: (0, 10), 20: (1, {'@': 152}), 16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 8: (0, 250), 60: (0, 219), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 194: {1: (0, 12), 2: (0, 6), 4: (0, 10), 20: (1, {'@': 153}), 19: (0, 251), 6: (0, 2), 8: (0, 252), 45: (0, 253)}, 195: {1: (1, {'@': 154}), 2: (1, {'@': 154}), 4: (1, {'@': 154}), 20: (1, {'@': 154}), 19: (0, 254)}, 196: {1: (0, 12), 2: (0, 6), 4: (0, 10), 20: (1, {'@': 155}), 6: (0, 2), 8: (0, 255)}, 197: {20: (0, 256)}, 198: {35: (1, {'@': 156}), 20: (1, {'@': 156}), 14: (1, {'@': 156}), 17: (1, {'@': 156}), 23: (1, {'@': 156}), 24: (1, {'@': 156}), 36: (1, {'@': 156}), 25: (1, {'@': 156}), 37: (1, {'@': 156}), 38: (1, {'@': 156}), 39: (1, {'@': 156}), 31: (1, {'@': 156}), 32: (1, {'@': 156}), 33: (1, {'@': 156}), 40: (1, {'@': 156}), 41: (1, {'@': 156}), 34: (1, {'@': 156}), 42: (1, {'@': 156}), 43: (1, {'@': 156}), 19: (1, {'@': 156}), 21: (1, {'@': 156}), 2: (1, {'@': 156}), 22: (1, {'@': 156}), 44: (1, {'@': 156}), 16: (1, {'@': 156}), 45: (1, {'@': 156}), 0: (1, {'@': 156}), 4: (1, {'@': 156}), 46: (1, {'@': 156}), 18: (1, {'@': 156}), 26: (1, {'@': 156}), 47: (1, {'@': 156}), 48: (1, {'@': 156}), 29: (1, {'@': 156}), 1: (1, {'@': 156}), 49: (1, {'@': 156}), 30: (1, {'@': 156}), 50: (1, {'@': 156}), 51: (1, {'@': 156}), 52: (1, {'@': 156})}, 199: {6: (0, 2), 20: (0, 257), 1: (0, 12), 2: (0, 6), 8: (0, 258), 4: (0, 10)}, 200: {35: (1, {'@': 157}), 20: (1, {'@': 157}), 14: (1, {'@': 157}), 17: (1, {'@': 157}), 23: (1, {'@': 157}), 24: (1, {'@': 157}), 36: (1, {'@': 157}), 25: (1, {'@': 157}), 37: (1, {'@': 157}), 38: (1, {'@': 157}), 39: (1, {'@': 157}), 31: (1, {'@': 157}), 32: (1, {'@': 157}), 33: (1, {'@': 157}), 40: (1, {'@': 157}), 41: (1, {'@': 157}), 34: (1, {'@': 157}), 42: (1, {'@': 157}), 43: (1, {'@': 157}), 19: (1, {'@': 157}), 21: (1, {'@': 157}), 2: (1, {'@': 157}), 22: (1, {'@': 157}), 44: (1, {'@': 157}), 16: (1, {'@': 157}), 45: (1, {'@': 157}), 0: (1, {'@': 157}), 4: (1, {'@': 157}), 46: (1, {'@': 157}), 18: (1, {'@': 157}), 26: (1, {'@': 157}), 47: (1, {'@': 157}), 48: (1, {'@': 157}), 29: (1, {'@': 157}), 1: (1, {'@': 157}), 49: (1, {'@': 157}), 30: (1, {'@': 157}), 50: (1, {'@': 157}), 51: (1, {'@': 157}), 52: (1, {'@': 157})}, 201: {20: (0, 259)}, 202: {8: (0, 260), 6: (0, 2), 2: (0, 6), 19: (0, 261), 4: (0, 10), 21: (0, 262), 1: (0, 12)}, 203: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 219), 23: (0, 47), 61: (0, 48), 8: (0, 263), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 21: (0, 264), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 204: {6: (0, 2), 8: (0, 265), 1: (0, 12), 19: (0, 266), 2: (0, 6), 21: (0, 267), 4: (0, 10)}, 205: {35: (1, {'@': 158}), 20: (1, {'@': 158}), 14: (1, {'@': 158}), 17: (1, {'@': 158}), 23: (1, {'@': 158}), 24: (1, {'@': 158}), 36: (1, {'@': 158}), 25: (1, {'@': 158}), 37: (1, {'@': 158}), 38: (1, {'@': 158}), 39: (1, {'@': 158}), 31: (1, {'@': 158}), 32: (1, {'@': 158}), 33: (1, {'@': 158}), 40: (1, {'@': 158}), 41: (1, {'@': 158}), 34: (1, {'@': 158}), 42: (1, {'@': 158}), 43: (1, {'@': 158}), 19: (1, {'@': 158}), 21: (1, {'@': 158}), 2: (1, {'@': 158}), 22: (1, {'@': 158}), 44: (1, {'@': 158}), 16: (1, {'@': 158}), 45: (1, {'@': 158}), 0: (1, {'@': 158}), 4: (1, {'@': 158}), 46: (1, {'@': 158}), 18: (1, {'@': 158}), 26: (1, {'@': 158}), 47: (1, {'@': 158}), 48: (1, {'@': 158}), 29: (1, {'@': 158}), 1: (1, {'@': 158}), 49: (1, {'@': 158}), 30: (1, {'@': 158}), 50: (1, {'@': 158}), 51: (1, {'@': 158}), 52: (1, {'@': 158})}, 206: {34: (0, 208), 46: (0, 98), 8: (0, 268), 41: (0, 104), 50: (0, 105), 6: (0, 2), 38: (0, 106), 52: (0, 108), 47: (0, 110), 83: (0, 112), 42: (0, 114), 90: (0, 269), 35: (0, 99), 2: (0, 6), 40: (0, 100), 82: (0, 101), 43: (0, 102), 4: (0, 10), 21: (0, 270), 39: (0, 107), 51: (0, 109), 1: (0, 12), 49: (0, 111), 29: (0, 113)}, 207: {60: (0, 271), 16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 208: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 6: (0, 2), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 272), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 8: (0, 273), 75: (0, 69)}, 209: {6: (0, 2), 34: (0, 208), 1: (0, 12), 21: (0, 274), 2: (0, 6), 8: (0, 275), 4: (0, 10), 90: (0, 276)}, 210: {6: (0, 2), 21: (0, 277), 1: (0, 12), 8: (0, 278), 2: (0, 6), 4: (0, 10)}, 211: {35: (1, {'@': 159}), 20: (1, {'@': 159}), 14: (1, {'@': 159}), 17: (1, {'@': 159}), 23: (1, {'@': 159}), 24: (1, {'@': 159}), 36: (1, {'@': 159}), 25: (1, {'@': 159}), 37: (1, {'@': 159}), 38: (1, {'@': 159}), 39: (1, {'@': 159}), 31: (1, {'@': 159}), 32: (1, {'@': 159}), 33: (1, {'@': 159}), 40: (1, {'@': 159}), 41: (1, {'@': 159}), 34: (1, {'@': 159}), 42: (1, {'@': 159}), 43: (1, {'@': 159}), 19: (1, {'@': 159}), 21: (1, {'@': 159}), 2: (1, {'@': 159}), 22: (1, {'@': 159}), 44: (1, {'@': 159}), 16: (1, {'@': 159}), 45: (1, {'@': 159}), 0: (1, {'@': 159}), 4: (1, {'@': 159}), 46: (1, {'@': 159}), 18: (1, {'@': 159}), 26: (1, {'@': 159}), 47: (1, {'@': 159}), 48: (1, {'@': 159}), 29: (1, {'@': 159}), 1: (1, {'@': 159}), 49: (1, {'@': 159}), 30: (1, {'@': 159}), 50: (1, {'@': 159}), 51: (1, {'@': 159}), 52: (1, {'@': 159})}, 212: {34: (0, 208), 46: (0, 98), 8: (0, 279), 41: (0, 104), 50: (0, 105), 6: (0, 2), 38: (0, 106), 52: (0, 108), 21: (0, 280), 47: (0, 110), 83: (0, 112), 42: (0, 114), 35: (0, 99), 2: (0, 6), 40: (0, 100), 82: (0, 101), 43: (0, 102), 90: (0, 281), 4: (0, 10), 39: (0, 107), 51: (0, 109), 1: (0, 12), 49: (0, 111), 29: (0, 113)}, 213: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 282), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 8: (0, 283), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 21: (0, 284), 75: (0, 69)}, 214: {35: (1, {'@': 160}), 20: (1, {'@': 160}), 14: (1, {'@': 160}), 17: (1, {'@': 160}), 23: (1, {'@': 160}), 24: (1, {'@': 160}), 36: (1, {'@': 160}), 25: (1, {'@': 160}), 37: (1, {'@': 160}), 38: (1, {'@': 160}), 39: (1, {'@': 160}), 31: (1, {'@': 160}), 32: (1, {'@': 160}), 33: (1, {'@': 160}), 40: (1, {'@': 160}), 41: (1, {'@': 160}), 34: (1, {'@': 160}), 42: (1, {'@': 160}), 43: (1, {'@': 160}), 19: (1, {'@': 160}), 21: (1, {'@': 160}), 2: (1, {'@': 160}), 22: (1, {'@': 160}), 44: (1, {'@': 160}), 16: (1, {'@': 160}), 45: (1, {'@': 160}), 0: (1, {'@': 160}), 4: (1, {'@': 160}), 46: (1, {'@': 160}), 18: (1, {'@': 160}), 26: (1, {'@': 160}), 47: (1, {'@': 160}), 48: (1, {'@': 160}), 29: (1, {'@': 160}), 1: (1, {'@': 160}), 49: (1, {'@': 160}), 30: (1, {'@': 160}), 50: (1, {'@': 160}), 51: (1, {'@': 160}), 52: (1, {'@': 160})}, 215: {21: (0, 285)}, 216: {6: (0, 2), 8: (0, 286), 1: (0, 12), 19: (0, 287), 2: (0, 6), 4: (0, 10), 21: (0, 288)}, 217: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 6: (0, 2), 58: (0, 43), 33: (0, 44), 14: (0, 13), 8: (0, 289), 59: (0, 45), 60: (0, 290), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 21: (0, 291), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 218: {35: (1, {'@': 161}), 20: (1, {'@': 161}), 14: (1, {'@': 161}), 17: (1, {'@': 161}), 23: (1, {'@': 161}), 24: (1, {'@': 161}), 36: (1, {'@': 161}), 25: (1, {'@': 161}), 37: (1, {'@': 161}), 38: (1, {'@': 161}), 39: (1, {'@': 161}), 31: (1, {'@': 161}), 32: (1, {'@': 161}), 33: (1, {'@': 161}), 40: (1, {'@': 161}), 41: (1, {'@': 161}), 34: (1, {'@': 161}), 42: (1, {'@': 161}), 43: (1, {'@': 161}), 19: (1, {'@': 161}), 21: (1, {'@': 161}), 2: (1, {'@': 161}), 22: (1, {'@': 161}), 44: (1, {'@': 161}), 16: (1, {'@': 161}), 45: (1, {'@': 161}), 0: (1, {'@': 161}), 4: (1, {'@': 161}), 46: (1, {'@': 161}), 18: (1, {'@': 161}), 26: (1, {'@': 161}), 47: (1, {'@': 161}), 48: (1, {'@': 161}), 29: (1, {'@': 161}), 1: (1, {'@': 161}), 49: (1, {'@': 161}), 30: (1, {'@': 161}), 50: (1, {'@': 161}), 51: (1, {'@': 161}), 52: (1, {'@': 161})}, 219: {19: (1, {'@': 162}), 20: (1, {'@': 162}), 21: (1, {'@': 162}), 1: (1, {'@': 162}), 2: (1, {'@': 162}), 45: (1, {'@': 162}), 4: (1, {'@': 162}), 46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 220: {35: (1, {'@': 163}), 20: (1, {'@': 163}), 14: (1, {'@': 163}), 17: (1, {'@': 163}), 23: (1, {'@': 163}), 24: (1, {'@': 163}), 36: (1, {'@': 163}), 25: (1, {'@': 163}), 37: (1, {'@': 163}), 38: (1, {'@': 163}), 39: (1, {'@': 163}), 31: (1, {'@': 163}), 32: (1, {'@': 163}), 33: (1, {'@': 163}), 40: (1, {'@': 163}), 41: (1, {'@': 163}), 34: (1, {'@': 163}), 42: (1, {'@': 163}), 43: (1, {'@': 163}), 19: (1, {'@': 163}), 21: (1, {'@': 163}), 2: (1, {'@': 163}), 22: (1, {'@': 163}), 44: (1, {'@': 163}), 16: (1, {'@': 163}), 45: (1, {'@': 163}), 0: (1, {'@': 163}), 4: (1, {'@': 163}), 46: (1, {'@': 163}), 18: (1, {'@': 163}), 26: (1, {'@': 163}), 47: (1, {'@': 163}), 48: (1, {'@': 163}), 29: (1, {'@': 163}), 1: (1, {'@': 163}), 49: (1, {'@': 163}), 30: (1, {'@': 163}), 50: (1, {'@': 163}), 51: (1, {'@': 163}), 52: (1, {'@': 163})}, 221: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 292), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 21: (0, 293), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 222: {35: (1, {'@': 164}), 20: (1, {'@': 164}), 14: (1, {'@': 164}), 17: (1, {'@': 164}), 23: (1, {'@': 164}), 24: (1, {'@': 164}), 36: (1, {'@': 164}), 25: (1, {'@': 164}), 37: (1, {'@': 164}), 38: (1, {'@': 164}), 39: (1, {'@': 164}), 31: (1, {'@': 164}), 32: (1, {'@': 164}), 33: (1, {'@': 164}), 40: (1, {'@': 164}), 41: (1, {'@': 164}), 34: (1, {'@': 164}), 42: (1, {'@': 164}), 43: (1, {'@': 164}), 19: (1, {'@': 164}), 21: (1, {'@': 164}), 2: (1, {'@': 164}), 22: (1, {'@': 164}), 44: (1, {'@': 164}), 16: (1, {'@': 164}), 45: (1, {'@': 164}), 4: (1, {'@': 164}), 0: (1, {'@': 164}), 46: (1, {'@': 164}), 18: (1, {'@': 164}), 26: (1, {'@': 164}), 47: (1, {'@': 164}), 48: (1, {'@': 164}), 29: (1, {'@': 164}), 1: (1, {'@': 164}), 49: (1, {'@': 164}), 30: (1, {'@': 164}), 50: (1, {'@': 164}), 51: (1, {'@': 164}), 52: (1, {'@': 164})}, 223: {21: (0, 294)}, 224: {35: (1, {'@': 165}), 20: (1, {'@': 165}), 14: (1, {'@': 165}), 17: (1, {'@': 165}), 23: (1, {'@': 165}), 24: (1, {'@': 165}), 36: (0, 91), 25: (1, {'@': 165}), 37: (1, {'@': 165}), 38: (1, {'@': 165}), 39: (1, {'@': 165}), 31: (1, {'@': 165}), 32: (0, 296), 33: (1, {'@': 165}), 40: (1, {'@': 165}), 41: (1, {'@': 165}), 34: (1, {'@': 165}), 42: (1, {'@': 165}), 43: (1, {'@': 165}), 19: (1, {'@': 165}), 21: (1, {'@': 165}), 2: (1, {'@': 165}), 22: (1, {'@': 165}), 44: (1, {'@': 165}), 16: (1, {'@': 165}), 45: (1, {'@': 165}), 0: (1, {'@': 165}), 4: (1, {'@': 165}), 46: (1, {'@': 165}), 18: (1, {'@': 165}), 26: (1, {'@': 165}), 47: (1, {'@': 165}), 48: (1, {'@': 165}), 29: (1, {'@': 165}), 1: (1, {'@': 165}), 49: (1, {'@': 165}), 30: (1, {'@': 165}), 50: (1, {'@': 165}), 51: (1, {'@': 165}), 52: (1, {'@': 165}), 91: (0, 295), 80: (0, 297), 78: (0, 298)}, 225: {6: (0, 2), 46: (0, 98), 35: (0, 99), 2: (0, 6), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 4: (0, 10), 21: (0, 299), 8: (0, 300), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 1: (0, 12), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 226: {35: (1, {'@': 166}), 20: (1, {'@': 166}), 14: (1, {'@': 166}), 17: (1, {'@': 166}), 23: (1, {'@': 166}), 24: (1, {'@': 166}), 36: (1, {'@': 166}), 25: (1, {'@': 166}), 37: (1, {'@': 166}), 38: (1, {'@': 166}), 39: (1, {'@': 166}), 31: (1, {'@': 166}), 32: (1, {'@': 166}), 33: (1, {'@': 166}), 40: (1, {'@': 166}), 41: (1, {'@': 166}), 34: (1, {'@': 166}), 42: (1, {'@': 166}), 43: (1, {'@': 166}), 19: (1, {'@': 166}), 21: (1, {'@': 166}), 2: (1, {'@': 166}), 22: (1, {'@': 166}), 44: (1, {'@': 166}), 16: (1, {'@': 166}), 45: (1, {'@': 166}), 4: (1, {'@': 166}), 0: (1, {'@': 166}), 46: (1, {'@': 166}), 18: (1, {'@': 166}), 26: (1, {'@': 166}), 47: (1, {'@': 166}), 48: (1, {'@': 166}), 29: (1, {'@': 166}), 1: (1, {'@': 166}), 49: (1, {'@': 166}), 30: (1, {'@': 166}), 50: (1, {'@': 166}), 51: (1, {'@': 166}), 52: (1, {'@': 166})}, 227: {35: (0, 99), 20: (1, {'@': 167}), 14: (1, {'@': 167}), 17: (1, {'@': 167}), 23: (1, {'@': 167}), 24: (1, {'@': 167}), 25: (1, {'@': 167}), 38: (0, 106), 39: (0, 107), 31: (1, {'@': 167}), 32: (1, {'@': 167}), 33: (1, {'@': 167}), 40: (0, 100), 41: (0, 104), 34: (1, {'@': 167}), 42: (0, 114), 43: (0, 102), 19: (1, {'@': 167}), 21: (1, {'@': 167}), 2: (1, {'@': 167}), 22: (1, {'@': 167}), 44: (1, {'@': 167}), 16: (1, {'@': 167}), 45: (1, {'@': 167}), 0: (1, {'@': 167}), 4: (1, {'@': 167}), 46: (0, 98), 18: (1, {'@': 167}), 26: (1, {'@': 167}), 47: (0, 110), 48: (1, {'@': 167}), 29: (0, 113), 1: (1, {'@': 167}), 49: (0, 111), 30: (1, {'@': 167}), 50: (0, 105), 51: (0, 109), 52: (0, 108), 82: (0, 101), 83: (0, 112)}, 228: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 301), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 229: {62: (0, 302), 30: (0, 51)}, 230: {6: (0, 2), 1: (0, 12), 2: (0, 6), 4: (0, 10), 8: (0, 303)}, 231: {0: (1, {'@': 168}), 14: (1, {'@': 168}), 3: (1, {'@': 168}), 1: (1, {'@': 168}), 2: (1, {'@': 168}), 4: (1, {'@': 168})}, 232: {0: (1, {'@': 169}), 14: (1, {'@': 169}), 3: (1, {'@': 169}), 1: (1, {'@': 169}), 2: (1, {'@': 169}), 4: (1, {'@': 169})}, 233: {0: (1, {'@': 170}), 1: (1, {'@': 170}), 19: (1, {'@': 170}), 2: (1, {'@': 170}), 4: (1, {'@': 170})}, 234: {35: (1, {'@': 171}), 20: (1, {'@': 171}), 14: (1, {'@': 171}), 17: (1, {'@': 171}), 23: (1, {'@': 171}), 24: (1, {'@': 171}), 36: (1, {'@': 171}), 25: (1, {'@': 171}), 37: (1, {'@': 171}), 38: (1, {'@': 171}), 39: (1, {'@': 171}), 31: (1, {'@': 171}), 32: (1, {'@': 171}), 33: (1, {'@': 171}), 40: (1, {'@': 171}), 41: (1, {'@': 171}), 34: (1, {'@': 171}), 42: (1, {'@': 171}), 43: (1, {'@': 171}), 19: (1, {'@': 171}), 21: (1, {'@': 171}), 2: (1, {'@': 171}), 22: (1, {'@': 171}), 44: (1, {'@': 171}), 16: (1, {'@': 171}), 45: (1, {'@': 171}), 0: (1, {'@': 171}), 4: (1, {'@': 171}), 46: (1, {'@': 171}), 18: (1, {'@': 171}), 26: (1, {'@': 171}), 47: (1, {'@': 171}), 48: (1, {'@': 171}), 29: (1, {'@': 171}), 1: (1, {'@': 171}), 49: (1, {'@': 171}), 30: (1, {'@': 171}), 50: (1, {'@': 171}), 51: (1, {'@': 171}), 52: (1, {'@': 171})}, 235: {5: (0, 304), 14: (0, 13)}, 236: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 8: (0, 305), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 306), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 237: {28: (0, 307)}, 238: {6: (0, 2), 28: (0, 308), 8: (0, 309), 2: (0, 6), 4: (0, 10), 1: (0, 12)}, 239: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 6: (0, 2), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 310), 23: (0, 47), 61: (0, 48), 8: (0, 311), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 240: {46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 44: (0, 312), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 241: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 60: (0, 313), 33: (0, 44), 14: (0, 13), 59: (0, 45), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 242: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 60: (0, 314), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 243: {35: (1, {'@': 172}), 20: (1, {'@': 172}), 14: (1, {'@': 172}), 17: (1, {'@': 172}), 23: (1, {'@': 172}), 24: (1, {'@': 172}), 36: (1, {'@': 172}), 25: (1, {'@': 172}), 37: (1, {'@': 172}), 38: (1, {'@': 172}), 39: (1, {'@': 172}), 31: (1, {'@': 172}), 32: (1, {'@': 172}), 33: (1, {'@': 172}), 40: (1, {'@': 172}), 41: (1, {'@': 172}), 34: (1, {'@': 172}), 42: (1, {'@': 172}), 43: (1, {'@': 172}), 19: (1, {'@': 172}), 21: (1, {'@': 172}), 2: (1, {'@': 172}), 22: (1, {'@': 172}), 44: (1, {'@': 172}), 16: (1, {'@': 172}), 45: (1, {'@': 172}), 0: (1, {'@': 172}), 4: (1, {'@': 172}), 46: (1, {'@': 172}), 18: (1, {'@': 172}), 26: (1, {'@': 172}), 47: (1, {'@': 172}), 48: (1, {'@': 172}), 29: (1, {'@': 172}), 1: (1, {'@': 172}), 49: (1, {'@': 172}), 30: (1, {'@': 172}), 50: (1, {'@': 172}), 51: (1, {'@': 172}), 52: (1, {'@': 172})}, 244: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 80), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 82), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 76: (0, 233), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 0: (0, 315), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 245: {35: (1, {'@': 173}), 20: (1, {'@': 173}), 14: (1, {'@': 173}), 17: (1, {'@': 173}), 23: (1, {'@': 173}), 24: (1, {'@': 173}), 36: (1, {'@': 173}), 25: (1, {'@': 173}), 37: (1, {'@': 173}), 38: (1, {'@': 173}), 39: (1, {'@': 173}), 31: (1, {'@': 173}), 32: (1, {'@': 173}), 33: (1, {'@': 173}), 40: (1, {'@': 173}), 41: (1, {'@': 173}), 34: (1, {'@': 173}), 42: (1, {'@': 173}), 43: (1, {'@': 173}), 19: (1, {'@': 173}), 21: (1, {'@': 173}), 2: (1, {'@': 173}), 22: (1, {'@': 173}), 44: (1, {'@': 173}), 16: (1, {'@': 173}), 45: (1, {'@': 173}), 0: (1, {'@': 173}), 4: (1, {'@': 173}), 46: (1, {'@': 173}), 18: (1, {'@': 173}), 26: (1, {'@': 173}), 47: (1, {'@': 173}), 48: (1, {'@': 173}), 29: (1, {'@': 173}), 1: (1, {'@': 173}), 49: (1, {'@': 173}), 30: (1, {'@': 173}), 50: (1, {'@': 173}), 51: (1, {'@': 173}), 52: (1, {'@': 173})}, 246: {1: (1, {'@': 154}), 2: (1, {'@': 154}), 4: (1, {'@': 154}), 20: (0, 190), 19: (0, 254)}, 247: {1: (0, 12), 2: (0, 6), 4: (0, 10), 20: (0, 191), 46: (0, 98), 19: (0, 193), 88: (0, 194), 41: (0, 104), 50: (0, 105), 6: (0, 2), 38: (0, 106), 52: (0, 108), 8: (0, 316), 47: (0, 110), 83: (0, 112), 42: (0, 114), 45: (0, 196), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 39: (0, 107), 51: (0, 109), 49: (0, 111), 29: (0, 113)}, 248: {34: (0, 208), 8: (0, 317), 46: (0, 98), 90: (0, 318), 41: (0, 104), 50: (0, 105), 38: (0, 106), 6: (0, 2), 45: (0, 319), 52: (0, 108), 47: (0, 110), 83: (0, 112), 42: (0, 114), 35: (0, 99), 2: (0, 6), 40: (0, 100), 82: (0, 101), 43: (0, 102), 0: (0, 320), 4: (0, 10), 39: (0, 107), 51: (0, 109), 1: (0, 12), 49: (0, 111), 29: (0, 113)}, 249: {35: (1, {'@': 174}), 20: (1, {'@': 174}), 14: (1, {'@': 174}), 17: (1, {'@': 174}), 23: (1, {'@': 174}), 24: (1, {'@': 174}), 36: (1, {'@': 174}), 25: (1, {'@': 174}), 37: (1, {'@': 174}), 38: (1, {'@': 174}), 39: (1, {'@': 174}), 31: (1, {'@': 174}), 32: (1, {'@': 174}), 33: (1, {'@': 174}), 40: (1, {'@': 174}), 41: (1, {'@': 174}), 34: (1, {'@': 174}), 42: (1, {'@': 174}), 43: (1, {'@': 174}), 19: (1, {'@': 174}), 21: (1, {'@': 174}), 2: (1, {'@': 174}), 22: (1, {'@': 174}), 44: (1, {'@': 174}), 16: (1, {'@': 174}), 45: (1, {'@': 174}), 4: (1, {'@': 174}), 0: (1, {'@': 174}), 46: (1, {'@': 174}), 18: (1, {'@': 174}), 26: (1, {'@': 174}), 47: (1, {'@': 174}), 48: (1, {'@': 174}), 29: (1, {'@': 174}), 1: (1, {'@': 174}), 49: (1, {'@': 174}), 30: (1, {'@': 174}), 50: (1, {'@': 174}), 51: (1, {'@': 174}), 52: (1, {'@': 174})}, 250: {1: (1, {'@': 175}), 2: (1, {'@': 175}), 4: (1, {'@': 175}), 20: (1, {'@': 175}), 16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 292), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 251: {1: (0, 12), 2: (0, 6), 4: (0, 10), 20: (1, {'@': 176}), 16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 8: (0, 321), 59: (0, 45), 60: (0, 290), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 252: {1: (1, {'@': 177}), 2: (1, {'@': 177}), 4: (1, {'@': 177}), 20: (1, {'@': 177}), 19: (0, 322)}, 253: {1: (0, 12), 2: (0, 6), 4: (0, 10), 20: (1, {'@': 178}), 6: (0, 2), 8: (0, 323)}, 254: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 282), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 8: (0, 324), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 255: {1: (1, {'@': 179}), 2: (1, {'@': 179}), 4: (1, {'@': 179}), 20: (1, {'@': 179})}, 256: {35: (1, {'@': 180}), 20: (1, {'@': 180}), 14: (1, {'@': 180}), 17: (1, {'@': 180}), 23: (1, {'@': 180}), 24: (1, {'@': 180}), 36: (1, {'@': 180}), 25: (1, {'@': 180}), 37: (1, {'@': 180}), 38: (1, {'@': 180}), 39: (1, {'@': 180}), 31: (1, {'@': 180}), 32: (1, {'@': 180}), 33: (1, {'@': 180}), 40: (1, {'@': 180}), 41: (1, {'@': 180}), 34: (1, {'@': 180}), 42: (1, {'@': 180}), 43: (1, {'@': 180}), 19: (1, {'@': 180}), 21: (1, {'@': 180}), 2: (1, {'@': 180}), 22: (1, {'@': 180}), 44: (1, {'@': 180}), 16: (1, {'@': 180}), 45: (1, {'@': 180}), 0: (1, {'@': 180}), 4: (1, {'@': 180}), 46: (1, {'@': 180}), 18: (1, {'@': 180}), 26: (1, {'@': 180}), 47: (1, {'@': 180}), 48: (1, {'@': 180}), 29: (1, {'@': 180}), 1: (1, {'@': 180}), 49: (1, {'@': 180}), 30: (1, {'@': 180}), 50: (1, {'@': 180}), 51: (1, {'@': 180}), 52: (1, {'@': 180})}, 257: {35: (1, {'@': 181}), 20: (1, {'@': 181}), 14: (1, {'@': 181}), 17: (1, {'@': 181}), 23: (1, {'@': 181}), 24: (1, {'@': 181}), 36: (1, {'@': 181}), 25: (1, {'@': 181}), 37: (1, {'@': 181}), 38: (1, {'@': 181}), 39: (1, {'@': 181}), 31: (1, {'@': 181}), 32: (1, {'@': 181}), 33: (1, {'@': 181}), 40: (1, {'@': 181}), 41: (1, {'@': 181}), 34: (1, {'@': 181}), 42: (1, {'@': 181}), 43: (1, {'@': 181}), 19: (1, {'@': 181}), 21: (1, {'@': 181}), 2: (1, {'@': 181}), 22: (1, {'@': 181}), 44: (1, {'@': 181}), 16: (1, {'@': 181}), 45: (1, {'@': 181}), 0: (1, {'@': 181}), 4: (1, {'@': 181}), 46: (1, {'@': 181}), 18: (1, {'@': 181}), 26: (1, {'@': 181}), 47: (1, {'@': 181}), 48: (1, {'@': 181}), 29: (1, {'@': 181}), 1: (1, {'@': 181}), 49: (1, {'@': 181}), 30: (1, {'@': 181}), 50: (1, {'@': 181}), 51: (1, {'@': 181}), 52: (1, {'@': 181})}, 258: {20: (0, 325)}, 259: {35: (1, {'@': 182}), 20: (1, {'@': 182}), 14: (1, {'@': 182}), 17: (1, {'@': 182}), 23: (1, {'@': 182}), 24: (1, {'@': 182}), 36: (1, {'@': 182}), 25: (1, {'@': 182}), 37: (1, {'@': 182}), 38: (1, {'@': 182}), 39: (1, {'@': 182}), 31: (1, {'@': 182}), 32: (1, {'@': 182}), 33: (1, {'@': 182}), 40: (1, {'@': 182}), 41: (1, {'@': 182}), 34: (1, {'@': 182}), 42: (1, {'@': 182}), 43: (1, {'@': 182}), 19: (1, {'@': 182}), 21: (1, {'@': 182}), 2: (1, {'@': 182}), 22: (1, {'@': 182}), 44: (1, {'@': 182}), 16: (1, {'@': 182}), 45: (1, {'@': 182}), 0: (1, {'@': 182}), 4: (1, {'@': 182}), 46: (1, {'@': 182}), 18: (1, {'@': 182}), 26: (1, {'@': 182}), 47: (1, {'@': 182}), 48: (1, {'@': 182}), 29: (1, {'@': 182}), 1: (1, {'@': 182}), 49: (1, {'@': 182}), 30: (1, {'@': 182}), 50: (1, {'@': 182}), 51: (1, {'@': 182}), 52: (1, {'@': 182})}, 260: {6: (0, 2), 19: (0, 326), 21: (0, 327), 1: (0, 12), 2: (0, 6), 8: (0, 328), 4: (0, 10)}, 261: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 8: (0, 329), 59: (0, 45), 60: (0, 290), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 21: (0, 330), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 262: {35: (1, {'@': 183}), 20: (1, {'@': 183}), 14: (1, {'@': 183}), 17: (1, {'@': 183}), 23: (1, {'@': 183}), 24: (1, {'@': 183}), 36: (1, {'@': 183}), 25: (1, {'@': 183}), 37: (1, {'@': 183}), 38: (1, {'@': 183}), 39: (1, {'@': 183}), 31: (1, {'@': 183}), 32: (1, {'@': 183}), 33: (1, {'@': 183}), 40: (1, {'@': 183}), 41: (1, {'@': 183}), 34: (1, {'@': 183}), 42: (1, {'@': 183}), 43: (1, {'@': 183}), 19: (1, {'@': 183}), 21: (1, {'@': 183}), 2: (1, {'@': 183}), 22: (1, {'@': 183}), 44: (1, {'@': 183}), 16: (1, {'@': 183}), 45: (1, {'@': 183}), 0: (1, {'@': 183}), 4: (1, {'@': 183}), 46: (1, {'@': 183}), 18: (1, {'@': 183}), 26: (1, {'@': 183}), 47: (1, {'@': 183}), 48: (1, {'@': 183}), 29: (1, {'@': 183}), 1: (1, {'@': 183}), 49: (1, {'@': 183}), 30: (1, {'@': 183}), 50: (1, {'@': 183}), 51: (1, {'@': 183}), 52: (1, {'@': 183})}, 263: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 292), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 21: (0, 331), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 264: {35: (1, {'@': 184}), 20: (1, {'@': 184}), 14: (1, {'@': 184}), 17: (1, {'@': 184}), 23: (1, {'@': 184}), 24: (1, {'@': 184}), 36: (1, {'@': 184}), 25: (1, {'@': 184}), 37: (1, {'@': 184}), 38: (1, {'@': 184}), 39: (1, {'@': 184}), 31: (1, {'@': 184}), 32: (1, {'@': 184}), 33: (1, {'@': 184}), 40: (1, {'@': 184}), 41: (1, {'@': 184}), 34: (1, {'@': 184}), 42: (1, {'@': 184}), 43: (1, {'@': 184}), 19: (1, {'@': 184}), 21: (1, {'@': 184}), 2: (1, {'@': 184}), 22: (1, {'@': 184}), 44: (1, {'@': 184}), 16: (1, {'@': 184}), 45: (1, {'@': 184}), 0: (1, {'@': 184}), 4: (1, {'@': 184}), 46: (1, {'@': 184}), 18: (1, {'@': 184}), 26: (1, {'@': 184}), 47: (1, {'@': 184}), 48: (1, {'@': 184}), 29: (1, {'@': 184}), 1: (1, {'@': 184}), 49: (1, {'@': 184}), 30: (1, {'@': 184}), 50: (1, {'@': 184}), 51: (1, {'@': 184}), 52: (1, {'@': 184})}, 265: {21: (0, 332)}, 266: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 282), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 8: (0, 333), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 21: (0, 334), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 267: {35: (1, {'@': 185}), 20: (1, {'@': 185}), 14: (1, {'@': 185}), 17: (1, {'@': 185}), 23: (1, {'@': 185}), 24: (1, {'@': 185}), 36: (1, {'@': 185}), 25: (1, {'@': 185}), 37: (1, {'@': 185}), 38: (1, {'@': 185}), 39: (1, {'@': 185}), 31: (1, {'@': 185}), 32: (1, {'@': 185}), 33: (1, {'@': 185}), 40: (1, {'@': 185}), 41: (1, {'@': 185}), 34: (1, {'@': 185}), 42: (1, {'@': 185}), 43: (1, {'@': 185}), 19: (1, {'@': 185}), 21: (1, {'@': 185}), 2: (1, {'@': 185}), 22: (1, {'@': 185}), 44: (1, {'@': 185}), 16: (1, {'@': 185}), 45: (1, {'@': 185}), 0: (1, {'@': 185}), 4: (1, {'@': 185}), 46: (1, {'@': 185}), 18: (1, {'@': 185}), 26: (1, {'@': 185}), 47: (1, {'@': 185}), 48: (1, {'@': 185}), 29: (1, {'@': 185}), 1: (1, {'@': 185}), 49: (1, {'@': 185}), 30: (1, {'@': 185}), 50: (1, {'@': 185}), 51: (1, {'@': 185}), 52: (1, {'@': 185})}, 268: {6: (0, 2), 34: (0, 208), 1: (0, 12), 2: (0, 6), 8: (0, 335), 4: (0, 10), 90: (0, 336), 21: (0, 337)}, 269: {6: (0, 2), 1: (0, 12), 2: (0, 6), 8: (0, 338), 4: (0, 10), 21: (0, 339)}, 270: {35: (1, {'@': 186}), 20: (1, {'@': 186}), 14: (1, {'@': 186}), 17: (1, {'@': 186}), 23: (1, {'@': 186}), 24: (1, {'@': 186}), 36: (1, {'@': 186}), 25: (1, {'@': 186}), 37: (1, {'@': 186}), 38: (1, {'@': 186}), 39: (1, {'@': 186}), 31: (1, {'@': 186}), 32: (1, {'@': 186}), 33: (1, {'@': 186}), 40: (1, {'@': 186}), 41: (1, {'@': 186}), 34: (1, {'@': 186}), 42: (1, {'@': 186}), 43: (1, {'@': 186}), 19: (1, {'@': 186}), 21: (1, {'@': 186}), 2: (1, {'@': 186}), 22: (1, {'@': 186}), 44: (1, {'@': 186}), 16: (1, {'@': 186}), 45: (1, {'@': 186}), 0: (1, {'@': 186}), 4: (1, {'@': 186}), 46: (1, {'@': 186}), 18: (1, {'@': 186}), 26: (1, {'@': 186}), 47: (1, {'@': 186}), 48: (1, {'@': 186}), 29: (1, {'@': 186}), 1: (1, {'@': 186}), 49: (1, {'@': 186}), 30: (1, {'@': 186}), 50: (1, {'@': 186}), 51: (1, {'@': 186}), 52: (1, {'@': 186})}, 271: {34: (0, 208), 46: (0, 98), 41: (0, 104), 50: (0, 105), 6: (0, 2), 21: (0, 340), 38: (0, 106), 52: (0, 108), 90: (0, 341), 47: (0, 110), 83: (0, 112), 8: (0, 342), 42: (0, 114), 35: (0, 99), 2: (0, 6), 40: (0, 100), 82: (0, 101), 43: (0, 102), 4: (0, 10), 39: (0, 107), 51: (0, 109), 1: (0, 12), 49: (0, 111), 29: (0, 113)}, 272: {0: (1, {'@': 187}), 1: (1, {'@': 187}), 2: (1, {'@': 187}), 21: (1, {'@': 187}), 4: (1, {'@': 187}), 46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 273: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 343), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 274: {35: (1, {'@': 188}), 20: (1, {'@': 188}), 14: (1, {'@': 188}), 17: (1, {'@': 188}), 23: (1, {'@': 188}), 24: (1, {'@': 188}), 36: (1, {'@': 188}), 25: (1, {'@': 188}), 37: (1, {'@': 188}), 38: (1, {'@': 188}), 39: (1, {'@': 188}), 31: (1, {'@': 188}), 32: (1, {'@': 188}), 33: (1, {'@': 188}), 40: (1, {'@': 188}), 41: (1, {'@': 188}), 34: (1, {'@': 188}), 42: (1, {'@': 188}), 43: (1, {'@': 188}), 19: (1, {'@': 188}), 21: (1, {'@': 188}), 2: (1, {'@': 188}), 22: (1, {'@': 188}), 44: (1, {'@': 188}), 16: (1, {'@': 188}), 45: (1, {'@': 188}), 0: (1, {'@': 188}), 4: (1, {'@': 188}), 46: (1, {'@': 188}), 18: (1, {'@': 188}), 26: (1, {'@': 188}), 47: (1, {'@': 188}), 48: (1, {'@': 188}), 29: (1, {'@': 188}), 1: (1, {'@': 188}), 49: (1, {'@': 188}), 30: (1, {'@': 188}), 50: (1, {'@': 188}), 51: (1, {'@': 188}), 52: (1, {'@': 188})}, 275: {21: (0, 344)}, 276: {6: (0, 2), 1: (0, 12), 2: (0, 6), 8: (0, 345), 4: (0, 10), 21: (0, 346)}, 277: {35: (1, {'@': 189}), 20: (1, {'@': 189}), 14: (1, {'@': 189}), 17: (1, {'@': 189}), 23: (1, {'@': 189}), 24: (1, {'@': 189}), 36: (1, {'@': 189}), 25: (1, {'@': 189}), 37: (1, {'@': 189}), 38: (1, {'@': 189}), 39: (1, {'@': 189}), 31: (1, {'@': 189}), 32: (1, {'@': 189}), 33: (1, {'@': 189}), 40: (1, {'@': 189}), 41: (1, {'@': 189}), 34: (1, {'@': 189}), 42: (1, {'@': 189}), 43: (1, {'@': 189}), 19: (1, {'@': 189}), 21: (1, {'@': 189}), 2: (1, {'@': 189}), 22: (1, {'@': 189}), 44: (1, {'@': 189}), 16: (1, {'@': 189}), 45: (1, {'@': 189}), 0: (1, {'@': 189}), 4: (1, {'@': 189}), 46: (1, {'@': 189}), 18: (1, {'@': 189}), 26: (1, {'@': 189}), 47: (1, {'@': 189}), 48: (1, {'@': 189}), 29: (1, {'@': 189}), 1: (1, {'@': 189}), 49: (1, {'@': 189}), 30: (1, {'@': 189}), 50: (1, {'@': 189}), 51: (1, {'@': 189}), 52: (1, {'@': 189})}, 278: {21: (0, 347)}, 279: {6: (0, 2), 34: (0, 208), 21: (0, 348), 1: (0, 12), 2: (0, 6), 90: (0, 349), 4: (0, 10), 8: (0, 350)}, 280: {35: (1, {'@': 190}), 20: (1, {'@': 190}), 14: (1, {'@': 190}), 17: (1, {'@': 190}), 23: (1, {'@': 190}), 24: (1, {'@': 190}), 36: (1, {'@': 190}), 25: (1, {'@': 190}), 37: (1, {'@': 190}), 38: (1, {'@': 190}), 39: (1, {'@': 190}), 31: (1, {'@': 190}), 32: (1, {'@': 190}), 33: (1, {'@': 190}), 40: (1, {'@': 190}), 41: (1, {'@': 190}), 34: (1, {'@': 190}), 42: (1, {'@': 190}), 43: (1, {'@': 190}), 19: (1, {'@': 190}), 21: (1, {'@': 190}), 2: (1, {'@': 190}), 22: (1, {'@': 190}), 44: (1, {'@': 190}), 16: (1, {'@': 190}), 45: (1, {'@': 190}), 0: (1, {'@': 190}), 4: (1, {'@': 190}), 46: (1, {'@': 190}), 18: (1, {'@': 190}), 26: (1, {'@': 190}), 47: (1, {'@': 190}), 48: (1, {'@': 190}), 29: (1, {'@': 190}), 1: (1, {'@': 190}), 49: (1, {'@': 190}), 30: (1, {'@': 190}), 50: (1, {'@': 190}), 51: (1, {'@': 190}), 52: (1, {'@': 190})}, 281: {6: (0, 2), 1: (0, 12), 2: (0, 6), 8: (0, 351), 21: (0, 352), 4: (0, 10)}, 282: {19: (1, {'@': 191}), 20: (1, {'@': 191}), 21: (1, {'@': 191}), 1: (1, {'@': 191}), 2: (1, {'@': 191}), 45: (1, {'@': 191}), 4: (1, {'@': 191}), 46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 283: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 353), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 21: (0, 354), 74: (0, 68), 75: (0, 69)}, 284: {35: (1, {'@': 192}), 20: (1, {'@': 192}), 14: (1, {'@': 192}), 17: (1, {'@': 192}), 23: (1, {'@': 192}), 24: (1, {'@': 192}), 36: (1, {'@': 192}), 25: (1, {'@': 192}), 37: (1, {'@': 192}), 38: (1, {'@': 192}), 39: (1, {'@': 192}), 31: (1, {'@': 192}), 32: (1, {'@': 192}), 33: (1, {'@': 192}), 40: (1, {'@': 192}), 41: (1, {'@': 192}), 34: (1, {'@': 192}), 42: (1, {'@': 192}), 43: (1, {'@': 192}), 19: (1, {'@': 192}), 21: (1, {'@': 192}), 2: (1, {'@': 192}), 22: (1, {'@': 192}), 44: (1, {'@': 192}), 16: (1, {'@': 192}), 45: (1, {'@': 192}), 0: (1, {'@': 192}), 4: (1, {'@': 192}), 46: (1, {'@': 192}), 18: (1, {'@': 192}), 26: (1, {'@': 192}), 47: (1, {'@': 192}), 48: (1, {'@': 192}), 29: (1, {'@': 192}), 1: (1, {'@': 192}), 49: (1, {'@': 192}), 30: (1, {'@': 192}), 50: (1, {'@': 192}), 51: (1, {'@': 192}), 52: (1, {'@': 192})}, 285: {35: (1, {'@': 193}), 20: (1, {'@': 193}), 14: (1, {'@': 193}), 17: (1, {'@': 193}), 23: (1, {'@': 193}), 24: (1, {'@': 193}), 36: (1, {'@': 193}), 25: (1, {'@': 193}), 37: (1, {'@': 193}), 38: (1, {'@': 193}), 39: (1, {'@': 193}), 31: (1, {'@': 193}), 32: (1, {'@': 193}), 33: (1, {'@': 193}), 40: (1, {'@': 193}), 41: (1, {'@': 193}), 34: (1, {'@': 193}), 42: (1, {'@': 193}), 43: (1, {'@': 193}), 19: (1, {'@': 193}), 21: (1, {'@': 193}), 2: (1, {'@': 193}), 22: (1, {'@': 193}), 44: (1, {'@': 193}), 16: (1, {'@': 193}), 45: (1, {'@': 193}), 0: (1, {'@': 193}), 4: (1, {'@': 193}), 46: (1, {'@': 193}), 18: (1, {'@': 193}), 26: (1, {'@': 193}), 47: (1, {'@': 193}), 48: (1, {'@': 193}), 29: (1, {'@': 193}), 1: (1, {'@': 193}), 49: (1, {'@': 193}), 30: (1, {'@': 193}), 50: (1, {'@': 193}), 51: (1, {'@': 193}), 52: (1, {'@': 193})}, 286: {21: (0, 355)}, 287: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 6: (0, 2), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 356), 23: (0, 47), 61: (0, 48), 8: (0, 357), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 21: (0, 358), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 288: {35: (1, {'@': 194}), 20: (1, {'@': 194}), 14: (1, {'@': 194}), 17: (1, {'@': 194}), 23: (1, {'@': 194}), 24: (1, {'@': 194}), 36: (1, {'@': 194}), 25: (1, {'@': 194}), 37: (1, {'@': 194}), 38: (1, {'@': 194}), 39: (1, {'@': 194}), 31: (1, {'@': 194}), 32: (1, {'@': 194}), 33: (1, {'@': 194}), 40: (1, {'@': 194}), 41: (1, {'@': 194}), 34: (1, {'@': 194}), 42: (1, {'@': 194}), 43: (1, {'@': 194}), 19: (1, {'@': 194}), 21: (1, {'@': 194}), 2: (1, {'@': 194}), 22: (1, {'@': 194}), 44: (1, {'@': 194}), 16: (1, {'@': 194}), 45: (1, {'@': 194}), 0: (1, {'@': 194}), 4: (1, {'@': 194}), 46: (1, {'@': 194}), 18: (1, {'@': 194}), 26: (1, {'@': 194}), 47: (1, {'@': 194}), 48: (1, {'@': 194}), 29: (1, {'@': 194}), 1: (1, {'@': 194}), 49: (1, {'@': 194}), 30: (1, {'@': 194}), 50: (1, {'@': 194}), 51: (1, {'@': 194}), 52: (1, {'@': 194})}, 289: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 359), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 21: (0, 360), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 290: {19: (1, {'@': 195}), 20: (1, {'@': 195}), 21: (1, {'@': 195}), 1: (1, {'@': 195}), 2: (1, {'@': 195}), 45: (1, {'@': 195}), 4: (1, {'@': 195}), 46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 291: {35: (1, {'@': 196}), 20: (1, {'@': 196}), 14: (1, {'@': 196}), 17: (1, {'@': 196}), 23: (1, {'@': 196}), 24: (1, {'@': 196}), 36: (1, {'@': 196}), 25: (1, {'@': 196}), 37: (1, {'@': 196}), 38: (1, {'@': 196}), 39: (1, {'@': 196}), 31: (1, {'@': 196}), 32: (1, {'@': 196}), 33: (1, {'@': 196}), 40: (1, {'@': 196}), 41: (1, {'@': 196}), 34: (1, {'@': 196}), 42: (1, {'@': 196}), 43: (1, {'@': 196}), 19: (1, {'@': 196}), 21: (1, {'@': 196}), 2: (1, {'@': 196}), 22: (1, {'@': 196}), 44: (1, {'@': 196}), 16: (1, {'@': 196}), 45: (1, {'@': 196}), 0: (1, {'@': 196}), 4: (1, {'@': 196}), 46: (1, {'@': 196}), 18: (1, {'@': 196}), 26: (1, {'@': 196}), 47: (1, {'@': 196}), 48: (1, {'@': 196}), 29: (1, {'@': 196}), 1: (1, {'@': 196}), 49: (1, {'@': 196}), 30: (1, {'@': 196}), 50: (1, {'@': 196}), 51: (1, {'@': 196}), 52: (1, {'@': 196})}, 292: {19: (1, {'@': 197}), 20: (1, {'@': 197}), 21: (1, {'@': 197}), 1: (1, {'@': 197}), 2: (1, {'@': 197}), 45: (1, {'@': 197}), 4: (1, {'@': 197}), 46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 293: {35: (1, {'@': 198}), 20: (1, {'@': 198}), 14: (1, {'@': 198}), 17: (1, {'@': 198}), 23: (1, {'@': 198}), 24: (1, {'@': 198}), 36: (1, {'@': 198}), 25: (1, {'@': 198}), 37: (1, {'@': 198}), 38: (1, {'@': 198}), 39: (1, {'@': 198}), 31: (1, {'@': 198}), 32: (1, {'@': 198}), 33: (1, {'@': 198}), 40: (1, {'@': 198}), 41: (1, {'@': 198}), 34: (1, {'@': 198}), 42: (1, {'@': 198}), 43: (1, {'@': 198}), 19: (1, {'@': 198}), 21: (1, {'@': 198}), 2: (1, {'@': 198}), 22: (1, {'@': 198}), 44: (1, {'@': 198}), 16: (1, {'@': 198}), 45: (1, {'@': 198}), 0: (1, {'@': 198}), 4: (1, {'@': 198}), 46: (1, {'@': 198}), 18: (1, {'@': 198}), 26: (1, {'@': 198}), 47: (1, {'@': 198}), 48: (1, {'@': 198}), 29: (1, {'@': 198}), 1: (1, {'@': 198}), 49: (1, {'@': 198}), 30: (1, {'@': 198}), 50: (1, {'@': 198}), 51: (1, {'@': 198}), 52: (1, {'@': 198})}, 294: {35: (1, {'@': 199}), 20: (1, {'@': 199}), 14: (1, {'@': 199}), 17: (1, {'@': 199}), 23: (1, {'@': 199}), 24: (1, {'@': 199}), 36: (1, {'@': 199}), 25: (1, {'@': 199}), 37: (1, {'@': 199}), 38: (1, {'@': 199}), 39: (1, {'@': 199}), 31: (1, {'@': 199}), 32: (1, {'@': 199}), 33: (1, {'@': 199}), 40: (1, {'@': 199}), 41: (1, {'@': 199}), 34: (1, {'@': 199}), 42: (1, {'@': 199}), 43: (1, {'@': 199}), 19: (1, {'@': 199}), 21: (1, {'@': 199}), 2: (1, {'@': 199}), 22: (1, {'@': 199}), 44: (1, {'@': 199}), 16: (1, {'@': 199}), 45: (1, {'@': 199}), 4: (1, {'@': 199}), 0: (1, {'@': 199}), 46: (1, {'@': 199}), 18: (1, {'@': 199}), 26: (1, {'@': 199}), 47: (1, {'@': 199}), 48: (1, {'@': 199}), 29: (1, {'@': 199}), 1: (1, {'@': 199}), 49: (1, {'@': 199}), 30: (1, {'@': 199}), 50: (1, {'@': 199}), 51: (1, {'@': 199}), 52: (1, {'@': 199})}, 295: {35: (1, {'@': 200}), 20: (1, {'@': 200}), 14: (1, {'@': 200}), 17: (1, {'@': 200}), 23: (1, {'@': 200}), 24: (1, {'@': 200}), 36: (0, 91), 25: (1, {'@': 200}), 37: (1, {'@': 200}), 38: (1, {'@': 200}), 39: (1, {'@': 200}), 31: (1, {'@': 200}), 32: (0, 296), 33: (1, {'@': 200}), 40: (1, {'@': 200}), 41: (1, {'@': 200}), 34: (1, {'@': 200}), 42: (1, {'@': 200}), 43: (1, {'@': 200}), 19: (1, {'@': 200}), 21: (1, {'@': 200}), 2: (1, {'@': 200}), 22: (1, {'@': 200}), 44: (1, {'@': 200}), 16: (1, {'@': 200}), 45: (1, {'@': 200}), 0: (1, {'@': 200}), 4: (1, {'@': 200}), 46: (1, {'@': 200}), 18: (1, {'@': 200}), 26: (1, {'@': 200}), 47: (1, {'@': 200}), 48: (1, {'@': 200}), 29: (1, {'@': 200}), 1: (1, {'@': 200}), 49: (1, {'@': 200}), 30: (1, {'@': 200}), 50: (1, {'@': 200}), 51: (1, {'@': 200}), 52: (1, {'@': 200}), 78: (0, 361), 80: (0, 362)}, 296: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 6: (0, 2), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 158), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 8: (0, 160), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 297: {35: (1, {'@': 201}), 20: (1, {'@': 201}), 14: (1, {'@': 201}), 17: (1, {'@': 201}), 23: (1, {'@': 201}), 24: (1, {'@': 201}), 36: (1, {'@': 201}), 25: (1, {'@': 201}), 37: (1, {'@': 201}), 38: (1, {'@': 201}), 39: (1, {'@': 201}), 31: (1, {'@': 201}), 32: (1, {'@': 201}), 33: (1, {'@': 201}), 40: (1, {'@': 201}), 41: (1, {'@': 201}), 34: (1, {'@': 201}), 42: (1, {'@': 201}), 43: (1, {'@': 201}), 19: (1, {'@': 201}), 21: (1, {'@': 201}), 2: (1, {'@': 201}), 22: (1, {'@': 201}), 44: (1, {'@': 201}), 16: (1, {'@': 201}), 45: (1, {'@': 201}), 4: (1, {'@': 201}), 0: (1, {'@': 201}), 46: (1, {'@': 201}), 18: (1, {'@': 201}), 26: (1, {'@': 201}), 47: (1, {'@': 201}), 48: (1, {'@': 201}), 29: (1, {'@': 201}), 1: (1, {'@': 201}), 49: (1, {'@': 201}), 30: (1, {'@': 201}), 50: (1, {'@': 201}), 51: (1, {'@': 201}), 52: (1, {'@': 201})}, 298: {35: (1, {'@': 202}), 20: (1, {'@': 202}), 14: (1, {'@': 202}), 17: (1, {'@': 202}), 23: (1, {'@': 202}), 24: (1, {'@': 202}), 36: (1, {'@': 202}), 25: (1, {'@': 202}), 37: (1, {'@': 202}), 38: (1, {'@': 202}), 39: (1, {'@': 202}), 31: (1, {'@': 202}), 32: (1, {'@': 202}), 33: (1, {'@': 202}), 40: (1, {'@': 202}), 41: (1, {'@': 202}), 34: (1, {'@': 202}), 42: (1, {'@': 202}), 43: (1, {'@': 202}), 19: (1, {'@': 202}), 21: (1, {'@': 202}), 2: (1, {'@': 202}), 22: (1, {'@': 202}), 44: (1, {'@': 202}), 16: (1, {'@': 202}), 45: (1, {'@': 202}), 4: (1, {'@': 202}), 0: (1, {'@': 202}), 46: (1, {'@': 202}), 18: (1, {'@': 202}), 26: (1, {'@': 202}), 47: (1, {'@': 202}), 48: (1, {'@': 202}), 29: (1, {'@': 202}), 1: (1, {'@': 202}), 49: (1, {'@': 202}), 30: (1, {'@': 202}), 50: (1, {'@': 202}), 51: (1, {'@': 202}), 52: (1, {'@': 202})}, 299: {35: (1, {'@': 203}), 20: (1, {'@': 203}), 14: (1, {'@': 203}), 17: (1, {'@': 203}), 23: (1, {'@': 203}), 24: (1, {'@': 203}), 36: (1, {'@': 203}), 25: (1, {'@': 203}), 37: (1, {'@': 203}), 38: (1, {'@': 203}), 39: (1, {'@': 203}), 31: (1, {'@': 203}), 32: (1, {'@': 203}), 33: (1, {'@': 203}), 40: (1, {'@': 203}), 41: (1, {'@': 203}), 34: (1, {'@': 203}), 42: (1, {'@': 203}), 43: (1, {'@': 203}), 19: (1, {'@': 203}), 21: (1, {'@': 203}), 2: (1, {'@': 203}), 22: (1, {'@': 203}), 44: (1, {'@': 203}), 16: (1, {'@': 203}), 45: (1, {'@': 203}), 4: (1, {'@': 203}), 0: (1, {'@': 203}), 46: (1, {'@': 203}), 18: (1, {'@': 203}), 26: (1, {'@': 203}), 47: (1, {'@': 203}), 48: (1, {'@': 203}), 29: (1, {'@': 203}), 1: (1, {'@': 203}), 49: (1, {'@': 203}), 30: (1, {'@': 203}), 50: (1, {'@': 203}), 51: (1, {'@': 203}), 52: (1, {'@': 203})}, 300: {21: (0, 363)}, 301: {35: (0, 99), 20: (1, {'@': 204}), 14: (1, {'@': 204}), 17: (1, {'@': 204}), 23: (1, {'@': 204}), 24: (1, {'@': 204}), 25: (1, {'@': 204}), 38: (0, 106), 39: (0, 107), 31: (1, {'@': 204}), 32: (1, {'@': 204}), 33: (1, {'@': 204}), 40: (0, 100), 41: (0, 104), 34: (1, {'@': 204}), 42: (0, 114), 43: (0, 102), 19: (1, {'@': 204}), 21: (1, {'@': 204}), 2: (1, {'@': 204}), 22: (1, {'@': 204}), 44: (1, {'@': 204}), 16: (1, {'@': 204}), 45: (1, {'@': 204}), 0: (1, {'@': 204}), 4: (1, {'@': 204}), 46: (0, 98), 18: (1, {'@': 204}), 26: (1, {'@': 204}), 47: (0, 110), 48: (1, {'@': 204}), 29: (0, 113), 1: (1, {'@': 204}), 49: (0, 111), 30: (1, {'@': 204}), 50: (0, 105), 51: (0, 109), 52: (0, 108), 82: (0, 101), 83: (0, 112)}, 302: {35: (1, {'@': 205}), 20: (1, {'@': 205}), 14: (1, {'@': 205}), 17: (1, {'@': 205}), 23: (1, {'@': 205}), 24: (1, {'@': 205}), 36: (1, {'@': 205}), 25: (1, {'@': 205}), 37: (1, {'@': 205}), 38: (1, {'@': 205}), 39: (1, {'@': 205}), 31: (1, {'@': 205}), 32: (1, {'@': 205}), 33: (1, {'@': 205}), 40: (1, {'@': 205}), 41: (1, {'@': 205}), 34: (1, {'@': 205}), 42: (1, {'@': 205}), 43: (1, {'@': 205}), 19: (1, {'@': 205}), 21: (1, {'@': 205}), 2: (1, {'@': 205}), 22: (1, {'@': 205}), 44: (1, {'@': 205}), 16: (1, {'@': 205}), 45: (1, {'@': 205}), 0: (1, {'@': 205}), 4: (1, {'@': 205}), 46: (1, {'@': 205}), 18: (1, {'@': 205}), 26: (1, {'@': 205}), 47: (1, {'@': 205}), 48: (1, {'@': 205}), 29: (1, {'@': 205}), 1: (1, {'@': 205}), 49: (1, {'@': 205}), 30: (0, 115), 50: (1, {'@': 205}), 51: (1, {'@': 205}), 52: (1, {'@': 205})}, 303: {0: (1, {'@': 206}), 14: (1, {'@': 206}), 3: (1, {'@': 206}), 1: (1, {'@': 206}), 2: (1, {'@': 206}), 4: (1, {'@': 206})}, 304: {8: (0, 364), 6: (0, 2), 28: (0, 365), 2: (0, 6), 4: (0, 10), 1: (0, 12)}, 305: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 60: (0, 366), 59: (0, 45), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 306: {46: (0, 98), 35: (0, 99), 44: (0, 367), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 307: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 6: (0, 2), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 368), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 8: (0, 369), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 308: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 57: (0, 42), 8: (0, 370), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 371), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 309: {6: (0, 2), 28: (0, 372), 8: (0, 373), 1: (0, 12), 2: (0, 6), 4: (0, 10)}, 310: {46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 44: (0, 374), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 311: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 375), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 312: {14: (1, {'@': 207}), 17: (1, {'@': 207}), 2: (0, 6), 22: (1, {'@': 207}), 23: (1, {'@': 207}), 16: (1, {'@': 207}), 24: (1, {'@': 207}), 4: (0, 10), 25: (1, {'@': 207}), 26: (1, {'@': 207}), 29: (1, {'@': 207}), 1: (0, 12), 30: (1, {'@': 207}), 31: (1, {'@': 207}), 32: (1, {'@': 207}), 33: (1, {'@': 207}), 6: (0, 2), 8: (0, 376)}, 313: {44: (0, 377), 35: (0, 99), 46: (0, 98), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 314: {45: (0, 378), 34: (0, 208), 8: (0, 379), 46: (0, 98), 41: (0, 104), 50: (0, 105), 6: (0, 2), 38: (0, 106), 52: (0, 108), 47: (0, 110), 83: (0, 112), 42: (0, 114), 90: (0, 380), 35: (0, 99), 2: (0, 6), 40: (0, 100), 82: (0, 101), 43: (0, 102), 4: (0, 10), 39: (0, 107), 51: (0, 109), 1: (0, 12), 0: (0, 381), 49: (0, 111), 29: (0, 113)}, 315: {35: (1, {'@': 208}), 20: (1, {'@': 208}), 14: (1, {'@': 208}), 17: (1, {'@': 208}), 23: (1, {'@': 208}), 24: (1, {'@': 208}), 36: (1, {'@': 208}), 25: (1, {'@': 208}), 37: (1, {'@': 208}), 38: (1, {'@': 208}), 39: (1, {'@': 208}), 31: (1, {'@': 208}), 32: (1, {'@': 208}), 33: (1, {'@': 208}), 40: (1, {'@': 208}), 41: (1, {'@': 208}), 34: (1, {'@': 208}), 42: (1, {'@': 208}), 43: (1, {'@': 208}), 19: (1, {'@': 208}), 21: (1, {'@': 208}), 2: (1, {'@': 208}), 22: (1, {'@': 208}), 44: (1, {'@': 208}), 16: (1, {'@': 208}), 45: (1, {'@': 208}), 0: (1, {'@': 208}), 4: (1, {'@': 208}), 46: (1, {'@': 208}), 18: (1, {'@': 208}), 26: (1, {'@': 208}), 47: (1, {'@': 208}), 48: (1, {'@': 208}), 29: (1, {'@': 208}), 1: (1, {'@': 208}), 49: (1, {'@': 208}), 30: (1, {'@': 208}), 50: (1, {'@': 208}), 51: (1, {'@': 208}), 52: (1, {'@': 208})}, 316: {1: (1, {'@': 154}), 2: (1, {'@': 154}), 4: (1, {'@': 154}), 20: (0, 249), 19: (0, 254)}, 317: {0: (0, 382), 6: (0, 2), 34: (0, 208), 1: (0, 12), 2: (0, 6), 8: (0, 383), 4: (0, 10), 90: (0, 384)}, 318: {6: (0, 2), 8: (0, 385), 1: (0, 12), 2: (0, 6), 0: (0, 386), 4: (0, 10)}, 319: {8: (0, 387), 6: (0, 2), 34: (0, 208), 90: (0, 388), 2: (0, 6), 4: (0, 10), 1: (0, 12), 0: (0, 389)}, 320: {35: (1, {'@': 209}), 20: (1, {'@': 209}), 14: (1, {'@': 209}), 17: (1, {'@': 209}), 23: (1, {'@': 209}), 24: (1, {'@': 209}), 36: (1, {'@': 209}), 25: (1, {'@': 209}), 37: (1, {'@': 209}), 38: (1, {'@': 209}), 39: (1, {'@': 209}), 31: (1, {'@': 209}), 32: (1, {'@': 209}), 33: (1, {'@': 209}), 40: (1, {'@': 209}), 41: (1, {'@': 209}), 34: (1, {'@': 209}), 42: (1, {'@': 209}), 43: (1, {'@': 209}), 19: (1, {'@': 209}), 21: (1, {'@': 209}), 2: (1, {'@': 209}), 22: (1, {'@': 209}), 44: (1, {'@': 209}), 16: (1, {'@': 209}), 45: (1, {'@': 209}), 0: (1, {'@': 209}), 4: (1, {'@': 209}), 46: (1, {'@': 209}), 18: (1, {'@': 209}), 26: (1, {'@': 209}), 47: (1, {'@': 209}), 48: (1, {'@': 209}), 29: (1, {'@': 209}), 1: (1, {'@': 209}), 49: (1, {'@': 209}), 30: (1, {'@': 209}), 50: (1, {'@': 209}), 51: (1, {'@': 209}), 52: (1, {'@': 209})}, 321: {1: (1, {'@': 210}), 2: (1, {'@': 210}), 4: (1, {'@': 210}), 20: (1, {'@': 210}), 16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 359), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 322: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 6: (0, 2), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 356), 23: (0, 47), 61: (0, 48), 8: (0, 390), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 323: {1: (1, {'@': 211}), 2: (1, {'@': 211}), 4: (1, {'@': 211}), 20: (1, {'@': 211})}, 324: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 353), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 325: {35: (1, {'@': 212}), 20: (1, {'@': 212}), 14: (1, {'@': 212}), 17: (1, {'@': 212}), 23: (1, {'@': 212}), 24: (1, {'@': 212}), 36: (1, {'@': 212}), 25: (1, {'@': 212}), 37: (1, {'@': 212}), 38: (1, {'@': 212}), 39: (1, {'@': 212}), 31: (1, {'@': 212}), 32: (1, {'@': 212}), 33: (1, {'@': 212}), 40: (1, {'@': 212}), 41: (1, {'@': 212}), 34: (1, {'@': 212}), 42: (1, {'@': 212}), 43: (1, {'@': 212}), 19: (1, {'@': 212}), 21: (1, {'@': 212}), 2: (1, {'@': 212}), 22: (1, {'@': 212}), 44: (1, {'@': 212}), 16: (1, {'@': 212}), 45: (1, {'@': 212}), 0: (1, {'@': 212}), 4: (1, {'@': 212}), 46: (1, {'@': 212}), 18: (1, {'@': 212}), 26: (1, {'@': 212}), 47: (1, {'@': 212}), 48: (1, {'@': 212}), 29: (1, {'@': 212}), 1: (1, {'@': 212}), 49: (1, {'@': 212}), 30: (1, {'@': 212}), 50: (1, {'@': 212}), 51: (1, {'@': 212}), 52: (1, {'@': 212})}, 326: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 356), 23: (0, 47), 61: (0, 48), 8: (0, 391), 62: (0, 49), 63: (0, 50), 21: (0, 392), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 327: {35: (1, {'@': 213}), 20: (1, {'@': 213}), 14: (1, {'@': 213}), 17: (1, {'@': 213}), 23: (1, {'@': 213}), 24: (1, {'@': 213}), 36: (1, {'@': 213}), 25: (1, {'@': 213}), 37: (1, {'@': 213}), 38: (1, {'@': 213}), 39: (1, {'@': 213}), 31: (1, {'@': 213}), 32: (1, {'@': 213}), 33: (1, {'@': 213}), 40: (1, {'@': 213}), 41: (1, {'@': 213}), 34: (1, {'@': 213}), 42: (1, {'@': 213}), 43: (1, {'@': 213}), 19: (1, {'@': 213}), 21: (1, {'@': 213}), 2: (1, {'@': 213}), 22: (1, {'@': 213}), 44: (1, {'@': 213}), 16: (1, {'@': 213}), 45: (1, {'@': 213}), 0: (1, {'@': 213}), 4: (1, {'@': 213}), 46: (1, {'@': 213}), 18: (1, {'@': 213}), 26: (1, {'@': 213}), 47: (1, {'@': 213}), 48: (1, {'@': 213}), 29: (1, {'@': 213}), 1: (1, {'@': 213}), 49: (1, {'@': 213}), 30: (1, {'@': 213}), 50: (1, {'@': 213}), 51: (1, {'@': 213}), 52: (1, {'@': 213})}, 328: {21: (0, 393)}, 329: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 359), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 21: (0, 394), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 330: {35: (1, {'@': 214}), 20: (1, {'@': 214}), 14: (1, {'@': 214}), 17: (1, {'@': 214}), 23: (1, {'@': 214}), 24: (1, {'@': 214}), 36: (1, {'@': 214}), 25: (1, {'@': 214}), 37: (1, {'@': 214}), 38: (1, {'@': 214}), 39: (1, {'@': 214}), 31: (1, {'@': 214}), 32: (1, {'@': 214}), 33: (1, {'@': 214}), 40: (1, {'@': 214}), 41: (1, {'@': 214}), 34: (1, {'@': 214}), 42: (1, {'@': 214}), 43: (1, {'@': 214}), 19: (1, {'@': 214}), 21: (1, {'@': 214}), 2: (1, {'@': 214}), 22: (1, {'@': 214}), 44: (1, {'@': 214}), 16: (1, {'@': 214}), 45: (1, {'@': 214}), 0: (1, {'@': 214}), 4: (1, {'@': 214}), 46: (1, {'@': 214}), 18: (1, {'@': 214}), 26: (1, {'@': 214}), 47: (1, {'@': 214}), 48: (1, {'@': 214}), 29: (1, {'@': 214}), 1: (1, {'@': 214}), 49: (1, {'@': 214}), 30: (1, {'@': 214}), 50: (1, {'@': 214}), 51: (1, {'@': 214}), 52: (1, {'@': 214})}, 331: {35: (1, {'@': 215}), 20: (1, {'@': 215}), 14: (1, {'@': 215}), 17: (1, {'@': 215}), 23: (1, {'@': 215}), 24: (1, {'@': 215}), 36: (1, {'@': 215}), 25: (1, {'@': 215}), 37: (1, {'@': 215}), 38: (1, {'@': 215}), 39: (1, {'@': 215}), 31: (1, {'@': 215}), 32: (1, {'@': 215}), 33: (1, {'@': 215}), 40: (1, {'@': 215}), 41: (1, {'@': 215}), 34: (1, {'@': 215}), 42: (1, {'@': 215}), 43: (1, {'@': 215}), 19: (1, {'@': 215}), 21: (1, {'@': 215}), 2: (1, {'@': 215}), 22: (1, {'@': 215}), 44: (1, {'@': 215}), 16: (1, {'@': 215}), 45: (1, {'@': 215}), 0: (1, {'@': 215}), 4: (1, {'@': 215}), 46: (1, {'@': 215}), 18: (1, {'@': 215}), 26: (1, {'@': 215}), 47: (1, {'@': 215}), 48: (1, {'@': 215}), 29: (1, {'@': 215}), 1: (1, {'@': 215}), 49: (1, {'@': 215}), 30: (1, {'@': 215}), 50: (1, {'@': 215}), 51: (1, {'@': 215}), 52: (1, {'@': 215})}, 332: {35: (1, {'@': 216}), 20: (1, {'@': 216}), 14: (1, {'@': 216}), 17: (1, {'@': 216}), 23: (1, {'@': 216}), 24: (1, {'@': 216}), 36: (1, {'@': 216}), 25: (1, {'@': 216}), 37: (1, {'@': 216}), 38: (1, {'@': 216}), 39: (1, {'@': 216}), 31: (1, {'@': 216}), 32: (1, {'@': 216}), 33: (1, {'@': 216}), 40: (1, {'@': 216}), 41: (1, {'@': 216}), 34: (1, {'@': 216}), 42: (1, {'@': 216}), 43: (1, {'@': 216}), 19: (1, {'@': 216}), 21: (1, {'@': 216}), 2: (1, {'@': 216}), 22: (1, {'@': 216}), 44: (1, {'@': 216}), 16: (1, {'@': 216}), 45: (1, {'@': 216}), 0: (1, {'@': 216}), 4: (1, {'@': 216}), 46: (1, {'@': 216}), 18: (1, {'@': 216}), 26: (1, {'@': 216}), 47: (1, {'@': 216}), 48: (1, {'@': 216}), 29: (1, {'@': 216}), 1: (1, {'@': 216}), 49: (1, {'@': 216}), 30: (1, {'@': 216}), 50: (1, {'@': 216}), 51: (1, {'@': 216}), 52: (1, {'@': 216})}, 333: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 353), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 21: (0, 395), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 334: {35: (1, {'@': 217}), 20: (1, {'@': 217}), 14: (1, {'@': 217}), 17: (1, {'@': 217}), 23: (1, {'@': 217}), 24: (1, {'@': 217}), 36: (1, {'@': 217}), 25: (1, {'@': 217}), 37: (1, {'@': 217}), 38: (1, {'@': 217}), 39: (1, {'@': 217}), 31: (1, {'@': 217}), 32: (1, {'@': 217}), 33: (1, {'@': 217}), 40: (1, {'@': 217}), 41: (1, {'@': 217}), 34: (1, {'@': 217}), 42: (1, {'@': 217}), 43: (1, {'@': 217}), 19: (1, {'@': 217}), 21: (1, {'@': 217}), 2: (1, {'@': 217}), 22: (1, {'@': 217}), 44: (1, {'@': 217}), 16: (1, {'@': 217}), 45: (1, {'@': 217}), 0: (1, {'@': 217}), 4: (1, {'@': 217}), 46: (1, {'@': 217}), 18: (1, {'@': 217}), 26: (1, {'@': 217}), 47: (1, {'@': 217}), 48: (1, {'@': 217}), 29: (1, {'@': 217}), 1: (1, {'@': 217}), 49: (1, {'@': 217}), 30: (1, {'@': 217}), 50: (1, {'@': 217}), 51: (1, {'@': 217}), 52: (1, {'@': 217})}, 335: {21: (0, 396)}, 336: {6: (0, 2), 1: (0, 12), 2: (0, 6), 4: (0, 10), 8: (0, 397), 21: (0, 398)}, 337: {35: (1, {'@': 218}), 20: (1, {'@': 218}), 14: (1, {'@': 218}), 17: (1, {'@': 218}), 23: (1, {'@': 218}), 24: (1, {'@': 218}), 36: (1, {'@': 218}), 25: (1, {'@': 218}), 37: (1, {'@': 218}), 38: (1, {'@': 218}), 39: (1, {'@': 218}), 31: (1, {'@': 218}), 32: (1, {'@': 218}), 33: (1, {'@': 218}), 40: (1, {'@': 218}), 41: (1, {'@': 218}), 34: (1, {'@': 218}), 42: (1, {'@': 218}), 43: (1, {'@': 218}), 19: (1, {'@': 218}), 21: (1, {'@': 218}), 2: (1, {'@': 218}), 22: (1, {'@': 218}), 44: (1, {'@': 218}), 16: (1, {'@': 218}), 45: (1, {'@': 218}), 0: (1, {'@': 218}), 4: (1, {'@': 218}), 46: (1, {'@': 218}), 18: (1, {'@': 218}), 26: (1, {'@': 218}), 47: (1, {'@': 218}), 48: (1, {'@': 218}), 29: (1, {'@': 218}), 1: (1, {'@': 218}), 49: (1, {'@': 218}), 30: (1, {'@': 218}), 50: (1, {'@': 218}), 51: (1, {'@': 218}), 52: (1, {'@': 218})}, 338: {21: (0, 399)}, 339: {35: (1, {'@': 219}), 20: (1, {'@': 219}), 14: (1, {'@': 219}), 17: (1, {'@': 219}), 23: (1, {'@': 219}), 24: (1, {'@': 219}), 36: (1, {'@': 219}), 25: (1, {'@': 219}), 37: (1, {'@': 219}), 38: (1, {'@': 219}), 39: (1, {'@': 219}), 31: (1, {'@': 219}), 32: (1, {'@': 219}), 33: (1, {'@': 219}), 40: (1, {'@': 219}), 41: (1, {'@': 219}), 34: (1, {'@': 219}), 42: (1, {'@': 219}), 43: (1, {'@': 219}), 19: (1, {'@': 219}), 21: (1, {'@': 219}), 2: (1, {'@': 219}), 22: (1, {'@': 219}), 44: (1, {'@': 219}), 16: (1, {'@': 219}), 45: (1, {'@': 219}), 0: (1, {'@': 219}), 4: (1, {'@': 219}), 46: (1, {'@': 219}), 18: (1, {'@': 219}), 26: (1, {'@': 219}), 47: (1, {'@': 219}), 48: (1, {'@': 219}), 29: (1, {'@': 219}), 1: (1, {'@': 219}), 49: (1, {'@': 219}), 30: (1, {'@': 219}), 50: (1, {'@': 219}), 51: (1, {'@': 219}), 52: (1, {'@': 219})}, 340: {35: (1, {'@': 220}), 20: (1, {'@': 220}), 14: (1, {'@': 220}), 17: (1, {'@': 220}), 23: (1, {'@': 220}), 24: (1, {'@': 220}), 36: (1, {'@': 220}), 25: (1, {'@': 220}), 37: (1, {'@': 220}), 38: (1, {'@': 220}), 39: (1, {'@': 220}), 31: (1, {'@': 220}), 32: (1, {'@': 220}), 33: (1, {'@': 220}), 40: (1, {'@': 220}), 41: (1, {'@': 220}), 34: (1, {'@': 220}), 42: (1, {'@': 220}), 43: (1, {'@': 220}), 19: (1, {'@': 220}), 21: (1, {'@': 220}), 2: (1, {'@': 220}), 22: (1, {'@': 220}), 44: (1, {'@': 220}), 16: (1, {'@': 220}), 45: (1, {'@': 220}), 0: (1, {'@': 220}), 4: (1, {'@': 220}), 46: (1, {'@': 220}), 18: (1, {'@': 220}), 26: (1, {'@': 220}), 47: (1, {'@': 220}), 48: (1, {'@': 220}), 29: (1, {'@': 220}), 1: (1, {'@': 220}), 49: (1, {'@': 220}), 30: (1, {'@': 220}), 50: (1, {'@': 220}), 51: (1, {'@': 220}), 52: (1, {'@': 220})}, 341: {6: (0, 2), 8: (0, 400), 1: (0, 12), 2: (0, 6), 21: (0, 401), 4: (0, 10)}, 342: {6: (0, 2), 34: (0, 208), 1: (0, 12), 2: (0, 6), 8: (0, 402), 90: (0, 403), 4: (0, 10), 21: (0, 404)}, 343: {0: (1, {'@': 221}), 1: (1, {'@': 221}), 2: (1, {'@': 221}), 21: (1, {'@': 221}), 4: (1, {'@': 221}), 46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 344: {35: (1, {'@': 222}), 20: (1, {'@': 222}), 14: (1, {'@': 222}), 17: (1, {'@': 222}), 23: (1, {'@': 222}), 24: (1, {'@': 222}), 36: (1, {'@': 222}), 25: (1, {'@': 222}), 37: (1, {'@': 222}), 38: (1, {'@': 222}), 39: (1, {'@': 222}), 31: (1, {'@': 222}), 32: (1, {'@': 222}), 33: (1, {'@': 222}), 40: (1, {'@': 222}), 41: (1, {'@': 222}), 34: (1, {'@': 222}), 42: (1, {'@': 222}), 43: (1, {'@': 222}), 19: (1, {'@': 222}), 21: (1, {'@': 222}), 2: (1, {'@': 222}), 22: (1, {'@': 222}), 44: (1, {'@': 222}), 16: (1, {'@': 222}), 45: (1, {'@': 222}), 0: (1, {'@': 222}), 4: (1, {'@': 222}), 46: (1, {'@': 222}), 18: (1, {'@': 222}), 26: (1, {'@': 222}), 47: (1, {'@': 222}), 48: (1, {'@': 222}), 29: (1, {'@': 222}), 1: (1, {'@': 222}), 49: (1, {'@': 222}), 30: (1, {'@': 222}), 50: (1, {'@': 222}), 51: (1, {'@': 222}), 52: (1, {'@': 222})}, 345: {21: (0, 405)}, 346: {35: (1, {'@': 223}), 20: (1, {'@': 223}), 14: (1, {'@': 223}), 17: (1, {'@': 223}), 23: (1, {'@': 223}), 24: (1, {'@': 223}), 36: (1, {'@': 223}), 25: (1, {'@': 223}), 37: (1, {'@': 223}), 38: (1, {'@': 223}), 39: (1, {'@': 223}), 31: (1, {'@': 223}), 32: (1, {'@': 223}), 33: (1, {'@': 223}), 40: (1, {'@': 223}), 41: (1, {'@': 223}), 34: (1, {'@': 223}), 42: (1, {'@': 223}), 43: (1, {'@': 223}), 19: (1, {'@': 223}), 21: (1, {'@': 223}), 2: (1, {'@': 223}), 22: (1, {'@': 223}), 44: (1, {'@': 223}), 16: (1, {'@': 223}), 45: (1, {'@': 223}), 0: (1, {'@': 223}), 4: (1, {'@': 223}), 46: (1, {'@': 223}), 18: (1, {'@': 223}), 26: (1, {'@': 223}), 47: (1, {'@': 223}), 48: (1, {'@': 223}), 29: (1, {'@': 223}), 1: (1, {'@': 223}), 49: (1, {'@': 223}), 30: (1, {'@': 223}), 50: (1, {'@': 223}), 51: (1, {'@': 223}), 52: (1, {'@': 223})}, 347: {35: (1, {'@': 224}), 20: (1, {'@': 224}), 14: (1, {'@': 224}), 17: (1, {'@': 224}), 23: (1, {'@': 224}), 24: (1, {'@': 224}), 36: (1, {'@': 224}), 25: (1, {'@': 224}), 37: (1, {'@': 224}), 38: (1, {'@': 224}), 39: (1, {'@': 224}), 31: (1, {'@': 224}), 32: (1, {'@': 224}), 33: (1, {'@': 224}), 40: (1, {'@': 224}), 41: (1, {'@': 224}), 34: (1, {'@': 224}), 42: (1, {'@': 224}), 43: (1, {'@': 224}), 19: (1, {'@': 224}), 21: (1, {'@': 224}), 2: (1, {'@': 224}), 22: (1, {'@': 224}), 44: (1, {'@': 224}), 16: (1, {'@': 224}), 45: (1, {'@': 224}), 0: (1, {'@': 224}), 4: (1, {'@': 224}), 46: (1, {'@': 224}), 18: (1, {'@': 224}), 26: (1, {'@': 224}), 47: (1, {'@': 224}), 48: (1, {'@': 224}), 29: (1, {'@': 224}), 1: (1, {'@': 224}), 49: (1, {'@': 224}), 30: (1, {'@': 224}), 50: (1, {'@': 224}), 51: (1, {'@': 224}), 52: (1, {'@': 224})}, 348: {35: (1, {'@': 225}), 20: (1, {'@': 225}), 14: (1, {'@': 225}), 17: (1, {'@': 225}), 23: (1, {'@': 225}), 24: (1, {'@': 225}), 36: (1, {'@': 225}), 25: (1, {'@': 225}), 37: (1, {'@': 225}), 38: (1, {'@': 225}), 39: (1, {'@': 225}), 31: (1, {'@': 225}), 32: (1, {'@': 225}), 33: (1, {'@': 225}), 40: (1, {'@': 225}), 41: (1, {'@': 225}), 34: (1, {'@': 225}), 42: (1, {'@': 225}), 43: (1, {'@': 225}), 19: (1, {'@': 225}), 21: (1, {'@': 225}), 2: (1, {'@': 225}), 22: (1, {'@': 225}), 44: (1, {'@': 225}), 16: (1, {'@': 225}), 45: (1, {'@': 225}), 0: (1, {'@': 225}), 4: (1, {'@': 225}), 46: (1, {'@': 225}), 18: (1, {'@': 225}), 26: (1, {'@': 225}), 47: (1, {'@': 225}), 48: (1, {'@': 225}), 29: (1, {'@': 225}), 1: (1, {'@': 225}), 49: (1, {'@': 225}), 30: (1, {'@': 225}), 50: (1, {'@': 225}), 51: (1, {'@': 225}), 52: (1, {'@': 225})}, 349: {6: (0, 2), 8: (0, 406), 1: (0, 12), 2: (0, 6), 21: (0, 407), 4: (0, 10)}, 350: {21: (0, 408)}, 351: {21: (0, 409)}, 352: {35: (1, {'@': 226}), 20: (1, {'@': 226}), 14: (1, {'@': 226}), 17: (1, {'@': 226}), 23: (1, {'@': 226}), 24: (1, {'@': 226}), 36: (1, {'@': 226}), 25: (1, {'@': 226}), 37: (1, {'@': 226}), 38: (1, {'@': 226}), 39: (1, {'@': 226}), 31: (1, {'@': 226}), 32: (1, {'@': 226}), 33: (1, {'@': 226}), 40: (1, {'@': 226}), 41: (1, {'@': 226}), 34: (1, {'@': 226}), 42: (1, {'@': 226}), 43: (1, {'@': 226}), 19: (1, {'@': 226}), 21: (1, {'@': 226}), 2: (1, {'@': 226}), 22: (1, {'@': 226}), 44: (1, {'@': 226}), 16: (1, {'@': 226}), 45: (1, {'@': 226}), 0: (1, {'@': 226}), 4: (1, {'@': 226}), 46: (1, {'@': 226}), 18: (1, {'@': 226}), 26: (1, {'@': 226}), 47: (1, {'@': 226}), 48: (1, {'@': 226}), 29: (1, {'@': 226}), 1: (1, {'@': 226}), 49: (1, {'@': 226}), 30: (1, {'@': 226}), 50: (1, {'@': 226}), 51: (1, {'@': 226}), 52: (1, {'@': 226})}, 353: {19: (1, {'@': 227}), 20: (1, {'@': 227}), 21: (1, {'@': 227}), 1: (1, {'@': 227}), 2: (1, {'@': 227}), 45: (1, {'@': 227}), 4: (1, {'@': 227}), 46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 354: {35: (1, {'@': 228}), 20: (1, {'@': 228}), 14: (1, {'@': 228}), 17: (1, {'@': 228}), 23: (1, {'@': 228}), 24: (1, {'@': 228}), 36: (1, {'@': 228}), 25: (1, {'@': 228}), 37: (1, {'@': 228}), 38: (1, {'@': 228}), 39: (1, {'@': 228}), 31: (1, {'@': 228}), 32: (1, {'@': 228}), 33: (1, {'@': 228}), 40: (1, {'@': 228}), 41: (1, {'@': 228}), 34: (1, {'@': 228}), 42: (1, {'@': 228}), 43: (1, {'@': 228}), 19: (1, {'@': 228}), 21: (1, {'@': 228}), 2: (1, {'@': 228}), 22: (1, {'@': 228}), 44: (1, {'@': 228}), 16: (1, {'@': 228}), 45: (1, {'@': 228}), 0: (1, {'@': 228}), 4: (1, {'@': 228}), 46: (1, {'@': 228}), 18: (1, {'@': 228}), 26: (1, {'@': 228}), 47: (1, {'@': 228}), 48: (1, {'@': 228}), 29: (1, {'@': 228}), 1: (1, {'@': 228}), 49: (1, {'@': 228}), 30: (1, {'@': 228}), 50: (1, {'@': 228}), 51: (1, {'@': 228}), 52: (1, {'@': 228})}, 355: {35: (1, {'@': 229}), 20: (1, {'@': 229}), 14: (1, {'@': 229}), 17: (1, {'@': 229}), 23: (1, {'@': 229}), 24: (1, {'@': 229}), 36: (1, {'@': 229}), 25: (1, {'@': 229}), 37: (1, {'@': 229}), 38: (1, {'@': 229}), 39: (1, {'@': 229}), 31: (1, {'@': 229}), 32: (1, {'@': 229}), 33: (1, {'@': 229}), 40: (1, {'@': 229}), 41: (1, {'@': 229}), 34: (1, {'@': 229}), 42: (1, {'@': 229}), 43: (1, {'@': 229}), 19: (1, {'@': 229}), 21: (1, {'@': 229}), 2: (1, {'@': 229}), 22: (1, {'@': 229}), 44: (1, {'@': 229}), 16: (1, {'@': 229}), 45: (1, {'@': 229}), 0: (1, {'@': 229}), 4: (1, {'@': 229}), 46: (1, {'@': 229}), 18: (1, {'@': 229}), 26: (1, {'@': 229}), 47: (1, {'@': 229}), 48: (1, {'@': 229}), 29: (1, {'@': 229}), 1: (1, {'@': 229}), 49: (1, {'@': 229}), 30: (1, {'@': 229}), 50: (1, {'@': 229}), 51: (1, {'@': 229}), 52: (1, {'@': 229})}, 356: {19: (1, {'@': 230}), 20: (1, {'@': 230}), 21: (1, {'@': 230}), 1: (1, {'@': 230}), 2: (1, {'@': 230}), 45: (1, {'@': 230}), 4: (1, {'@': 230}), 46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 357: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 410), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 21: (0, 411), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 358: {35: (1, {'@': 231}), 20: (1, {'@': 231}), 14: (1, {'@': 231}), 17: (1, {'@': 231}), 23: (1, {'@': 231}), 24: (1, {'@': 231}), 36: (1, {'@': 231}), 25: (1, {'@': 231}), 37: (1, {'@': 231}), 38: (1, {'@': 231}), 39: (1, {'@': 231}), 31: (1, {'@': 231}), 32: (1, {'@': 231}), 33: (1, {'@': 231}), 40: (1, {'@': 231}), 41: (1, {'@': 231}), 34: (1, {'@': 231}), 42: (1, {'@': 231}), 43: (1, {'@': 231}), 19: (1, {'@': 231}), 21: (1, {'@': 231}), 2: (1, {'@': 231}), 22: (1, {'@': 231}), 44: (1, {'@': 231}), 16: (1, {'@': 231}), 45: (1, {'@': 231}), 0: (1, {'@': 231}), 4: (1, {'@': 231}), 46: (1, {'@': 231}), 18: (1, {'@': 231}), 26: (1, {'@': 231}), 47: (1, {'@': 231}), 48: (1, {'@': 231}), 29: (1, {'@': 231}), 1: (1, {'@': 231}), 49: (1, {'@': 231}), 30: (1, {'@': 231}), 50: (1, {'@': 231}), 51: (1, {'@': 231}), 52: (1, {'@': 231})}, 359: {19: (1, {'@': 232}), 20: (1, {'@': 232}), 21: (1, {'@': 232}), 1: (1, {'@': 232}), 2: (1, {'@': 232}), 45: (1, {'@': 232}), 4: (1, {'@': 232}), 46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 360: {35: (1, {'@': 233}), 20: (1, {'@': 233}), 14: (1, {'@': 233}), 17: (1, {'@': 233}), 23: (1, {'@': 233}), 24: (1, {'@': 233}), 36: (1, {'@': 233}), 25: (1, {'@': 233}), 37: (1, {'@': 233}), 38: (1, {'@': 233}), 39: (1, {'@': 233}), 31: (1, {'@': 233}), 32: (1, {'@': 233}), 33: (1, {'@': 233}), 40: (1, {'@': 233}), 41: (1, {'@': 233}), 34: (1, {'@': 233}), 42: (1, {'@': 233}), 43: (1, {'@': 233}), 19: (1, {'@': 233}), 21: (1, {'@': 233}), 2: (1, {'@': 233}), 22: (1, {'@': 233}), 44: (1, {'@': 233}), 16: (1, {'@': 233}), 45: (1, {'@': 233}), 0: (1, {'@': 233}), 4: (1, {'@': 233}), 46: (1, {'@': 233}), 18: (1, {'@': 233}), 26: (1, {'@': 233}), 47: (1, {'@': 233}), 48: (1, {'@': 233}), 29: (1, {'@': 233}), 1: (1, {'@': 233}), 49: (1, {'@': 233}), 30: (1, {'@': 233}), 50: (1, {'@': 233}), 51: (1, {'@': 233}), 52: (1, {'@': 233})}, 361: {35: (1, {'@': 234}), 20: (1, {'@': 234}), 14: (1, {'@': 234}), 17: (1, {'@': 234}), 23: (1, {'@': 234}), 24: (1, {'@': 234}), 36: (1, {'@': 234}), 25: (1, {'@': 234}), 37: (1, {'@': 234}), 38: (1, {'@': 234}), 39: (1, {'@': 234}), 31: (1, {'@': 234}), 32: (1, {'@': 234}), 33: (1, {'@': 234}), 40: (1, {'@': 234}), 41: (1, {'@': 234}), 34: (1, {'@': 234}), 42: (1, {'@': 234}), 43: (1, {'@': 234}), 19: (1, {'@': 234}), 21: (1, {'@': 234}), 2: (1, {'@': 234}), 22: (1, {'@': 234}), 44: (1, {'@': 234}), 16: (1, {'@': 234}), 45: (1, {'@': 234}), 4: (1, {'@': 234}), 0: (1, {'@': 234}), 46: (1, {'@': 234}), 18: (1, {'@': 234}), 26: (1, {'@': 234}), 47: (1, {'@': 234}), 48: (1, {'@': 234}), 29: (1, {'@': 234}), 1: (1, {'@': 234}), 49: (1, {'@': 234}), 30: (1, {'@': 234}), 50: (1, {'@': 234}), 51: (1, {'@': 234}), 52: (1, {'@': 234})}, 362: {35: (1, {'@': 235}), 20: (1, {'@': 235}), 14: (1, {'@': 235}), 17: (1, {'@': 235}), 23: (1, {'@': 235}), 24: (1, {'@': 235}), 36: (1, {'@': 235}), 25: (1, {'@': 235}), 37: (1, {'@': 235}), 38: (1, {'@': 235}), 39: (1, {'@': 235}), 31: (1, {'@': 235}), 32: (1, {'@': 235}), 33: (1, {'@': 235}), 40: (1, {'@': 235}), 41: (1, {'@': 235}), 34: (1, {'@': 235}), 42: (1, {'@': 235}), 43: (1, {'@': 235}), 19: (1, {'@': 235}), 21: (1, {'@': 235}), 2: (1, {'@': 235}), 22: (1, {'@': 235}), 44: (1, {'@': 235}), 16: (1, {'@': 235}), 45: (1, {'@': 235}), 4: (1, {'@': 235}), 0: (1, {'@': 235}), 46: (1, {'@': 235}), 18: (1, {'@': 235}), 26: (1, {'@': 235}), 47: (1, {'@': 235}), 48: (1, {'@': 235}), 29: (1, {'@': 235}), 1: (1, {'@': 235}), 49: (1, {'@': 235}), 30: (1, {'@': 235}), 50: (1, {'@': 235}), 51: (1, {'@': 235}), 52: (1, {'@': 235})}, 363: {35: (1, {'@': 236}), 20: (1, {'@': 236}), 14: (1, {'@': 236}), 17: (1, {'@': 236}), 23: (1, {'@': 236}), 24: (1, {'@': 236}), 36: (1, {'@': 236}), 25: (1, {'@': 236}), 37: (1, {'@': 236}), 38: (1, {'@': 236}), 39: (1, {'@': 236}), 31: (1, {'@': 236}), 32: (1, {'@': 236}), 33: (1, {'@': 236}), 40: (1, {'@': 236}), 41: (1, {'@': 236}), 34: (1, {'@': 236}), 42: (1, {'@': 236}), 43: (1, {'@': 236}), 19: (1, {'@': 236}), 21: (1, {'@': 236}), 2: (1, {'@': 236}), 22: (1, {'@': 236}), 44: (1, {'@': 236}), 16: (1, {'@': 236}), 45: (1, {'@': 236}), 4: (1, {'@': 236}), 0: (1, {'@': 236}), 46: (1, {'@': 236}), 18: (1, {'@': 236}), 26: (1, {'@': 236}), 47: (1, {'@': 236}), 48: (1, {'@': 236}), 29: (1, {'@': 236}), 1: (1, {'@': 236}), 49: (1, {'@': 236}), 30: (1, {'@': 236}), 50: (1, {'@': 236}), 51: (1, {'@': 236}), 52: (1, {'@': 236})}, 364: {6: (0, 2), 28: (0, 412), 8: (0, 413), 1: (0, 12), 2: (0, 6), 4: (0, 10)}, 365: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 6: (0, 2), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 414), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 8: (0, 415), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 366: {46: (0, 98), 35: (0, 99), 40: (0, 100), 44: (0, 416), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 367: {14: (1, {'@': 237}), 17: (1, {'@': 237}), 2: (0, 6), 22: (1, {'@': 237}), 23: (1, {'@': 237}), 16: (1, {'@': 237}), 24: (1, {'@': 237}), 4: (0, 10), 25: (1, {'@': 237}), 26: (1, {'@': 237}), 29: (1, {'@': 237}), 1: (0, 12), 30: (1, {'@': 237}), 31: (1, {'@': 237}), 32: (1, {'@': 237}), 33: (1, {'@': 237}), 6: (0, 2), 8: (0, 417)}, 368: {46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 44: (0, 418), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 369: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 419), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 370: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 420), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 371: {46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 44: (0, 421), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 372: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 8: (0, 422), 60: (0, 423), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 373: {28: (0, 424)}, 374: {14: (1, {'@': 238}), 17: (1, {'@': 238}), 2: (0, 6), 22: (1, {'@': 238}), 23: (1, {'@': 238}), 16: (1, {'@': 238}), 24: (1, {'@': 238}), 4: (0, 10), 25: (1, {'@': 238}), 26: (1, {'@': 238}), 29: (1, {'@': 238}), 1: (0, 12), 30: (1, {'@': 238}), 31: (1, {'@': 238}), 32: (1, {'@': 238}), 33: (1, {'@': 238}), 6: (0, 2), 8: (0, 425)}, 375: {46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 44: (0, 426), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 376: {14: (1, {'@': 239}), 17: (1, {'@': 239}), 2: (1, {'@': 239}), 22: (1, {'@': 239}), 23: (1, {'@': 239}), 16: (1, {'@': 239}), 24: (1, {'@': 239}), 4: (1, {'@': 239}), 25: (1, {'@': 239}), 26: (1, {'@': 239}), 29: (1, {'@': 239}), 1: (1, {'@': 239}), 30: (1, {'@': 239}), 31: (1, {'@': 239}), 32: (1, {'@': 239}), 33: (1, {'@': 239})}, 377: {14: (1, {'@': 240}), 17: (1, {'@': 240}), 2: (0, 6), 22: (1, {'@': 240}), 23: (1, {'@': 240}), 16: (1, {'@': 240}), 24: (1, {'@': 240}), 4: (0, 10), 25: (1, {'@': 240}), 26: (1, {'@': 240}), 29: (1, {'@': 240}), 1: (0, 12), 30: (1, {'@': 240}), 31: (1, {'@': 240}), 32: (1, {'@': 240}), 33: (1, {'@': 240}), 8: (0, 427), 6: (0, 2)}, 378: {6: (0, 2), 34: (0, 208), 8: (0, 428), 2: (0, 6), 4: (0, 10), 90: (0, 429), 0: (0, 430), 1: (0, 12)}, 379: {6: (0, 2), 34: (0, 208), 90: (0, 431), 1: (0, 12), 2: (0, 6), 0: (0, 432), 4: (0, 10), 8: (0, 433)}, 380: {8: (0, 434), 6: (0, 2), 1: (0, 12), 2: (0, 6), 0: (0, 435), 4: (0, 10)}, 381: {35: (1, {'@': 241}), 20: (1, {'@': 241}), 14: (1, {'@': 241}), 17: (1, {'@': 241}), 23: (1, {'@': 241}), 24: (1, {'@': 241}), 36: (1, {'@': 241}), 25: (1, {'@': 241}), 37: (1, {'@': 241}), 38: (1, {'@': 241}), 39: (1, {'@': 241}), 31: (1, {'@': 241}), 32: (1, {'@': 241}), 33: (1, {'@': 241}), 40: (1, {'@': 241}), 41: (1, {'@': 241}), 34: (1, {'@': 241}), 42: (1, {'@': 241}), 43: (1, {'@': 241}), 19: (1, {'@': 241}), 21: (1, {'@': 241}), 2: (1, {'@': 241}), 22: (1, {'@': 241}), 44: (1, {'@': 241}), 16: (1, {'@': 241}), 45: (1, {'@': 241}), 0: (1, {'@': 241}), 4: (1, {'@': 241}), 46: (1, {'@': 241}), 18: (1, {'@': 241}), 26: (1, {'@': 241}), 47: (1, {'@': 241}), 48: (1, {'@': 241}), 29: (1, {'@': 241}), 1: (1, {'@': 241}), 49: (1, {'@': 241}), 30: (1, {'@': 241}), 50: (1, {'@': 241}), 51: (1, {'@': 241}), 52: (1, {'@': 241})}, 382: {35: (1, {'@': 242}), 20: (1, {'@': 242}), 14: (1, {'@': 242}), 17: (1, {'@': 242}), 23: (1, {'@': 242}), 24: (1, {'@': 242}), 36: (1, {'@': 242}), 25: (1, {'@': 242}), 37: (1, {'@': 242}), 38: (1, {'@': 242}), 39: (1, {'@': 242}), 31: (1, {'@': 242}), 32: (1, {'@': 242}), 33: (1, {'@': 242}), 40: (1, {'@': 242}), 41: (1, {'@': 242}), 34: (1, {'@': 242}), 42: (1, {'@': 242}), 43: (1, {'@': 242}), 19: (1, {'@': 242}), 21: (1, {'@': 242}), 2: (1, {'@': 242}), 22: (1, {'@': 242}), 44: (1, {'@': 242}), 16: (1, {'@': 242}), 45: (1, {'@': 242}), 0: (1, {'@': 242}), 4: (1, {'@': 242}), 46: (1, {'@': 242}), 18: (1, {'@': 242}), 26: (1, {'@': 242}), 47: (1, {'@': 242}), 48: (1, {'@': 242}), 29: (1, {'@': 242}), 1: (1, {'@': 242}), 49: (1, {'@': 242}), 30: (1, {'@': 242}), 50: (1, {'@': 242}), 51: (1, {'@': 242}), 52: (1, {'@': 242})}, 383: {0: (0, 436)}, 384: {6: (0, 2), 1: (0, 12), 2: (0, 6), 4: (0, 10), 8: (0, 437), 0: (0, 438)}, 385: {0: (0, 439)}, 386: {35: (1, {'@': 243}), 20: (1, {'@': 243}), 14: (1, {'@': 243}), 17: (1, {'@': 243}), 23: (1, {'@': 243}), 24: (1, {'@': 243}), 36: (1, {'@': 243}), 25: (1, {'@': 243}), 37: (1, {'@': 243}), 38: (1, {'@': 243}), 39: (1, {'@': 243}), 31: (1, {'@': 243}), 32: (1, {'@': 243}), 33: (1, {'@': 243}), 40: (1, {'@': 243}), 41: (1, {'@': 243}), 34: (1, {'@': 243}), 42: (1, {'@': 243}), 43: (1, {'@': 243}), 19: (1, {'@': 243}), 21: (1, {'@': 243}), 2: (1, {'@': 243}), 22: (1, {'@': 243}), 44: (1, {'@': 243}), 16: (1, {'@': 243}), 45: (1, {'@': 243}), 0: (1, {'@': 243}), 4: (1, {'@': 243}), 46: (1, {'@': 243}), 18: (1, {'@': 243}), 26: (1, {'@': 243}), 47: (1, {'@': 243}), 48: (1, {'@': 243}), 29: (1, {'@': 243}), 1: (1, {'@': 243}), 49: (1, {'@': 243}), 30: (1, {'@': 243}), 50: (1, {'@': 243}), 51: (1, {'@': 243}), 52: (1, {'@': 243})}, 387: {6: (0, 2), 34: (0, 208), 1: (0, 12), 90: (0, 440), 2: (0, 6), 4: (0, 10), 8: (0, 441), 0: (0, 442)}, 388: {6: (0, 2), 0: (0, 443), 1: (0, 12), 2: (0, 6), 8: (0, 444), 4: (0, 10)}, 389: {35: (1, {'@': 244}), 20: (1, {'@': 244}), 14: (1, {'@': 244}), 17: (1, {'@': 244}), 23: (1, {'@': 244}), 24: (1, {'@': 244}), 36: (1, {'@': 244}), 25: (1, {'@': 244}), 37: (1, {'@': 244}), 38: (1, {'@': 244}), 39: (1, {'@': 244}), 31: (1, {'@': 244}), 32: (1, {'@': 244}), 33: (1, {'@': 244}), 40: (1, {'@': 244}), 41: (1, {'@': 244}), 34: (1, {'@': 244}), 42: (1, {'@': 244}), 43: (1, {'@': 244}), 19: (1, {'@': 244}), 21: (1, {'@': 244}), 2: (1, {'@': 244}), 22: (1, {'@': 244}), 44: (1, {'@': 244}), 16: (1, {'@': 244}), 45: (1, {'@': 244}), 0: (1, {'@': 244}), 4: (1, {'@': 244}), 46: (1, {'@': 244}), 18: (1, {'@': 244}), 26: (1, {'@': 244}), 47: (1, {'@': 244}), 48: (1, {'@': 244}), 29: (1, {'@': 244}), 1: (1, {'@': 244}), 49: (1, {'@': 244}), 30: (1, {'@': 244}), 50: (1, {'@': 244}), 51: (1, {'@': 244}), 52: (1, {'@': 244})}, 390: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 410), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 391: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 410), 21: (0, 445), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 392: {35: (1, {'@': 245}), 20: (1, {'@': 245}), 14: (1, {'@': 245}), 17: (1, {'@': 245}), 23: (1, {'@': 245}), 24: (1, {'@': 245}), 36: (1, {'@': 245}), 25: (1, {'@': 245}), 37: (1, {'@': 245}), 38: (1, {'@': 245}), 39: (1, {'@': 245}), 31: (1, {'@': 245}), 32: (1, {'@': 245}), 33: (1, {'@': 245}), 40: (1, {'@': 245}), 41: (1, {'@': 245}), 34: (1, {'@': 245}), 42: (1, {'@': 245}), 43: (1, {'@': 245}), 19: (1, {'@': 245}), 21: (1, {'@': 245}), 2: (1, {'@': 245}), 22: (1, {'@': 245}), 44: (1, {'@': 245}), 16: (1, {'@': 245}), 45: (1, {'@': 245}), 0: (1, {'@': 245}), 4: (1, {'@': 245}), 46: (1, {'@': 245}), 18: (1, {'@': 245}), 26: (1, {'@': 245}), 47: (1, {'@': 245}), 48: (1, {'@': 245}), 29: (1, {'@': 245}), 1: (1, {'@': 245}), 49: (1, {'@': 245}), 30: (1, {'@': 245}), 50: (1, {'@': 245}), 51: (1, {'@': 245}), 52: (1, {'@': 245})}, 393: {35: (1, {'@': 246}), 20: (1, {'@': 246}), 14: (1, {'@': 246}), 17: (1, {'@': 246}), 23: (1, {'@': 246}), 24: (1, {'@': 246}), 36: (1, {'@': 246}), 25: (1, {'@': 246}), 37: (1, {'@': 246}), 38: (1, {'@': 246}), 39: (1, {'@': 246}), 31: (1, {'@': 246}), 32: (1, {'@': 246}), 33: (1, {'@': 246}), 40: (1, {'@': 246}), 41: (1, {'@': 246}), 34: (1, {'@': 246}), 42: (1, {'@': 246}), 43: (1, {'@': 246}), 19: (1, {'@': 246}), 21: (1, {'@': 246}), 2: (1, {'@': 246}), 22: (1, {'@': 246}), 44: (1, {'@': 246}), 16: (1, {'@': 246}), 45: (1, {'@': 246}), 0: (1, {'@': 246}), 4: (1, {'@': 246}), 46: (1, {'@': 246}), 18: (1, {'@': 246}), 26: (1, {'@': 246}), 47: (1, {'@': 246}), 48: (1, {'@': 246}), 29: (1, {'@': 246}), 1: (1, {'@': 246}), 49: (1, {'@': 246}), 30: (1, {'@': 246}), 50: (1, {'@': 246}), 51: (1, {'@': 246}), 52: (1, {'@': 246})}, 394: {35: (1, {'@': 247}), 20: (1, {'@': 247}), 14: (1, {'@': 247}), 17: (1, {'@': 247}), 23: (1, {'@': 247}), 24: (1, {'@': 247}), 36: (1, {'@': 247}), 25: (1, {'@': 247}), 37: (1, {'@': 247}), 38: (1, {'@': 247}), 39: (1, {'@': 247}), 31: (1, {'@': 247}), 32: (1, {'@': 247}), 33: (1, {'@': 247}), 40: (1, {'@': 247}), 41: (1, {'@': 247}), 34: (1, {'@': 247}), 42: (1, {'@': 247}), 43: (1, {'@': 247}), 19: (1, {'@': 247}), 21: (1, {'@': 247}), 2: (1, {'@': 247}), 22: (1, {'@': 247}), 44: (1, {'@': 247}), 16: (1, {'@': 247}), 45: (1, {'@': 247}), 0: (1, {'@': 247}), 4: (1, {'@': 247}), 46: (1, {'@': 247}), 18: (1, {'@': 247}), 26: (1, {'@': 247}), 47: (1, {'@': 247}), 48: (1, {'@': 247}), 29: (1, {'@': 247}), 1: (1, {'@': 247}), 49: (1, {'@': 247}), 30: (1, {'@': 247}), 50: (1, {'@': 247}), 51: (1, {'@': 247}), 52: (1, {'@': 247})}, 395: {35: (1, {'@': 248}), 20: (1, {'@': 248}), 14: (1, {'@': 248}), 17: (1, {'@': 248}), 23: (1, {'@': 248}), 24: (1, {'@': 248}), 36: (1, {'@': 248}), 25: (1, {'@': 248}), 37: (1, {'@': 248}), 38: (1, {'@': 248}), 39: (1, {'@': 248}), 31: (1, {'@': 248}), 32: (1, {'@': 248}), 33: (1, {'@': 248}), 40: (1, {'@': 248}), 41: (1, {'@': 248}), 34: (1, {'@': 248}), 42: (1, {'@': 248}), 43: (1, {'@': 248}), 19: (1, {'@': 248}), 21: (1, {'@': 248}), 2: (1, {'@': 248}), 22: (1, {'@': 248}), 44: (1, {'@': 248}), 16: (1, {'@': 248}), 45: (1, {'@': 248}), 0: (1, {'@': 248}), 4: (1, {'@': 248}), 46: (1, {'@': 248}), 18: (1, {'@': 248}), 26: (1, {'@': 248}), 47: (1, {'@': 248}), 48: (1, {'@': 248}), 29: (1, {'@': 248}), 1: (1, {'@': 248}), 49: (1, {'@': 248}), 30: (1, {'@': 248}), 50: (1, {'@': 248}), 51: (1, {'@': 248}), 52: (1, {'@': 248})}, 396: {35: (1, {'@': 249}), 20: (1, {'@': 249}), 14: (1, {'@': 249}), 17: (1, {'@': 249}), 23: (1, {'@': 249}), 24: (1, {'@': 249}), 36: (1, {'@': 249}), 25: (1, {'@': 249}), 37: (1, {'@': 249}), 38: (1, {'@': 249}), 39: (1, {'@': 249}), 31: (1, {'@': 249}), 32: (1, {'@': 249}), 33: (1, {'@': 249}), 40: (1, {'@': 249}), 41: (1, {'@': 249}), 34: (1, {'@': 249}), 42: (1, {'@': 249}), 43: (1, {'@': 249}), 19: (1, {'@': 249}), 21: (1, {'@': 249}), 2: (1, {'@': 249}), 22: (1, {'@': 249}), 44: (1, {'@': 249}), 16: (1, {'@': 249}), 45: (1, {'@': 249}), 0: (1, {'@': 249}), 4: (1, {'@': 249}), 46: (1, {'@': 249}), 18: (1, {'@': 249}), 26: (1, {'@': 249}), 47: (1, {'@': 249}), 48: (1, {'@': 249}), 29: (1, {'@': 249}), 1: (1, {'@': 249}), 49: (1, {'@': 249}), 30: (1, {'@': 249}), 50: (1, {'@': 249}), 51: (1, {'@': 249}), 52: (1, {'@': 249})}, 397: {21: (0, 446)}, 398: {35: (1, {'@': 250}), 20: (1, {'@': 250}), 14: (1, {'@': 250}), 17: (1, {'@': 250}), 23: (1, {'@': 250}), 24: (1, {'@': 250}), 36: (1, {'@': 250}), 25: (1, {'@': 250}), 37: (1, {'@': 250}), 38: (1, {'@': 250}), 39: (1, {'@': 250}), 31: (1, {'@': 250}), 32: (1, {'@': 250}), 33: (1, {'@': 250}), 40: (1, {'@': 250}), 41: (1, {'@': 250}), 34: (1, {'@': 250}), 42: (1, {'@': 250}), 43: (1, {'@': 250}), 19: (1, {'@': 250}), 21: (1, {'@': 250}), 2: (1, {'@': 250}), 22: (1, {'@': 250}), 44: (1, {'@': 250}), 16: (1, {'@': 250}), 45: (1, {'@': 250}), 0: (1, {'@': 250}), 4: (1, {'@': 250}), 46: (1, {'@': 250}), 18: (1, {'@': 250}), 26: (1, {'@': 250}), 47: (1, {'@': 250}), 48: (1, {'@': 250}), 29: (1, {'@': 250}), 1: (1, {'@': 250}), 49: (1, {'@': 250}), 30: (1, {'@': 250}), 50: (1, {'@': 250}), 51: (1, {'@': 250}), 52: (1, {'@': 250})}, 399: {35: (1, {'@': 251}), 20: (1, {'@': 251}), 14: (1, {'@': 251}), 17: (1, {'@': 251}), 23: (1, {'@': 251}), 24: (1, {'@': 251}), 36: (1, {'@': 251}), 25: (1, {'@': 251}), 37: (1, {'@': 251}), 38: (1, {'@': 251}), 39: (1, {'@': 251}), 31: (1, {'@': 251}), 32: (1, {'@': 251}), 33: (1, {'@': 251}), 40: (1, {'@': 251}), 41: (1, {'@': 251}), 34: (1, {'@': 251}), 42: (1, {'@': 251}), 43: (1, {'@': 251}), 19: (1, {'@': 251}), 21: (1, {'@': 251}), 2: (1, {'@': 251}), 22: (1, {'@': 251}), 44: (1, {'@': 251}), 16: (1, {'@': 251}), 45: (1, {'@': 251}), 0: (1, {'@': 251}), 4: (1, {'@': 251}), 46: (1, {'@': 251}), 18: (1, {'@': 251}), 26: (1, {'@': 251}), 47: (1, {'@': 251}), 48: (1, {'@': 251}), 29: (1, {'@': 251}), 1: (1, {'@': 251}), 49: (1, {'@': 251}), 30: (1, {'@': 251}), 50: (1, {'@': 251}), 51: (1, {'@': 251}), 52: (1, {'@': 251})}, 400: {21: (0, 447)}, 401: {35: (1, {'@': 252}), 20: (1, {'@': 252}), 14: (1, {'@': 252}), 17: (1, {'@': 252}), 23: (1, {'@': 252}), 24: (1, {'@': 252}), 36: (1, {'@': 252}), 25: (1, {'@': 252}), 37: (1, {'@': 252}), 38: (1, {'@': 252}), 39: (1, {'@': 252}), 31: (1, {'@': 252}), 32: (1, {'@': 252}), 33: (1, {'@': 252}), 40: (1, {'@': 252}), 41: (1, {'@': 252}), 34: (1, {'@': 252}), 42: (1, {'@': 252}), 43: (1, {'@': 252}), 19: (1, {'@': 252}), 21: (1, {'@': 252}), 2: (1, {'@': 252}), 22: (1, {'@': 252}), 44: (1, {'@': 252}), 16: (1, {'@': 252}), 45: (1, {'@': 252}), 0: (1, {'@': 252}), 4: (1, {'@': 252}), 46: (1, {'@': 252}), 18: (1, {'@': 252}), 26: (1, {'@': 252}), 47: (1, {'@': 252}), 48: (1, {'@': 252}), 29: (1, {'@': 252}), 1: (1, {'@': 252}), 49: (1, {'@': 252}), 30: (1, {'@': 252}), 50: (1, {'@': 252}), 51: (1, {'@': 252}), 52: (1, {'@': 252})}, 402: {21: (0, 448)}, 403: {6: (0, 2), 1: (0, 12), 2: (0, 6), 4: (0, 10), 8: (0, 449), 21: (0, 450)}, 404: {35: (1, {'@': 253}), 20: (1, {'@': 253}), 14: (1, {'@': 253}), 17: (1, {'@': 253}), 23: (1, {'@': 253}), 24: (1, {'@': 253}), 36: (1, {'@': 253}), 25: (1, {'@': 253}), 37: (1, {'@': 253}), 38: (1, {'@': 253}), 39: (1, {'@': 253}), 31: (1, {'@': 253}), 32: (1, {'@': 253}), 33: (1, {'@': 253}), 40: (1, {'@': 253}), 41: (1, {'@': 253}), 34: (1, {'@': 253}), 42: (1, {'@': 253}), 43: (1, {'@': 253}), 19: (1, {'@': 253}), 21: (1, {'@': 253}), 2: (1, {'@': 253}), 22: (1, {'@': 253}), 44: (1, {'@': 253}), 16: (1, {'@': 253}), 45: (1, {'@': 253}), 0: (1, {'@': 253}), 4: (1, {'@': 253}), 46: (1, {'@': 253}), 18: (1, {'@': 253}), 26: (1, {'@': 253}), 47: (1, {'@': 253}), 48: (1, {'@': 253}), 29: (1, {'@': 253}), 1: (1, {'@': 253}), 49: (1, {'@': 253}), 30: (1, {'@': 253}), 50: (1, {'@': 253}), 51: (1, {'@': 253}), 52: (1, {'@': 253})}, 405: {35: (1, {'@': 254}), 20: (1, {'@': 254}), 14: (1, {'@': 254}), 17: (1, {'@': 254}), 23: (1, {'@': 254}), 24: (1, {'@': 254}), 36: (1, {'@': 254}), 25: (1, {'@': 254}), 37: (1, {'@': 254}), 38: (1, {'@': 254}), 39: (1, {'@': 254}), 31: (1, {'@': 254}), 32: (1, {'@': 254}), 33: (1, {'@': 254}), 40: (1, {'@': 254}), 41: (1, {'@': 254}), 34: (1, {'@': 254}), 42: (1, {'@': 254}), 43: (1, {'@': 254}), 19: (1, {'@': 254}), 21: (1, {'@': 254}), 2: (1, {'@': 254}), 22: (1, {'@': 254}), 44: (1, {'@': 254}), 16: (1, {'@': 254}), 45: (1, {'@': 254}), 0: (1, {'@': 254}), 4: (1, {'@': 254}), 46: (1, {'@': 254}), 18: (1, {'@': 254}), 26: (1, {'@': 254}), 47: (1, {'@': 254}), 48: (1, {'@': 254}), 29: (1, {'@': 254}), 1: (1, {'@': 254}), 49: (1, {'@': 254}), 30: (1, {'@': 254}), 50: (1, {'@': 254}), 51: (1, {'@': 254}), 52: (1, {'@': 254})}, 406: {21: (0, 451)}, 407: {35: (1, {'@': 255}), 20: (1, {'@': 255}), 14: (1, {'@': 255}), 17: (1, {'@': 255}), 23: (1, {'@': 255}), 24: (1, {'@': 255}), 36: (1, {'@': 255}), 25: (1, {'@': 255}), 37: (1, {'@': 255}), 38: (1, {'@': 255}), 39: (1, {'@': 255}), 31: (1, {'@': 255}), 32: (1, {'@': 255}), 33: (1, {'@': 255}), 40: (1, {'@': 255}), 41: (1, {'@': 255}), 34: (1, {'@': 255}), 42: (1, {'@': 255}), 43: (1, {'@': 255}), 19: (1, {'@': 255}), 21: (1, {'@': 255}), 2: (1, {'@': 255}), 22: (1, {'@': 255}), 44: (1, {'@': 255}), 16: (1, {'@': 255}), 45: (1, {'@': 255}), 0: (1, {'@': 255}), 4: (1, {'@': 255}), 46: (1, {'@': 255}), 18: (1, {'@': 255}), 26: (1, {'@': 255}), 47: (1, {'@': 255}), 48: (1, {'@': 255}), 29: (1, {'@': 255}), 1: (1, {'@': 255}), 49: (1, {'@': 255}), 30: (1, {'@': 255}), 50: (1, {'@': 255}), 51: (1, {'@': 255}), 52: (1, {'@': 255})}, 408: {35: (1, {'@': 256}), 20: (1, {'@': 256}), 14: (1, {'@': 256}), 17: (1, {'@': 256}), 23: (1, {'@': 256}), 24: (1, {'@': 256}), 36: (1, {'@': 256}), 25: (1, {'@': 256}), 37: (1, {'@': 256}), 38: (1, {'@': 256}), 39: (1, {'@': 256}), 31: (1, {'@': 256}), 32: (1, {'@': 256}), 33: (1, {'@': 256}), 40: (1, {'@': 256}), 41: (1, {'@': 256}), 34: (1, {'@': 256}), 42: (1, {'@': 256}), 43: (1, {'@': 256}), 19: (1, {'@': 256}), 21: (1, {'@': 256}), 2: (1, {'@': 256}), 22: (1, {'@': 256}), 44: (1, {'@': 256}), 16: (1, {'@': 256}), 45: (1, {'@': 256}), 0: (1, {'@': 256}), 4: (1, {'@': 256}), 46: (1, {'@': 256}), 18: (1, {'@': 256}), 26: (1, {'@': 256}), 47: (1, {'@': 256}), 48: (1, {'@': 256}), 29: (1, {'@': 256}), 1: (1, {'@': 256}), 49: (1, {'@': 256}), 30: (1, {'@': 256}), 50: (1, {'@': 256}), 51: (1, {'@': 256}), 52: (1, {'@': 256})}, 409: {35: (1, {'@': 257}), 20: (1, {'@': 257}), 14: (1, {'@': 257}), 17: (1, {'@': 257}), 23: (1, {'@': 257}), 24: (1, {'@': 257}), 36: (1, {'@': 257}), 25: (1, {'@': 257}), 37: (1, {'@': 257}), 38: (1, {'@': 257}), 39: (1, {'@': 257}), 31: (1, {'@': 257}), 32: (1, {'@': 257}), 33: (1, {'@': 257}), 40: (1, {'@': 257}), 41: (1, {'@': 257}), 34: (1, {'@': 257}), 42: (1, {'@': 257}), 43: (1, {'@': 257}), 19: (1, {'@': 257}), 21: (1, {'@': 257}), 2: (1, {'@': 257}), 22: (1, {'@': 257}), 44: (1, {'@': 257}), 16: (1, {'@': 257}), 45: (1, {'@': 257}), 0: (1, {'@': 257}), 4: (1, {'@': 257}), 46: (1, {'@': 257}), 18: (1, {'@': 257}), 26: (1, {'@': 257}), 47: (1, {'@': 257}), 48: (1, {'@': 257}), 29: (1, {'@': 257}), 1: (1, {'@': 257}), 49: (1, {'@': 257}), 30: (1, {'@': 257}), 50: (1, {'@': 257}), 51: (1, {'@': 257}), 52: (1, {'@': 257})}, 410: {19: (1, {'@': 258}), 20: (1, {'@': 258}), 21: (1, {'@': 258}), 1: (1, {'@': 258}), 2: (1, {'@': 258}), 45: (1, {'@': 258}), 4: (1, {'@': 258}), 46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 411: {35: (1, {'@': 259}), 20: (1, {'@': 259}), 14: (1, {'@': 259}), 17: (1, {'@': 259}), 23: (1, {'@': 259}), 24: (1, {'@': 259}), 36: (1, {'@': 259}), 25: (1, {'@': 259}), 37: (1, {'@': 259}), 38: (1, {'@': 259}), 39: (1, {'@': 259}), 31: (1, {'@': 259}), 32: (1, {'@': 259}), 33: (1, {'@': 259}), 40: (1, {'@': 259}), 41: (1, {'@': 259}), 34: (1, {'@': 259}), 42: (1, {'@': 259}), 43: (1, {'@': 259}), 19: (1, {'@': 259}), 21: (1, {'@': 259}), 2: (1, {'@': 259}), 22: (1, {'@': 259}), 44: (1, {'@': 259}), 16: (1, {'@': 259}), 45: (1, {'@': 259}), 0: (1, {'@': 259}), 4: (1, {'@': 259}), 46: (1, {'@': 259}), 18: (1, {'@': 259}), 26: (1, {'@': 259}), 47: (1, {'@': 259}), 48: (1, {'@': 259}), 29: (1, {'@': 259}), 1: (1, {'@': 259}), 49: (1, {'@': 259}), 30: (1, {'@': 259}), 50: (1, {'@': 259}), 51: (1, {'@': 259}), 52: (1, {'@': 259})}, 412: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 6: (0, 2), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 452), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 8: (0, 453), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 413: {28: (0, 454)}, 414: {46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 44: (0, 455), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 415: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 456), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 416: {14: (1, {'@': 260}), 17: (1, {'@': 260}), 2: (0, 6), 22: (1, {'@': 260}), 23: (1, {'@': 260}), 16: (1, {'@': 260}), 24: (1, {'@': 260}), 4: (0, 10), 25: (1, {'@': 260}), 26: (1, {'@': 260}), 29: (1, {'@': 260}), 1: (0, 12), 30: (1, {'@': 260}), 31: (1, {'@': 260}), 32: (1, {'@': 260}), 33: (1, {'@': 260}), 6: (0, 2), 8: (0, 457)}, 417: {14: (1, {'@': 261}), 17: (1, {'@': 261}), 2: (1, {'@': 261}), 22: (1, {'@': 261}), 23: (1, {'@': 261}), 16: (1, {'@': 261}), 24: (1, {'@': 261}), 4: (1, {'@': 261}), 25: (1, {'@': 261}), 26: (1, {'@': 261}), 29: (1, {'@': 261}), 1: (1, {'@': 261}), 30: (1, {'@': 261}), 31: (1, {'@': 261}), 32: (1, {'@': 261}), 33: (1, {'@': 261})}, 418: {14: (1, {'@': 262}), 17: (1, {'@': 262}), 2: (0, 6), 22: (1, {'@': 262}), 23: (1, {'@': 262}), 16: (1, {'@': 262}), 24: (1, {'@': 262}), 4: (0, 10), 25: (1, {'@': 262}), 26: (1, {'@': 262}), 29: (1, {'@': 262}), 1: (0, 12), 30: (1, {'@': 262}), 31: (1, {'@': 262}), 32: (1, {'@': 262}), 33: (1, {'@': 262}), 6: (0, 2), 8: (0, 458)}, 419: {46: (0, 98), 35: (0, 99), 44: (0, 459), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 39: (0, 107), 38: (0, 106), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 420: {46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 44: (0, 460), 39: (0, 107), 38: (0, 106), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 421: {14: (1, {'@': 263}), 17: (1, {'@': 263}), 2: (0, 6), 22: (1, {'@': 263}), 23: (1, {'@': 263}), 16: (1, {'@': 263}), 24: (1, {'@': 263}), 4: (0, 10), 25: (1, {'@': 263}), 26: (1, {'@': 263}), 29: (1, {'@': 263}), 1: (0, 12), 30: (1, {'@': 263}), 31: (1, {'@': 263}), 32: (1, {'@': 263}), 33: (1, {'@': 263}), 6: (0, 2), 8: (0, 461)}, 422: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 462), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 423: {46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 44: (0, 463), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 424: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 60: (0, 464), 6: (0, 2), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 8: (0, 465), 33: (0, 44), 14: (0, 13), 59: (0, 45), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 425: {14: (1, {'@': 264}), 17: (1, {'@': 264}), 2: (1, {'@': 264}), 22: (1, {'@': 264}), 23: (1, {'@': 264}), 16: (1, {'@': 264}), 24: (1, {'@': 264}), 4: (1, {'@': 264}), 25: (1, {'@': 264}), 26: (1, {'@': 264}), 29: (1, {'@': 264}), 1: (1, {'@': 264}), 30: (1, {'@': 264}), 31: (1, {'@': 264}), 32: (1, {'@': 264}), 33: (1, {'@': 264})}, 426: {14: (1, {'@': 265}), 17: (1, {'@': 265}), 2: (0, 6), 22: (1, {'@': 265}), 23: (1, {'@': 265}), 16: (1, {'@': 265}), 24: (1, {'@': 265}), 4: (0, 10), 25: (1, {'@': 265}), 26: (1, {'@': 265}), 29: (1, {'@': 265}), 1: (0, 12), 30: (1, {'@': 265}), 31: (1, {'@': 265}), 32: (1, {'@': 265}), 33: (1, {'@': 265}), 6: (0, 2), 8: (0, 466)}, 427: {14: (1, {'@': 266}), 17: (1, {'@': 266}), 2: (1, {'@': 266}), 22: (1, {'@': 266}), 23: (1, {'@': 266}), 16: (1, {'@': 266}), 24: (1, {'@': 266}), 4: (1, {'@': 266}), 25: (1, {'@': 266}), 26: (1, {'@': 266}), 29: (1, {'@': 266}), 1: (1, {'@': 266}), 30: (1, {'@': 266}), 31: (1, {'@': 266}), 32: (1, {'@': 266}), 33: (1, {'@': 266})}, 428: {6: (0, 2), 90: (0, 467), 34: (0, 208), 1: (0, 12), 2: (0, 6), 8: (0, 468), 0: (0, 469), 4: (0, 10)}, 429: {6: (0, 2), 1: (0, 12), 2: (0, 6), 8: (0, 470), 0: (0, 471), 4: (0, 10)}, 430: {35: (1, {'@': 267}), 20: (1, {'@': 267}), 14: (1, {'@': 267}), 17: (1, {'@': 267}), 23: (1, {'@': 267}), 24: (1, {'@': 267}), 36: (1, {'@': 267}), 25: (1, {'@': 267}), 37: (1, {'@': 267}), 38: (1, {'@': 267}), 39: (1, {'@': 267}), 31: (1, {'@': 267}), 32: (1, {'@': 267}), 33: (1, {'@': 267}), 40: (1, {'@': 267}), 41: (1, {'@': 267}), 34: (1, {'@': 267}), 42: (1, {'@': 267}), 43: (1, {'@': 267}), 19: (1, {'@': 267}), 21: (1, {'@': 267}), 2: (1, {'@': 267}), 22: (1, {'@': 267}), 44: (1, {'@': 267}), 16: (1, {'@': 267}), 45: (1, {'@': 267}), 0: (1, {'@': 267}), 4: (1, {'@': 267}), 46: (1, {'@': 267}), 18: (1, {'@': 267}), 26: (1, {'@': 267}), 47: (1, {'@': 267}), 48: (1, {'@': 267}), 29: (1, {'@': 267}), 1: (1, {'@': 267}), 49: (1, {'@': 267}), 30: (1, {'@': 267}), 50: (1, {'@': 267}), 51: (1, {'@': 267}), 52: (1, {'@': 267})}, 431: {6: (0, 2), 8: (0, 472), 0: (0, 473), 1: (0, 12), 2: (0, 6), 4: (0, 10)}, 432: {35: (1, {'@': 268}), 20: (1, {'@': 268}), 14: (1, {'@': 268}), 17: (1, {'@': 268}), 23: (1, {'@': 268}), 24: (1, {'@': 268}), 36: (1, {'@': 268}), 25: (1, {'@': 268}), 37: (1, {'@': 268}), 38: (1, {'@': 268}), 39: (1, {'@': 268}), 31: (1, {'@': 268}), 32: (1, {'@': 268}), 33: (1, {'@': 268}), 40: (1, {'@': 268}), 41: (1, {'@': 268}), 34: (1, {'@': 268}), 42: (1, {'@': 268}), 43: (1, {'@': 268}), 19: (1, {'@': 268}), 21: (1, {'@': 268}), 2: (1, {'@': 268}), 22: (1, {'@': 268}), 44: (1, {'@': 268}), 16: (1, {'@': 268}), 45: (1, {'@': 268}), 0: (1, {'@': 268}), 4: (1, {'@': 268}), 46: (1, {'@': 268}), 18: (1, {'@': 268}), 26: (1, {'@': 268}), 47: (1, {'@': 268}), 48: (1, {'@': 268}), 29: (1, {'@': 268}), 1: (1, {'@': 268}), 49: (1, {'@': 268}), 30: (1, {'@': 268}), 50: (1, {'@': 268}), 51: (1, {'@': 268}), 52: (1, {'@': 268})}, 433: {0: (0, 474)}, 434: {0: (0, 475)}, 435: {35: (1, {'@': 269}), 20: (1, {'@': 269}), 14: (1, {'@': 269}), 17: (1, {'@': 269}), 23: (1, {'@': 269}), 24: (1, {'@': 269}), 36: (1, {'@': 269}), 25: (1, {'@': 269}), 37: (1, {'@': 269}), 38: (1, {'@': 269}), 39: (1, {'@': 269}), 31: (1, {'@': 269}), 32: (1, {'@': 269}), 33: (1, {'@': 269}), 40: (1, {'@': 269}), 41: (1, {'@': 269}), 34: (1, {'@': 269}), 42: (1, {'@': 269}), 43: (1, {'@': 269}), 19: (1, {'@': 269}), 21: (1, {'@': 269}), 2: (1, {'@': 269}), 22: (1, {'@': 269}), 44: (1, {'@': 269}), 16: (1, {'@': 269}), 45: (1, {'@': 269}), 0: (1, {'@': 269}), 4: (1, {'@': 269}), 46: (1, {'@': 269}), 18: (1, {'@': 269}), 26: (1, {'@': 269}), 47: (1, {'@': 269}), 48: (1, {'@': 269}), 29: (1, {'@': 269}), 1: (1, {'@': 269}), 49: (1, {'@': 269}), 30: (1, {'@': 269}), 50: (1, {'@': 269}), 51: (1, {'@': 269}), 52: (1, {'@': 269})}, 436: {35: (1, {'@': 270}), 20: (1, {'@': 270}), 14: (1, {'@': 270}), 17: (1, {'@': 270}), 23: (1, {'@': 270}), 24: (1, {'@': 270}), 36: (1, {'@': 270}), 25: (1, {'@': 270}), 37: (1, {'@': 270}), 38: (1, {'@': 270}), 39: (1, {'@': 270}), 31: (1, {'@': 270}), 32: (1, {'@': 270}), 33: (1, {'@': 270}), 40: (1, {'@': 270}), 41: (1, {'@': 270}), 34: (1, {'@': 270}), 42: (1, {'@': 270}), 43: (1, {'@': 270}), 19: (1, {'@': 270}), 21: (1, {'@': 270}), 2: (1, {'@': 270}), 22: (1, {'@': 270}), 44: (1, {'@': 270}), 16: (1, {'@': 270}), 45: (1, {'@': 270}), 0: (1, {'@': 270}), 4: (1, {'@': 270}), 46: (1, {'@': 270}), 18: (1, {'@': 270}), 26: (1, {'@': 270}), 47: (1, {'@': 270}), 48: (1, {'@': 270}), 29: (1, {'@': 270}), 1: (1, {'@': 270}), 49: (1, {'@': 270}), 30: (1, {'@': 270}), 50: (1, {'@': 270}), 51: (1, {'@': 270}), 52: (1, {'@': 270})}, 437: {0: (0, 476)}, 438: {35: (1, {'@': 271}), 20: (1, {'@': 271}), 14: (1, {'@': 271}), 17: (1, {'@': 271}), 23: (1, {'@': 271}), 24: (1, {'@': 271}), 36: (1, {'@': 271}), 25: (1, {'@': 271}), 37: (1, {'@': 271}), 38: (1, {'@': 271}), 39: (1, {'@': 271}), 31: (1, {'@': 271}), 32: (1, {'@': 271}), 33: (1, {'@': 271}), 40: (1, {'@': 271}), 41: (1, {'@': 271}), 34: (1, {'@': 271}), 42: (1, {'@': 271}), 43: (1, {'@': 271}), 19: (1, {'@': 271}), 21: (1, {'@': 271}), 2: (1, {'@': 271}), 22: (1, {'@': 271}), 44: (1, {'@': 271}), 16: (1, {'@': 271}), 45: (1, {'@': 271}), 0: (1, {'@': 271}), 4: (1, {'@': 271}), 46: (1, {'@': 271}), 18: (1, {'@': 271}), 26: (1, {'@': 271}), 47: (1, {'@': 271}), 48: (1, {'@': 271}), 29: (1, {'@': 271}), 1: (1, {'@': 271}), 49: (1, {'@': 271}), 30: (1, {'@': 271}), 50: (1, {'@': 271}), 51: (1, {'@': 271}), 52: (1, {'@': 271})}, 439: {35: (1, {'@': 272}), 20: (1, {'@': 272}), 14: (1, {'@': 272}), 17: (1, {'@': 272}), 23: (1, {'@': 272}), 24: (1, {'@': 272}), 36: (1, {'@': 272}), 25: (1, {'@': 272}), 37: (1, {'@': 272}), 38: (1, {'@': 272}), 39: (1, {'@': 272}), 31: (1, {'@': 272}), 32: (1, {'@': 272}), 33: (1, {'@': 272}), 40: (1, {'@': 272}), 41: (1, {'@': 272}), 34: (1, {'@': 272}), 42: (1, {'@': 272}), 43: (1, {'@': 272}), 19: (1, {'@': 272}), 21: (1, {'@': 272}), 2: (1, {'@': 272}), 22: (1, {'@': 272}), 44: (1, {'@': 272}), 16: (1, {'@': 272}), 45: (1, {'@': 272}), 0: (1, {'@': 272}), 4: (1, {'@': 272}), 46: (1, {'@': 272}), 18: (1, {'@': 272}), 26: (1, {'@': 272}), 47: (1, {'@': 272}), 48: (1, {'@': 272}), 29: (1, {'@': 272}), 1: (1, {'@': 272}), 49: (1, {'@': 272}), 30: (1, {'@': 272}), 50: (1, {'@': 272}), 51: (1, {'@': 272}), 52: (1, {'@': 272})}, 440: {8: (0, 477), 6: (0, 2), 1: (0, 12), 2: (0, 6), 0: (0, 478), 4: (0, 10)}, 441: {0: (0, 479)}, 442: {35: (1, {'@': 273}), 20: (1, {'@': 273}), 14: (1, {'@': 273}), 17: (1, {'@': 273}), 23: (1, {'@': 273}), 24: (1, {'@': 273}), 36: (1, {'@': 273}), 25: (1, {'@': 273}), 37: (1, {'@': 273}), 38: (1, {'@': 273}), 39: (1, {'@': 273}), 31: (1, {'@': 273}), 32: (1, {'@': 273}), 33: (1, {'@': 273}), 40: (1, {'@': 273}), 41: (1, {'@': 273}), 34: (1, {'@': 273}), 42: (1, {'@': 273}), 43: (1, {'@': 273}), 19: (1, {'@': 273}), 21: (1, {'@': 273}), 2: (1, {'@': 273}), 22: (1, {'@': 273}), 44: (1, {'@': 273}), 16: (1, {'@': 273}), 45: (1, {'@': 273}), 0: (1, {'@': 273}), 4: (1, {'@': 273}), 46: (1, {'@': 273}), 18: (1, {'@': 273}), 26: (1, {'@': 273}), 47: (1, {'@': 273}), 48: (1, {'@': 273}), 29: (1, {'@': 273}), 1: (1, {'@': 273}), 49: (1, {'@': 273}), 30: (1, {'@': 273}), 50: (1, {'@': 273}), 51: (1, {'@': 273}), 52: (1, {'@': 273})}, 443: {35: (1, {'@': 274}), 20: (1, {'@': 274}), 14: (1, {'@': 274}), 17: (1, {'@': 274}), 23: (1, {'@': 274}), 24: (1, {'@': 274}), 36: (1, {'@': 274}), 25: (1, {'@': 274}), 37: (1, {'@': 274}), 38: (1, {'@': 274}), 39: (1, {'@': 274}), 31: (1, {'@': 274}), 32: (1, {'@': 274}), 33: (1, {'@': 274}), 40: (1, {'@': 274}), 41: (1, {'@': 274}), 34: (1, {'@': 274}), 42: (1, {'@': 274}), 43: (1, {'@': 274}), 19: (1, {'@': 274}), 21: (1, {'@': 274}), 2: (1, {'@': 274}), 22: (1, {'@': 274}), 44: (1, {'@': 274}), 16: (1, {'@': 274}), 45: (1, {'@': 274}), 0: (1, {'@': 274}), 4: (1, {'@': 274}), 46: (1, {'@': 274}), 18: (1, {'@': 274}), 26: (1, {'@': 274}), 47: (1, {'@': 274}), 48: (1, {'@': 274}), 29: (1, {'@': 274}), 1: (1, {'@': 274}), 49: (1, {'@': 274}), 30: (1, {'@': 274}), 50: (1, {'@': 274}), 51: (1, {'@': 274}), 52: (1, {'@': 274})}, 444: {0: (0, 480)}, 445: {35: (1, {'@': 275}), 20: (1, {'@': 275}), 14: (1, {'@': 275}), 17: (1, {'@': 275}), 23: (1, {'@': 275}), 24: (1, {'@': 275}), 36: (1, {'@': 275}), 25: (1, {'@': 275}), 37: (1, {'@': 275}), 38: (1, {'@': 275}), 39: (1, {'@': 275}), 31: (1, {'@': 275}), 32: (1, {'@': 275}), 33: (1, {'@': 275}), 40: (1, {'@': 275}), 41: (1, {'@': 275}), 34: (1, {'@': 275}), 42: (1, {'@': 275}), 43: (1, {'@': 275}), 19: (1, {'@': 275}), 21: (1, {'@': 275}), 2: (1, {'@': 275}), 22: (1, {'@': 275}), 44: (1, {'@': 275}), 16: (1, {'@': 275}), 45: (1, {'@': 275}), 0: (1, {'@': 275}), 4: (1, {'@': 275}), 46: (1, {'@': 275}), 18: (1, {'@': 275}), 26: (1, {'@': 275}), 47: (1, {'@': 275}), 48: (1, {'@': 275}), 29: (1, {'@': 275}), 1: (1, {'@': 275}), 49: (1, {'@': 275}), 30: (1, {'@': 275}), 50: (1, {'@': 275}), 51: (1, {'@': 275}), 52: (1, {'@': 275})}, 446: {35: (1, {'@': 276}), 20: (1, {'@': 276}), 14: (1, {'@': 276}), 17: (1, {'@': 276}), 23: (1, {'@': 276}), 24: (1, {'@': 276}), 36: (1, {'@': 276}), 25: (1, {'@': 276}), 37: (1, {'@': 276}), 38: (1, {'@': 276}), 39: (1, {'@': 276}), 31: (1, {'@': 276}), 32: (1, {'@': 276}), 33: (1, {'@': 276}), 40: (1, {'@': 276}), 41: (1, {'@': 276}), 34: (1, {'@': 276}), 42: (1, {'@': 276}), 43: (1, {'@': 276}), 19: (1, {'@': 276}), 21: (1, {'@': 276}), 2: (1, {'@': 276}), 22: (1, {'@': 276}), 44: (1, {'@': 276}), 16: (1, {'@': 276}), 45: (1, {'@': 276}), 0: (1, {'@': 276}), 4: (1, {'@': 276}), 46: (1, {'@': 276}), 18: (1, {'@': 276}), 26: (1, {'@': 276}), 47: (1, {'@': 276}), 48: (1, {'@': 276}), 29: (1, {'@': 276}), 1: (1, {'@': 276}), 49: (1, {'@': 276}), 30: (1, {'@': 276}), 50: (1, {'@': 276}), 51: (1, {'@': 276}), 52: (1, {'@': 276})}, 447: {35: (1, {'@': 277}), 20: (1, {'@': 277}), 14: (1, {'@': 277}), 17: (1, {'@': 277}), 23: (1, {'@': 277}), 24: (1, {'@': 277}), 36: (1, {'@': 277}), 25: (1, {'@': 277}), 37: (1, {'@': 277}), 38: (1, {'@': 277}), 39: (1, {'@': 277}), 31: (1, {'@': 277}), 32: (1, {'@': 277}), 33: (1, {'@': 277}), 40: (1, {'@': 277}), 41: (1, {'@': 277}), 34: (1, {'@': 277}), 42: (1, {'@': 277}), 43: (1, {'@': 277}), 19: (1, {'@': 277}), 21: (1, {'@': 277}), 2: (1, {'@': 277}), 22: (1, {'@': 277}), 44: (1, {'@': 277}), 16: (1, {'@': 277}), 45: (1, {'@': 277}), 0: (1, {'@': 277}), 4: (1, {'@': 277}), 46: (1, {'@': 277}), 18: (1, {'@': 277}), 26: (1, {'@': 277}), 47: (1, {'@': 277}), 48: (1, {'@': 277}), 29: (1, {'@': 277}), 1: (1, {'@': 277}), 49: (1, {'@': 277}), 30: (1, {'@': 277}), 50: (1, {'@': 277}), 51: (1, {'@': 277}), 52: (1, {'@': 277})}, 448: {35: (1, {'@': 278}), 20: (1, {'@': 278}), 14: (1, {'@': 278}), 17: (1, {'@': 278}), 23: (1, {'@': 278}), 24: (1, {'@': 278}), 36: (1, {'@': 278}), 25: (1, {'@': 278}), 37: (1, {'@': 278}), 38: (1, {'@': 278}), 39: (1, {'@': 278}), 31: (1, {'@': 278}), 32: (1, {'@': 278}), 33: (1, {'@': 278}), 40: (1, {'@': 278}), 41: (1, {'@': 278}), 34: (1, {'@': 278}), 42: (1, {'@': 278}), 43: (1, {'@': 278}), 19: (1, {'@': 278}), 21: (1, {'@': 278}), 2: (1, {'@': 278}), 22: (1, {'@': 278}), 44: (1, {'@': 278}), 16: (1, {'@': 278}), 45: (1, {'@': 278}), 0: (1, {'@': 278}), 4: (1, {'@': 278}), 46: (1, {'@': 278}), 18: (1, {'@': 278}), 26: (1, {'@': 278}), 47: (1, {'@': 278}), 48: (1, {'@': 278}), 29: (1, {'@': 278}), 1: (1, {'@': 278}), 49: (1, {'@': 278}), 30: (1, {'@': 278}), 50: (1, {'@': 278}), 51: (1, {'@': 278}), 52: (1, {'@': 278})}, 449: {21: (0, 481)}, 450: {35: (1, {'@': 279}), 20: (1, {'@': 279}), 14: (1, {'@': 279}), 17: (1, {'@': 279}), 23: (1, {'@': 279}), 24: (1, {'@': 279}), 36: (1, {'@': 279}), 25: (1, {'@': 279}), 37: (1, {'@': 279}), 38: (1, {'@': 279}), 39: (1, {'@': 279}), 31: (1, {'@': 279}), 32: (1, {'@': 279}), 33: (1, {'@': 279}), 40: (1, {'@': 279}), 41: (1, {'@': 279}), 34: (1, {'@': 279}), 42: (1, {'@': 279}), 43: (1, {'@': 279}), 19: (1, {'@': 279}), 21: (1, {'@': 279}), 2: (1, {'@': 279}), 22: (1, {'@': 279}), 44: (1, {'@': 279}), 16: (1, {'@': 279}), 45: (1, {'@': 279}), 0: (1, {'@': 279}), 4: (1, {'@': 279}), 46: (1, {'@': 279}), 18: (1, {'@': 279}), 26: (1, {'@': 279}), 47: (1, {'@': 279}), 48: (1, {'@': 279}), 29: (1, {'@': 279}), 1: (1, {'@': 279}), 49: (1, {'@': 279}), 30: (1, {'@': 279}), 50: (1, {'@': 279}), 51: (1, {'@': 279}), 52: (1, {'@': 279})}, 451: {35: (1, {'@': 280}), 20: (1, {'@': 280}), 14: (1, {'@': 280}), 17: (1, {'@': 280}), 23: (1, {'@': 280}), 24: (1, {'@': 280}), 36: (1, {'@': 280}), 25: (1, {'@': 280}), 37: (1, {'@': 280}), 38: (1, {'@': 280}), 39: (1, {'@': 280}), 31: (1, {'@': 280}), 32: (1, {'@': 280}), 33: (1, {'@': 280}), 40: (1, {'@': 280}), 41: (1, {'@': 280}), 34: (1, {'@': 280}), 42: (1, {'@': 280}), 43: (1, {'@': 280}), 19: (1, {'@': 280}), 21: (1, {'@': 280}), 2: (1, {'@': 280}), 22: (1, {'@': 280}), 44: (1, {'@': 280}), 16: (1, {'@': 280}), 45: (1, {'@': 280}), 0: (1, {'@': 280}), 4: (1, {'@': 280}), 46: (1, {'@': 280}), 18: (1, {'@': 280}), 26: (1, {'@': 280}), 47: (1, {'@': 280}), 48: (1, {'@': 280}), 29: (1, {'@': 280}), 1: (1, {'@': 280}), 49: (1, {'@': 280}), 30: (1, {'@': 280}), 50: (1, {'@': 280}), 51: (1, {'@': 280}), 52: (1, {'@': 280})}, 452: {46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 44: (0, 482), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 453: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 60: (0, 483), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 454: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 6: (0, 2), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 484), 8: (0, 485), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 2: (0, 6), 4: (0, 10), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 1: (0, 12), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 455: {14: (1, {'@': 281}), 17: (1, {'@': 281}), 2: (0, 6), 22: (1, {'@': 281}), 23: (1, {'@': 281}), 16: (1, {'@': 281}), 24: (1, {'@': 281}), 4: (0, 10), 25: (1, {'@': 281}), 26: (1, {'@': 281}), 29: (1, {'@': 281}), 1: (0, 12), 30: (1, {'@': 281}), 31: (1, {'@': 281}), 32: (1, {'@': 281}), 33: (1, {'@': 281}), 6: (0, 2), 8: (0, 486)}, 456: {46: (0, 98), 35: (0, 99), 40: (0, 100), 44: (0, 487), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 457: {14: (1, {'@': 282}), 17: (1, {'@': 282}), 2: (1, {'@': 282}), 22: (1, {'@': 282}), 23: (1, {'@': 282}), 16: (1, {'@': 282}), 24: (1, {'@': 282}), 4: (1, {'@': 282}), 25: (1, {'@': 282}), 26: (1, {'@': 282}), 29: (1, {'@': 282}), 1: (1, {'@': 282}), 30: (1, {'@': 282}), 31: (1, {'@': 282}), 32: (1, {'@': 282}), 33: (1, {'@': 282})}, 458: {14: (1, {'@': 283}), 17: (1, {'@': 283}), 2: (1, {'@': 283}), 22: (1, {'@': 283}), 23: (1, {'@': 283}), 16: (1, {'@': 283}), 24: (1, {'@': 283}), 4: (1, {'@': 283}), 25: (1, {'@': 283}), 26: (1, {'@': 283}), 29: (1, {'@': 283}), 1: (1, {'@': 283}), 30: (1, {'@': 283}), 31: (1, {'@': 283}), 32: (1, {'@': 283}), 33: (1, {'@': 283})}, 459: {14: (1, {'@': 284}), 17: (1, {'@': 284}), 2: (0, 6), 22: (1, {'@': 284}), 23: (1, {'@': 284}), 16: (1, {'@': 284}), 24: (1, {'@': 284}), 4: (0, 10), 25: (1, {'@': 284}), 26: (1, {'@': 284}), 29: (1, {'@': 284}), 1: (0, 12), 30: (1, {'@': 284}), 31: (1, {'@': 284}), 32: (1, {'@': 284}), 33: (1, {'@': 284}), 6: (0, 2), 8: (0, 488)}, 460: {14: (1, {'@': 285}), 17: (1, {'@': 285}), 2: (0, 6), 22: (1, {'@': 285}), 23: (1, {'@': 285}), 16: (1, {'@': 285}), 24: (1, {'@': 285}), 4: (0, 10), 25: (1, {'@': 285}), 26: (1, {'@': 285}), 29: (1, {'@': 285}), 1: (0, 12), 30: (1, {'@': 285}), 31: (1, {'@': 285}), 32: (1, {'@': 285}), 33: (1, {'@': 285}), 6: (0, 2), 8: (0, 489)}, 461: {14: (1, {'@': 286}), 17: (1, {'@': 286}), 2: (1, {'@': 286}), 22: (1, {'@': 286}), 23: (1, {'@': 286}), 16: (1, {'@': 286}), 24: (1, {'@': 286}), 4: (1, {'@': 286}), 25: (1, {'@': 286}), 26: (1, {'@': 286}), 29: (1, {'@': 286}), 1: (1, {'@': 286}), 30: (1, {'@': 286}), 31: (1, {'@': 286}), 32: (1, {'@': 286}), 33: (1, {'@': 286})}, 462: {46: (0, 98), 35: (0, 99), 44: (0, 490), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 39: (0, 107), 38: (0, 106), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 463: {14: (1, {'@': 287}), 17: (1, {'@': 287}), 2: (0, 6), 22: (1, {'@': 287}), 23: (1, {'@': 287}), 16: (1, {'@': 287}), 24: (1, {'@': 287}), 4: (0, 10), 25: (1, {'@': 287}), 26: (1, {'@': 287}), 29: (1, {'@': 287}), 1: (0, 12), 30: (1, {'@': 287}), 31: (1, {'@': 287}), 32: (1, {'@': 287}), 33: (1, {'@': 287}), 6: (0, 2), 8: (0, 491)}, 464: {46: (0, 98), 35: (0, 99), 44: (0, 492), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 465: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 493), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 466: {14: (1, {'@': 288}), 17: (1, {'@': 288}), 2: (1, {'@': 288}), 22: (1, {'@': 288}), 23: (1, {'@': 288}), 16: (1, {'@': 288}), 24: (1, {'@': 288}), 4: (1, {'@': 288}), 25: (1, {'@': 288}), 26: (1, {'@': 288}), 29: (1, {'@': 288}), 1: (1, {'@': 288}), 30: (1, {'@': 288}), 31: (1, {'@': 288}), 32: (1, {'@': 288}), 33: (1, {'@': 288})}, 467: {8: (0, 494), 6: (0, 2), 1: (0, 12), 0: (0, 495), 2: (0, 6), 4: (0, 10)}, 468: {0: (0, 496)}, 469: {35: (1, {'@': 289}), 20: (1, {'@': 289}), 14: (1, {'@': 289}), 17: (1, {'@': 289}), 23: (1, {'@': 289}), 24: (1, {'@': 289}), 36: (1, {'@': 289}), 25: (1, {'@': 289}), 37: (1, {'@': 289}), 38: (1, {'@': 289}), 39: (1, {'@': 289}), 31: (1, {'@': 289}), 32: (1, {'@': 289}), 33: (1, {'@': 289}), 40: (1, {'@': 289}), 41: (1, {'@': 289}), 34: (1, {'@': 289}), 42: (1, {'@': 289}), 43: (1, {'@': 289}), 19: (1, {'@': 289}), 21: (1, {'@': 289}), 2: (1, {'@': 289}), 22: (1, {'@': 289}), 44: (1, {'@': 289}), 16: (1, {'@': 289}), 45: (1, {'@': 289}), 0: (1, {'@': 289}), 4: (1, {'@': 289}), 46: (1, {'@': 289}), 18: (1, {'@': 289}), 26: (1, {'@': 289}), 47: (1, {'@': 289}), 48: (1, {'@': 289}), 29: (1, {'@': 289}), 1: (1, {'@': 289}), 49: (1, {'@': 289}), 30: (1, {'@': 289}), 50: (1, {'@': 289}), 51: (1, {'@': 289}), 52: (1, {'@': 289})}, 470: {0: (0, 497)}, 471: {35: (1, {'@': 290}), 20: (1, {'@': 290}), 14: (1, {'@': 290}), 17: (1, {'@': 290}), 23: (1, {'@': 290}), 24: (1, {'@': 290}), 36: (1, {'@': 290}), 25: (1, {'@': 290}), 37: (1, {'@': 290}), 38: (1, {'@': 290}), 39: (1, {'@': 290}), 31: (1, {'@': 290}), 32: (1, {'@': 290}), 33: (1, {'@': 290}), 40: (1, {'@': 290}), 41: (1, {'@': 290}), 34: (1, {'@': 290}), 42: (1, {'@': 290}), 43: (1, {'@': 290}), 19: (1, {'@': 290}), 21: (1, {'@': 290}), 2: (1, {'@': 290}), 22: (1, {'@': 290}), 44: (1, {'@': 290}), 16: (1, {'@': 290}), 45: (1, {'@': 290}), 0: (1, {'@': 290}), 4: (1, {'@': 290}), 46: (1, {'@': 290}), 18: (1, {'@': 290}), 26: (1, {'@': 290}), 47: (1, {'@': 290}), 48: (1, {'@': 290}), 29: (1, {'@': 290}), 1: (1, {'@': 290}), 49: (1, {'@': 290}), 30: (1, {'@': 290}), 50: (1, {'@': 290}), 51: (1, {'@': 290}), 52: (1, {'@': 290})}, 472: {0: (0, 498)}, 473: {35: (1, {'@': 291}), 20: (1, {'@': 291}), 14: (1, {'@': 291}), 17: (1, {'@': 291}), 23: (1, {'@': 291}), 24: (1, {'@': 291}), 36: (1, {'@': 291}), 25: (1, {'@': 291}), 37: (1, {'@': 291}), 38: (1, {'@': 291}), 39: (1, {'@': 291}), 31: (1, {'@': 291}), 32: (1, {'@': 291}), 33: (1, {'@': 291}), 40: (1, {'@': 291}), 41: (1, {'@': 291}), 34: (1, {'@': 291}), 42: (1, {'@': 291}), 43: (1, {'@': 291}), 19: (1, {'@': 291}), 21: (1, {'@': 291}), 2: (1, {'@': 291}), 22: (1, {'@': 291}), 44: (1, {'@': 291}), 16: (1, {'@': 291}), 45: (1, {'@': 291}), 0: (1, {'@': 291}), 4: (1, {'@': 291}), 46: (1, {'@': 291}), 18: (1, {'@': 291}), 26: (1, {'@': 291}), 47: (1, {'@': 291}), 48: (1, {'@': 291}), 29: (1, {'@': 291}), 1: (1, {'@': 291}), 49: (1, {'@': 291}), 30: (1, {'@': 291}), 50: (1, {'@': 291}), 51: (1, {'@': 291}), 52: (1, {'@': 291})}, 474: {35: (1, {'@': 292}), 20: (1, {'@': 292}), 14: (1, {'@': 292}), 17: (1, {'@': 292}), 23: (1, {'@': 292}), 24: (1, {'@': 292}), 36: (1, {'@': 292}), 25: (1, {'@': 292}), 37: (1, {'@': 292}), 38: (1, {'@': 292}), 39: (1, {'@': 292}), 31: (1, {'@': 292}), 32: (1, {'@': 292}), 33: (1, {'@': 292}), 40: (1, {'@': 292}), 41: (1, {'@': 292}), 34: (1, {'@': 292}), 42: (1, {'@': 292}), 43: (1, {'@': 292}), 19: (1, {'@': 292}), 21: (1, {'@': 292}), 2: (1, {'@': 292}), 22: (1, {'@': 292}), 44: (1, {'@': 292}), 16: (1, {'@': 292}), 45: (1, {'@': 292}), 0: (1, {'@': 292}), 4: (1, {'@': 292}), 46: (1, {'@': 292}), 18: (1, {'@': 292}), 26: (1, {'@': 292}), 47: (1, {'@': 292}), 48: (1, {'@': 292}), 29: (1, {'@': 292}), 1: (1, {'@': 292}), 49: (1, {'@': 292}), 30: (1, {'@': 292}), 50: (1, {'@': 292}), 51: (1, {'@': 292}), 52: (1, {'@': 292})}, 475: {35: (1, {'@': 293}), 20: (1, {'@': 293}), 14: (1, {'@': 293}), 17: (1, {'@': 293}), 23: (1, {'@': 293}), 24: (1, {'@': 293}), 36: (1, {'@': 293}), 25: (1, {'@': 293}), 37: (1, {'@': 293}), 38: (1, {'@': 293}), 39: (1, {'@': 293}), 31: (1, {'@': 293}), 32: (1, {'@': 293}), 33: (1, {'@': 293}), 40: (1, {'@': 293}), 41: (1, {'@': 293}), 34: (1, {'@': 293}), 42: (1, {'@': 293}), 43: (1, {'@': 293}), 19: (1, {'@': 293}), 21: (1, {'@': 293}), 2: (1, {'@': 293}), 22: (1, {'@': 293}), 44: (1, {'@': 293}), 16: (1, {'@': 293}), 45: (1, {'@': 293}), 0: (1, {'@': 293}), 4: (1, {'@': 293}), 46: (1, {'@': 293}), 18: (1, {'@': 293}), 26: (1, {'@': 293}), 47: (1, {'@': 293}), 48: (1, {'@': 293}), 29: (1, {'@': 293}), 1: (1, {'@': 293}), 49: (1, {'@': 293}), 30: (1, {'@': 293}), 50: (1, {'@': 293}), 51: (1, {'@': 293}), 52: (1, {'@': 293})}, 476: {35: (1, {'@': 294}), 20: (1, {'@': 294}), 14: (1, {'@': 294}), 17: (1, {'@': 294}), 23: (1, {'@': 294}), 24: (1, {'@': 294}), 36: (1, {'@': 294}), 25: (1, {'@': 294}), 37: (1, {'@': 294}), 38: (1, {'@': 294}), 39: (1, {'@': 294}), 31: (1, {'@': 294}), 32: (1, {'@': 294}), 33: (1, {'@': 294}), 40: (1, {'@': 294}), 41: (1, {'@': 294}), 34: (1, {'@': 294}), 42: (1, {'@': 294}), 43: (1, {'@': 294}), 19: (1, {'@': 294}), 21: (1, {'@': 294}), 2: (1, {'@': 294}), 22: (1, {'@': 294}), 44: (1, {'@': 294}), 16: (1, {'@': 294}), 45: (1, {'@': 294}), 0: (1, {'@': 294}), 4: (1, {'@': 294}), 46: (1, {'@': 294}), 18: (1, {'@': 294}), 26: (1, {'@': 294}), 47: (1, {'@': 294}), 48: (1, {'@': 294}), 29: (1, {'@': 294}), 1: (1, {'@': 294}), 49: (1, {'@': 294}), 30: (1, {'@': 294}), 50: (1, {'@': 294}), 51: (1, {'@': 294}), 52: (1, {'@': 294})}, 477: {0: (0, 499)}, 478: {35: (1, {'@': 295}), 20: (1, {'@': 295}), 14: (1, {'@': 295}), 17: (1, {'@': 295}), 23: (1, {'@': 295}), 24: (1, {'@': 295}), 36: (1, {'@': 295}), 25: (1, {'@': 295}), 37: (1, {'@': 295}), 38: (1, {'@': 295}), 39: (1, {'@': 295}), 31: (1, {'@': 295}), 32: (1, {'@': 295}), 33: (1, {'@': 295}), 40: (1, {'@': 295}), 41: (1, {'@': 295}), 34: (1, {'@': 295}), 42: (1, {'@': 295}), 43: (1, {'@': 295}), 19: (1, {'@': 295}), 21: (1, {'@': 295}), 2: (1, {'@': 295}), 22: (1, {'@': 295}), 44: (1, {'@': 295}), 16: (1, {'@': 295}), 45: (1, {'@': 295}), 0: (1, {'@': 295}), 4: (1, {'@': 295}), 46: (1, {'@': 295}), 18: (1, {'@': 295}), 26: (1, {'@': 295}), 47: (1, {'@': 295}), 48: (1, {'@': 295}), 29: (1, {'@': 295}), 1: (1, {'@': 295}), 49: (1, {'@': 295}), 30: (1, {'@': 295}), 50: (1, {'@': 295}), 51: (1, {'@': 295}), 52: (1, {'@': 295})}, 479: {35: (1, {'@': 296}), 20: (1, {'@': 296}), 14: (1, {'@': 296}), 17: (1, {'@': 296}), 23: (1, {'@': 296}), 24: (1, {'@': 296}), 36: (1, {'@': 296}), 25: (1, {'@': 296}), 37: (1, {'@': 296}), 38: (1, {'@': 296}), 39: (1, {'@': 296}), 31: (1, {'@': 296}), 32: (1, {'@': 296}), 33: (1, {'@': 296}), 40: (1, {'@': 296}), 41: (1, {'@': 296}), 34: (1, {'@': 296}), 42: (1, {'@': 296}), 43: (1, {'@': 296}), 19: (1, {'@': 296}), 21: (1, {'@': 296}), 2: (1, {'@': 296}), 22: (1, {'@': 296}), 44: (1, {'@': 296}), 16: (1, {'@': 296}), 45: (1, {'@': 296}), 0: (1, {'@': 296}), 4: (1, {'@': 296}), 46: (1, {'@': 296}), 18: (1, {'@': 296}), 26: (1, {'@': 296}), 47: (1, {'@': 296}), 48: (1, {'@': 296}), 29: (1, {'@': 296}), 1: (1, {'@': 296}), 49: (1, {'@': 296}), 30: (1, {'@': 296}), 50: (1, {'@': 296}), 51: (1, {'@': 296}), 52: (1, {'@': 296})}, 480: {35: (1, {'@': 297}), 20: (1, {'@': 297}), 14: (1, {'@': 297}), 17: (1, {'@': 297}), 23: (1, {'@': 297}), 24: (1, {'@': 297}), 36: (1, {'@': 297}), 25: (1, {'@': 297}), 37: (1, {'@': 297}), 38: (1, {'@': 297}), 39: (1, {'@': 297}), 31: (1, {'@': 297}), 32: (1, {'@': 297}), 33: (1, {'@': 297}), 40: (1, {'@': 297}), 41: (1, {'@': 297}), 34: (1, {'@': 297}), 42: (1, {'@': 297}), 43: (1, {'@': 297}), 19: (1, {'@': 297}), 21: (1, {'@': 297}), 2: (1, {'@': 297}), 22: (1, {'@': 297}), 44: (1, {'@': 297}), 16: (1, {'@': 297}), 45: (1, {'@': 297}), 0: (1, {'@': 297}), 4: (1, {'@': 297}), 46: (1, {'@': 297}), 18: (1, {'@': 297}), 26: (1, {'@': 297}), 47: (1, {'@': 297}), 48: (1, {'@': 297}), 29: (1, {'@': 297}), 1: (1, {'@': 297}), 49: (1, {'@': 297}), 30: (1, {'@': 297}), 50: (1, {'@': 297}), 51: (1, {'@': 297}), 52: (1, {'@': 297})}, 481: {35: (1, {'@': 298}), 20: (1, {'@': 298}), 14: (1, {'@': 298}), 17: (1, {'@': 298}), 23: (1, {'@': 298}), 24: (1, {'@': 298}), 36: (1, {'@': 298}), 25: (1, {'@': 298}), 37: (1, {'@': 298}), 38: (1, {'@': 298}), 39: (1, {'@': 298}), 31: (1, {'@': 298}), 32: (1, {'@': 298}), 33: (1, {'@': 298}), 40: (1, {'@': 298}), 41: (1, {'@': 298}), 34: (1, {'@': 298}), 42: (1, {'@': 298}), 43: (1, {'@': 298}), 19: (1, {'@': 298}), 21: (1, {'@': 298}), 2: (1, {'@': 298}), 22: (1, {'@': 298}), 44: (1, {'@': 298}), 16: (1, {'@': 298}), 45: (1, {'@': 298}), 0: (1, {'@': 298}), 4: (1, {'@': 298}), 46: (1, {'@': 298}), 18: (1, {'@': 298}), 26: (1, {'@': 298}), 47: (1, {'@': 298}), 48: (1, {'@': 298}), 29: (1, {'@': 298}), 1: (1, {'@': 298}), 49: (1, {'@': 298}), 30: (1, {'@': 298}), 50: (1, {'@': 298}), 51: (1, {'@': 298}), 52: (1, {'@': 298})}, 482: {14: (1, {'@': 299}), 17: (1, {'@': 299}), 2: (0, 6), 22: (1, {'@': 299}), 23: (1, {'@': 299}), 16: (1, {'@': 299}), 24: (1, {'@': 299}), 4: (0, 10), 25: (1, {'@': 299}), 26: (1, {'@': 299}), 29: (1, {'@': 299}), 1: (0, 12), 30: (1, {'@': 299}), 31: (1, {'@': 299}), 32: (1, {'@': 299}), 33: (1, {'@': 299}), 6: (0, 2), 8: (0, 500)}, 483: {46: (0, 98), 44: (0, 501), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 484: {46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 44: (0, 502), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 485: {16: (0, 34), 53: (0, 35), 26: (0, 36), 5: (0, 37), 32: (0, 38), 54: (0, 39), 55: (0, 40), 56: (0, 41), 57: (0, 42), 58: (0, 43), 33: (0, 44), 14: (0, 13), 59: (0, 45), 60: (0, 503), 23: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 30: (0, 51), 64: (0, 52), 65: (0, 53), 66: (0, 54), 67: (0, 55), 17: (0, 56), 22: (0, 57), 29: (0, 58), 24: (0, 59), 68: (0, 60), 25: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 64), 31: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 486: {14: (1, {'@': 300}), 17: (1, {'@': 300}), 2: (1, {'@': 300}), 22: (1, {'@': 300}), 23: (1, {'@': 300}), 16: (1, {'@': 300}), 24: (1, {'@': 300}), 4: (1, {'@': 300}), 25: (1, {'@': 300}), 26: (1, {'@': 300}), 29: (1, {'@': 300}), 1: (1, {'@': 300}), 30: (1, {'@': 300}), 31: (1, {'@': 300}), 32: (1, {'@': 300}), 33: (1, {'@': 300})}, 487: {14: (1, {'@': 301}), 17: (1, {'@': 301}), 2: (0, 6), 22: (1, {'@': 301}), 23: (1, {'@': 301}), 16: (1, {'@': 301}), 24: (1, {'@': 301}), 4: (0, 10), 25: (1, {'@': 301}), 26: (1, {'@': 301}), 29: (1, {'@': 301}), 1: (0, 12), 30: (1, {'@': 301}), 31: (1, {'@': 301}), 32: (1, {'@': 301}), 33: (1, {'@': 301}), 6: (0, 2), 8: (0, 504)}, 488: {14: (1, {'@': 302}), 17: (1, {'@': 302}), 2: (1, {'@': 302}), 22: (1, {'@': 302}), 23: (1, {'@': 302}), 16: (1, {'@': 302}), 24: (1, {'@': 302}), 4: (1, {'@': 302}), 25: (1, {'@': 302}), 26: (1, {'@': 302}), 29: (1, {'@': 302}), 1: (1, {'@': 302}), 30: (1, {'@': 302}), 31: (1, {'@': 302}), 32: (1, {'@': 302}), 33: (1, {'@': 302})}, 489: {14: (1, {'@': 303}), 17: (1, {'@': 303}), 2: (1, {'@': 303}), 22: (1, {'@': 303}), 23: (1, {'@': 303}), 16: (1, {'@': 303}), 24: (1, {'@': 303}), 4: (1, {'@': 303}), 25: (1, {'@': 303}), 26: (1, {'@': 303}), 29: (1, {'@': 303}), 1: (1, {'@': 303}), 30: (1, {'@': 303}), 31: (1, {'@': 303}), 32: (1, {'@': 303}), 33: (1, {'@': 303})}, 490: {14: (1, {'@': 304}), 17: (1, {'@': 304}), 2: (0, 6), 22: (1, {'@': 304}), 23: (1, {'@': 304}), 16: (1, {'@': 304}), 24: (1, {'@': 304}), 4: (0, 10), 25: (1, {'@': 304}), 26: (1, {'@': 304}), 29: (1, {'@': 304}), 1: (0, 12), 30: (1, {'@': 304}), 31: (1, {'@': 304}), 32: (1, {'@': 304}), 33: (1, {'@': 304}), 6: (0, 2), 8: (0, 505)}, 491: {14: (1, {'@': 305}), 17: (1, {'@': 305}), 2: (1, {'@': 305}), 22: (1, {'@': 305}), 23: (1, {'@': 305}), 16: (1, {'@': 305}), 24: (1, {'@': 305}), 4: (1, {'@': 305}), 25: (1, {'@': 305}), 26: (1, {'@': 305}), 29: (1, {'@': 305}), 1: (1, {'@': 305}), 30: (1, {'@': 305}), 31: (1, {'@': 305}), 32: (1, {'@': 305}), 33: (1, {'@': 305})}, 492: {14: (1, {'@': 306}), 17: (1, {'@': 306}), 2: (0, 6), 22: (1, {'@': 306}), 23: (1, {'@': 306}), 16: (1, {'@': 306}), 24: (1, {'@': 306}), 4: (0, 10), 25: (1, {'@': 306}), 26: (1, {'@': 306}), 29: (1, {'@': 306}), 1: (0, 12), 30: (1, {'@': 306}), 31: (1, {'@': 306}), 32: (1, {'@': 306}), 33: (1, {'@': 306}), 6: (0, 2), 8: (0, 506)}, 493: {46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 44: (0, 507), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 494: {0: (0, 508)}, 495: {35: (1, {'@': 307}), 20: (1, {'@': 307}), 14: (1, {'@': 307}), 17: (1, {'@': 307}), 23: (1, {'@': 307}), 24: (1, {'@': 307}), 36: (1, {'@': 307}), 25: (1, {'@': 307}), 37: (1, {'@': 307}), 38: (1, {'@': 307}), 39: (1, {'@': 307}), 31: (1, {'@': 307}), 32: (1, {'@': 307}), 33: (1, {'@': 307}), 40: (1, {'@': 307}), 41: (1, {'@': 307}), 34: (1, {'@': 307}), 42: (1, {'@': 307}), 43: (1, {'@': 307}), 19: (1, {'@': 307}), 21: (1, {'@': 307}), 2: (1, {'@': 307}), 22: (1, {'@': 307}), 44: (1, {'@': 307}), 16: (1, {'@': 307}), 45: (1, {'@': 307}), 0: (1, {'@': 307}), 4: (1, {'@': 307}), 46: (1, {'@': 307}), 18: (1, {'@': 307}), 26: (1, {'@': 307}), 47: (1, {'@': 307}), 48: (1, {'@': 307}), 29: (1, {'@': 307}), 1: (1, {'@': 307}), 49: (1, {'@': 307}), 30: (1, {'@': 307}), 50: (1, {'@': 307}), 51: (1, {'@': 307}), 52: (1, {'@': 307})}, 496: {35: (1, {'@': 308}), 20: (1, {'@': 308}), 14: (1, {'@': 308}), 17: (1, {'@': 308}), 23: (1, {'@': 308}), 24: (1, {'@': 308}), 36: (1, {'@': 308}), 25: (1, {'@': 308}), 37: (1, {'@': 308}), 38: (1, {'@': 308}), 39: (1, {'@': 308}), 31: (1, {'@': 308}), 32: (1, {'@': 308}), 33: (1, {'@': 308}), 40: (1, {'@': 308}), 41: (1, {'@': 308}), 34: (1, {'@': 308}), 42: (1, {'@': 308}), 43: (1, {'@': 308}), 19: (1, {'@': 308}), 21: (1, {'@': 308}), 2: (1, {'@': 308}), 22: (1, {'@': 308}), 44: (1, {'@': 308}), 16: (1, {'@': 308}), 45: (1, {'@': 308}), 0: (1, {'@': 308}), 4: (1, {'@': 308}), 46: (1, {'@': 308}), 18: (1, {'@': 308}), 26: (1, {'@': 308}), 47: (1, {'@': 308}), 48: (1, {'@': 308}), 29: (1, {'@': 308}), 1: (1, {'@': 308}), 49: (1, {'@': 308}), 30: (1, {'@': 308}), 50: (1, {'@': 308}), 51: (1, {'@': 308}), 52: (1, {'@': 308})}, 497: {35: (1, {'@': 309}), 20: (1, {'@': 309}), 14: (1, {'@': 309}), 17: (1, {'@': 309}), 23: (1, {'@': 309}), 24: (1, {'@': 309}), 36: (1, {'@': 309}), 25: (1, {'@': 309}), 37: (1, {'@': 309}), 38: (1, {'@': 309}), 39: (1, {'@': 309}), 31: (1, {'@': 309}), 32: (1, {'@': 309}), 33: (1, {'@': 309}), 40: (1, {'@': 309}), 41: (1, {'@': 309}), 34: (1, {'@': 309}), 42: (1, {'@': 309}), 43: (1, {'@': 309}), 19: (1, {'@': 309}), 21: (1, {'@': 309}), 2: (1, {'@': 309}), 22: (1, {'@': 309}), 44: (1, {'@': 309}), 16: (1, {'@': 309}), 45: (1, {'@': 309}), 0: (1, {'@': 309}), 4: (1, {'@': 309}), 46: (1, {'@': 309}), 18: (1, {'@': 309}), 26: (1, {'@': 309}), 47: (1, {'@': 309}), 48: (1, {'@': 309}), 29: (1, {'@': 309}), 1: (1, {'@': 309}), 49: (1, {'@': 309}), 30: (1, {'@': 309}), 50: (1, {'@': 309}), 51: (1, {'@': 309}), 52: (1, {'@': 309})}, 498: {35: (1, {'@': 310}), 20: (1, {'@': 310}), 14: (1, {'@': 310}), 17: (1, {'@': 310}), 23: (1, {'@': 310}), 24: (1, {'@': 310}), 36: (1, {'@': 310}), 25: (1, {'@': 310}), 37: (1, {'@': 310}), 38: (1, {'@': 310}), 39: (1, {'@': 310}), 31: (1, {'@': 310}), 32: (1, {'@': 310}), 33: (1, {'@': 310}), 40: (1, {'@': 310}), 41: (1, {'@': 310}), 34: (1, {'@': 310}), 42: (1, {'@': 310}), 43: (1, {'@': 310}), 19: (1, {'@': 310}), 21: (1, {'@': 310}), 2: (1, {'@': 310}), 22: (1, {'@': 310}), 44: (1, {'@': 310}), 16: (1, {'@': 310}), 45: (1, {'@': 310}), 0: (1, {'@': 310}), 4: (1, {'@': 310}), 46: (1, {'@': 310}), 18: (1, {'@': 310}), 26: (1, {'@': 310}), 47: (1, {'@': 310}), 48: (1, {'@': 310}), 29: (1, {'@': 310}), 1: (1, {'@': 310}), 49: (1, {'@': 310}), 30: (1, {'@': 310}), 50: (1, {'@': 310}), 51: (1, {'@': 310}), 52: (1, {'@': 310})}, 499: {35: (1, {'@': 311}), 20: (1, {'@': 311}), 14: (1, {'@': 311}), 17: (1, {'@': 311}), 23: (1, {'@': 311}), 24: (1, {'@': 311}), 36: (1, {'@': 311}), 25: (1, {'@': 311}), 37: (1, {'@': 311}), 38: (1, {'@': 311}), 39: (1, {'@': 311}), 31: (1, {'@': 311}), 32: (1, {'@': 311}), 33: (1, {'@': 311}), 40: (1, {'@': 311}), 41: (1, {'@': 311}), 34: (1, {'@': 311}), 42: (1, {'@': 311}), 43: (1, {'@': 311}), 19: (1, {'@': 311}), 21: (1, {'@': 311}), 2: (1, {'@': 311}), 22: (1, {'@': 311}), 44: (1, {'@': 311}), 16: (1, {'@': 311}), 45: (1, {'@': 311}), 0: (1, {'@': 311}), 4: (1, {'@': 311}), 46: (1, {'@': 311}), 18: (1, {'@': 311}), 26: (1, {'@': 311}), 47: (1, {'@': 311}), 48: (1, {'@': 311}), 29: (1, {'@': 311}), 1: (1, {'@': 311}), 49: (1, {'@': 311}), 30: (1, {'@': 311}), 50: (1, {'@': 311}), 51: (1, {'@': 311}), 52: (1, {'@': 311})}, 500: {14: (1, {'@': 312}), 17: (1, {'@': 312}), 2: (1, {'@': 312}), 22: (1, {'@': 312}), 23: (1, {'@': 312}), 16: (1, {'@': 312}), 24: (1, {'@': 312}), 4: (1, {'@': 312}), 25: (1, {'@': 312}), 26: (1, {'@': 312}), 29: (1, {'@': 312}), 1: (1, {'@': 312}), 30: (1, {'@': 312}), 31: (1, {'@': 312}), 32: (1, {'@': 312}), 33: (1, {'@': 312})}, 501: {14: (1, {'@': 313}), 17: (1, {'@': 313}), 2: (0, 6), 22: (1, {'@': 313}), 23: (1, {'@': 313}), 16: (1, {'@': 313}), 24: (1, {'@': 313}), 4: (0, 10), 25: (1, {'@': 313}), 26: (1, {'@': 313}), 29: (1, {'@': 313}), 1: (0, 12), 30: (1, {'@': 313}), 31: (1, {'@': 313}), 32: (1, {'@': 313}), 33: (1, {'@': 313}), 6: (0, 2), 8: (0, 509)}, 502: {14: (1, {'@': 314}), 17: (1, {'@': 314}), 2: (0, 6), 22: (1, {'@': 314}), 23: (1, {'@': 314}), 16: (1, {'@': 314}), 24: (1, {'@': 314}), 4: (0, 10), 25: (1, {'@': 314}), 26: (1, {'@': 314}), 29: (1, {'@': 314}), 1: (0, 12), 30: (1, {'@': 314}), 31: (1, {'@': 314}), 32: (1, {'@': 314}), 33: (1, {'@': 314}), 6: (0, 2), 8: (0, 510)}, 503: {46: (0, 98), 35: (0, 99), 40: (0, 100), 82: (0, 101), 43: (0, 102), 41: (0, 104), 50: (0, 105), 38: (0, 106), 39: (0, 107), 52: (0, 108), 51: (0, 109), 47: (0, 110), 44: (0, 511), 49: (0, 111), 83: (0, 112), 29: (0, 113), 42: (0, 114)}, 504: {14: (1, {'@': 315}), 17: (1, {'@': 315}), 2: (1, {'@': 315}), 22: (1, {'@': 315}), 23: (1, {'@': 315}), 16: (1, {'@': 315}), 24: (1, {'@': 315}), 4: (1, {'@': 315}), 25: (1, {'@': 315}), 26: (1, {'@': 315}), 29: (1, {'@': 315}), 1: (1, {'@': 315}), 30: (1, {'@': 315}), 31: (1, {'@': 315}), 32: (1, {'@': 315}), 33: (1, {'@': 315})}, 505: {14: (1, {'@': 316}), 17: (1, {'@': 316}), 2: (1, {'@': 316}), 22: (1, {'@': 316}), 23: (1, {'@': 316}), 16: (1, {'@': 316}), 24: (1, {'@': 316}), 4: (1, {'@': 316}), 25: (1, {'@': 316}), 26: (1, {'@': 316}), 29: (1, {'@': 316}), 1: (1, {'@': 316}), 30: (1, {'@': 316}), 31: (1, {'@': 316}), 32: (1, {'@': 316}), 33: (1, {'@': 316})}, 506: {14: (1, {'@': 317}), 17: (1, {'@': 317}), 2: (1, {'@': 317}), 22: (1, {'@': 317}), 23: (1, {'@': 317}), 16: (1, {'@': 317}), 24: (1, {'@': 317}), 4: (1, {'@': 317}), 25: (1, {'@': 317}), 26: (1, {'@': 317}), 29: (1, {'@': 317}), 1: (1, {'@': 317}), 30: (1, {'@': 317}), 31: (1, {'@': 317}), 32: (1, {'@': 317}), 33: (1, {'@': 317})}, 507: {14: (1, {'@': 318}), 17: (1, {'@': 318}), 2: (0, 6), 22: (1, {'@': 318}), 23: (1, {'@': 318}), 16: (1, {'@': 318}), 24: (1, {'@': 318}), 4: (0, 10), 25: (1, {'@': 318}), 26: (1, {'@': 318}), 29: (1, {'@': 318}), 1: (0, 12), 30: (1, {'@': 318}), 31: (1, {'@': 318}), 32: (1, {'@': 318}), 33: (1, {'@': 318}), 6: (0, 2), 8: (0, 512)}, 508: {35: (1, {'@': 319}), 20: (1, {'@': 319}), 14: (1, {'@': 319}), 17: (1, {'@': 319}), 23: (1, {'@': 319}), 24: (1, {'@': 319}), 36: (1, {'@': 319}), 25: (1, {'@': 319}), 37: (1, {'@': 319}), 38: (1, {'@': 319}), 39: (1, {'@': 319}), 31: (1, {'@': 319}), 32: (1, {'@': 319}), 33: (1, {'@': 319}), 40: (1, {'@': 319}), 41: (1, {'@': 319}), 34: (1, {'@': 319}), 42: (1, {'@': 319}), 43: (1, {'@': 319}), 19: (1, {'@': 319}), 21: (1, {'@': 319}), 2: (1, {'@': 319}), 22: (1, {'@': 319}), 44: (1, {'@': 319}), 16: (1, {'@': 319}), 45: (1, {'@': 319}), 0: (1, {'@': 319}), 4: (1, {'@': 319}), 46: (1, {'@': 319}), 18: (1, {'@': 319}), 26: (1, {'@': 319}), 47: (1, {'@': 319}), 48: (1, {'@': 319}), 29: (1, {'@': 319}), 1: (1, {'@': 319}), 49: (1, {'@': 319}), 30: (1, {'@': 319}), 50: (1, {'@': 319}), 51: (1, {'@': 319}), 52: (1, {'@': 319})}, 509: {14: (1, {'@': 320}), 17: (1, {'@': 320}), 2: (1, {'@': 320}), 22: (1, {'@': 320}), 23: (1, {'@': 320}), 16: (1, {'@': 320}), 24: (1, {'@': 320}), 4: (1, {'@': 320}), 25: (1, {'@': 320}), 26: (1, {'@': 320}), 29: (1, {'@': 320}), 1: (1, {'@': 320}), 30: (1, {'@': 320}), 31: (1, {'@': 320}), 32: (1, {'@': 320}), 33: (1, {'@': 320})}, 510: {14: (1, {'@': 321}), 17: (1, {'@': 321}), 2: (1, {'@': 321}), 22: (1, {'@': 321}), 23: (1, {'@': 321}), 16: (1, {'@': 321}), 24: (1, {'@': 321}), 4: (1, {'@': 321}), 25: (1, {'@': 321}), 26: (1, {'@': 321}), 29: (1, {'@': 321}), 1: (1, {'@': 321}), 30: (1, {'@': 321}), 31: (1, {'@': 321}), 32: (1, {'@': 321}), 33: (1, {'@': 321})}, 511: {14: (1, {'@': 322}), 17: (1, {'@': 322}), 2: (0, 6), 22: (1, {'@': 322}), 23: (1, {'@': 322}), 16: (1, {'@': 322}), 24: (1, {'@': 322}), 4: (0, 10), 25: (1, {'@': 322}), 26: (1, {'@': 322}), 29: (1, {'@': 322}), 1: (0, 12), 30: (1, {'@': 322}), 31: (1, {'@': 322}), 32: (1, {'@': 322}), 33: (1, {'@': 322}), 6: (0, 2), 8: (0, 513)}, 512: {14: (1, {'@': 323}), 17: (1, {'@': 323}), 2: (1, {'@': 323}), 22: (1, {'@': 323}), 23: (1, {'@': 323}), 16: (1, {'@': 323}), 24: (1, {'@': 323}), 4: (1, {'@': 323}), 25: (1, {'@': 323}), 26: (1, {'@': 323}), 29: (1, {'@': 323}), 1: (1, {'@': 323}), 30: (1, {'@': 323}), 31: (1, {'@': 323}), 32: (1, {'@': 323}), 33: (1, {'@': 323})}, 513: {14: (1, {'@': 324}), 17: (1, {'@': 324}), 2: (1, {'@': 324}), 22: (1, {'@': 324}), 23: (1, {'@': 324}), 16: (1, {'@': 324}), 24: (1, {'@': 324}), 4: (1, {'@': 324}), 25: (1, {'@': 324}), 26: (1, {'@': 324}), 29: (1, {'@': 324}), 1: (1, {'@': 324}), 30: (1, {'@': 324}), 31: (1, {'@': 324}), 32: (1, {'@': 324}), 33: (1, {'@': 324})}}, 'start_states': {'start': 0}, 'end_states': {'start': 23}}, 'lexer_conf': {'tokens': [{'@': 0}, {'@': 1}, {'@': 2}, {'@': 3}, {'@': 4}, {'@': 5}, {'@': 6}, {'@': 7}, {'@': 8}, {'@': 9}, {'@': 10}, {'@': 11}, {'@': 12}, {'@': 13}, {'@': 14}, {'@': 15}, {'@': 16}, {'@': 17}, {'@': 18}, {'@': 19}, {'@': 20}, {'@': 21}, {'@': 22}, {'@': 23}, {'@': 24}, {'@': 25}, {'@': 26}, {'@': 27}, {'@': 28}, {'@': 29}, {'@': 30}, {'@': 31}, {'@': 32}, {'@': 33}, {'@': 34}, {'@': 35}, {'@': 36}, {'@': 37}, {'@': 38}, {'@': 39}, {'@': 40}, {'@': 41}, {'@': 42}, {'@': 43}, {'@': 44}], 'ignore': ['__IGNORE_0', '__IGNORE_1'], '__type__': 'LexerConf'}, 'start': ['start'], '__type__': 'LALR_TraditionalLexer'}, 'rules': [{'@': 98}, {'@': 61}, {'@': 65}, {'@': 51}, {'@': 50}, {'@': 45}, {'@': 111}, {'@': 168}, {'@': 142}, {'@': 206}, {'@': 125}, {'@': 169}, {'@': 99}, {'@': 126}, {'@': 127}, {'@': 145}, {'@': 46}, {'@': 55}, {'@': 71}, {'@': 73}, {'@': 95}, {'@': 204}, {'@': 74}, {'@': 90}, {'@': 124}, {'@': 123}, {'@': 120}, {'@': 117}, {'@': 119}, {'@': 116}, {'@': 112}, {'@': 110}, {'@': 113}, {'@': 121}, {'@': 118}, {'@': 108}, {'@': 114}, {'@': 109}, {'@': 107}, {'@': 115}, {'@': 167}, {'@': 139}, {'@': 174}, {'@': 151}, {'@': 150}, {'@': 131}, {'@': 76}, {'@': 91}, {'@': 78}, {'@': 94}, {'@': 96}, {'@': 86}, {'@': 84}, {'@': 85}, {'@': 72}, {'@': 80}, {'@': 70}, {'@': 69}, {'@': 88}, {'@': 82}, {'@': 97}, {'@': 83}, {'@': 68}, {'@': 92}, {'@': 77}, {'@': 93}, {'@': 89}, {'@': 79}, {'@': 205}, {'@': 140}, {'@': 141}, {'@': 275}, {'@': 245}, {'@': 246}, {'@': 213}, {'@': 247}, {'@': 214}, {'@': 183}, {'@': 248}, {'@': 217}, {'@': 216}, {'@': 185}, {'@': 215}, {'@': 184}, {'@': 158}, {'@': 259}, {'@': 231}, {'@': 229}, {'@': 194}, {'@': 233}, {'@': 196}, {'@': 161}, {'@': 228}, {'@': 192}, {'@': 193}, {'@': 160}, {'@': 198}, {'@': 163}, {'@': 135}, {'@': 134}, {'@': 101}, {'@': 208}, {'@': 173}, {'@': 172}, {'@': 147}, {'@': 171}, {'@': 146}, {'@': 143}, {'@': 128}, {'@': 100}, {'@': 148}, {'@': 129}, {'@': 149}, {'@': 130}, {'@': 75}, {'@': 87}, {'@': 212}, {'@': 181}, {'@': 182}, {'@': 157}, {'@': 180}, {'@': 156}, {'@': 133}, {'@': 210}, {'@': 176}, {'@': 211}, {'@': 178}, {'@': 177}, {'@': 153}, {'@': 175}, {'@': 152}, {'@': 179}, {'@': 155}, {'@': 154}, {'@': 132}, {'@': 103}, {'@': 105}, {'@': 104}, {'@': 106}, {'@': 236}, {'@': 203}, {'@': 199}, {'@': 164}, {'@': 136}, {'@': 138}, {'@': 102}, {'@': 200}, {'@': 165}, {'@': 298}, {'@': 279}, {'@': 278}, {'@': 253}, {'@': 277}, {'@': 252}, {'@': 220}, {'@': 276}, {'@': 250}, {'@': 249}, {'@': 218}, {'@': 251}, {'@': 219}, {'@': 186}, {'@': 280}, {'@': 255}, {'@': 256}, {'@': 225}, {'@': 257}, {'@': 226}, {'@': 190}, {'@': 254}, {'@': 223}, {'@': 222}, {'@': 188}, {'@': 224}, {'@': 189}, {'@': 159}, {'@': 319}, {'@': 307}, {'@': 308}, {'@': 289}, {'@': 309}, {'@': 290}, {'@': 267}, {'@': 310}, {'@': 291}, {'@': 292}, {'@': 268}, {'@': 293}, {'@': 269}, {'@': 241}, {'@': 311}, {'@': 295}, {'@': 296}, {'@': 273}, {'@': 297}, {'@': 274}, {'@': 244}, {'@': 294}, {'@': 271}, {'@': 270}, {'@': 242}, {'@': 272}, {'@': 243}, {'@': 209}, {'@': 324}, {'@': 322}, {'@': 321}, {'@': 314}, {'@': 320}, {'@': 313}, {'@': 312}, {'@': 299}, {'@': 315}, {'@': 301}, {'@': 300}, {'@': 281}, {'@': 302}, {'@': 284}, {'@': 283}, {'@': 262}, {'@': 282}, {'@': 260}, {'@': 261}, {'@': 237}, {'@': 323}, {'@': 318}, {'@': 317}, {'@': 306}, {'@': 316}, {'@': 304}, {'@': 305}, {'@': 287}, {'@': 303}, {'@': 285}, {'@': 286}, {'@': 263}, {'@': 288}, {'@': 265}, {'@': 264}, {'@': 238}, {'@': 266}, {'@': 240}, {'@': 239}, {'@': 207}, {'@': 221}, {'@': 187}, {'@': 48}, {'@': 53}, {'@': 47}, {'@': 64}, {'@': 63}, {'@': 62}, {'@': 57}, {'@': 56}, {'@': 67}, {'@': 66}, {'@': 49}, {'@': 54}, {'@': 52}, {'@': 58}, {'@': 60}, {'@': 59}, {'@': 81}, {'@': 122}, {'@': 227}, {'@': 191}, {'@': 197}, {'@': 162}, {'@': 258}, {'@': 230}, {'@': 232}, {'@': 195}, {'@': 144}, {'@': 170}, {'@': 137}, {'@': 166}, {'@': 201}, {'@': 202}, {'@': 235}, {'@': 234}], 'options': {'debug': False, 'keep_all_tokens': False, 'tree_class': None, 'cache_grammar': False, 'postlex': None, 'parser': 'lalr', 'lexer': 'standard', 'transformer': None, 'start': ['start'], 'profile': False, 'priority': None, 'ambiguity': 'auto', 'propagate_positions': False, 'lexer_callbacks': {}, 'maybe_placeholders': False, 'edit_terminals': None}, '__type__': 'Lark'})
MEMO = ({0: {'name': 'STRING_LIT', 'pattern': {'value': '\\"(?:(?:(?:(?:(?!\\${)([^"\\\\]|\\\\.))+)+|\\$\\{[^}]+\\}))*\\"', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 1: {'name': 'DECIMAL', 'pattern': {'value': '[0-9]', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 2: {'name': 'EXP_MARK', 'pattern': {'value': '(?:e|E)(?:(?:\\+|\\-))?', 'flags': [], '_width': [1, 2], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 3: {'name': '__IGNORE_0', 'pattern': {'value': '[ \t]+', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 4: {'name': '__IGNORE_1', 'pattern': {'value': '\\/\\*(.|\n)*?(\\*\\/)', 'flags': [], '_width': [4, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 5: {'name': 'EQUAL', 'pattern': {'value': '=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 6: {'name': 'LBRACE', 'pattern': {'value': '{', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 7: {'name': 'RBRACE', 'pattern': {'value': '}', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 8: {'name': 'COMMA', 'pattern': {'value': ',', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 9: {'name': '__ANON_0', 'pattern': {'value': '\n', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 10: {'name': '__ANON_1', 'pattern': {'value': '#.*\n', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 11: {'name': '__ANON_2', 'pattern': {'value': '\\/\\/.*\n', 'flags': [], '_width': [3, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 12: {'name': '__ANON_3', 'pattern': {'value': '[a-zA-Z_][a-zA-Z0-9_-]*', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 13: {'name': 'QMARK', 'pattern': {'value': '?', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 14: {'name': 'COLON', 'pattern': {'value': ':', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 15: {'name': 'MINUS', 'pattern': {'value': '-', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 16: {'name': 'BANG', 'pattern': {'value': '!', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 17: {'name': '__ANON_4', 'pattern': {'value': '==', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 18: {'name': '__ANON_5', 'pattern': {'value': '!=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 19: {'name': 'LESSTHAN', 'pattern': {'value': '<', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 20: {'name': 'MORETHAN', 'pattern': {'value': '>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 21: {'name': '__ANON_6', 'pattern': {'value': '<=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 22: {'name': '__ANON_7', 'pattern': {'value': '>=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 23: {'name': 'STAR', 'pattern': {'value': '*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 24: {'name': 'SLASH', 'pattern': {'value': '/', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 25: {'name': 'PERCENT', 'pattern': {'value': '%', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 26: {'name': '__ANON_8', 'pattern': {'value': '&&', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 27: {'name': '__ANON_9', 'pattern': {'value': '||', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 28: {'name': 'PLUS', 'pattern': {'value': '+', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 29: {'name': 'LPAR', 'pattern': {'value': '(', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 30: {'name': 'RPAR', 'pattern': {'value': ')', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 31: {'name': 'TRUE', 'pattern': {'value': 'true', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 32: {'name': 'FALSE', 'pattern': {'value': 'false', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 33: {'name': 'NULL', 'pattern': {'value': 'null', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 34: {'name': 'DOT', 'pattern': {'value': '.', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 35: {'name': 'LSQB', 'pattern': {'value': '[', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 36: {'name': 'RSQB', 'pattern': {'value': ']', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 37: {'name': '__ANON_10', 'pattern': {'value': '<<(?P<heredoc>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc)', 'flags': [], '_width': [9, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 38: {'name': '__ANON_11', 'pattern': {'value': '<<-(?P<heredoc_trim>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc_trim)', 'flags': [], '_width': [10, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 39: {'name': '__ANON_12', 'pattern': {'value': '...', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 40: {'name': '__ANON_13', 'pattern': {'value': '.*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 41: {'name': '__ANON_14', 'pattern': {'value': '=>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 42: {'name': 'FOR', 'pattern': {'value': 'for', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 43: {'name': 'IN', 'pattern': {'value': 'in', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 44: {'name': 'IF', 'pattern': {'value': 'if', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 45: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 46: {'origin': {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 47: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'one_line_block', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 48: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 49: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 50: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 51: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 52: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 53: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'block', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 54: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 55: {'origin': {'name': 'identifier', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_3', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 56: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 57: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 58: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 59: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 60: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 61: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 62: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'one_line_block', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 63: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'block', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 64: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 65: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 66: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 67: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 68: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_tuple_expr', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 69: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 70: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 71: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 72: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'function_call', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 73: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'operation', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 74: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'unary_op', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 75: {'origin': {'name': 'heredoc_template', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_10', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 76: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'true_lit', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 77: {'origin': {'name': 'true_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'TRUE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 78: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'null_lit', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 79: {'origin': {'name': 'int_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 80: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index_expr_term', '__type__': 'NonTerminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 81: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 82: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 83: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 84: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'tuple', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 85: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'object', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 86: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 87: {'origin': {'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_11', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 88: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 89: {'origin': {'name': 'null_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'NULL', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 90: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_op', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 91: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'false_lit', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 92: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_object_expr', '__type__': 'NonTerminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 93: {'origin': {'name': 'false_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FALSE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 94: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'float_lit', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 95: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'conditional', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 96: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'int_lit', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 97: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 98: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 99: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 100: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 101: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 102: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 103: {'origin': {'name': 'index_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 104: {'origin': {'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'attr_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 105: {'origin': {'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 106: {'origin': {'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'full_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 107: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_9', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 108: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'SLASH', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 109: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_8', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 110: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_6', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 111: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 112: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MORETHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 113: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_7', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 114: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PERCENT', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 115: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PLUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 116: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LESSTHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 117: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_4', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 118: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 119: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_5', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 120: {'origin': {'name': 'binary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'binary_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 121: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 122: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 123: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'BANG', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 124: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 125: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 126: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 127: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 128: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 129: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 130: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 131: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 132: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 133: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 134: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 135: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 136: {'origin': {'name': 'get_attr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 137: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 138: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_6', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 139: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 140: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 141: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 142: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 143: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 144: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 145: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 146: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 147: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 148: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 149: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 150: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 151: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 152: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 153: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 154: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 155: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 156: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 157: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 158: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 159: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 160: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 161: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 162: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 163: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 164: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 165: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 166: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_6', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 167: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 168: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 169: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 170: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 171: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 172: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 173: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 174: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 175: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 176: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 177: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 178: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 179: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 180: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 181: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 182: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 183: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 184: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 185: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 186: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 187: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 188: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 189: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 190: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 191: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 192: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 193: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 194: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 195: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': None, '__type__': 'Rule'}, 196: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 197: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 198: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 199: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 200: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_7', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 201: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 202: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 203: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 204: {'origin': {'name': 'conditional', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'QMARK', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 205: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 206: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 207: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 39, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 208: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 209: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 210: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 211: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 212: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 213: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 214: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 215: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 216: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 217: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 218: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 219: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 220: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 221: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 222: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 223: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 224: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 225: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 226: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 227: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 228: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 229: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 230: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 231: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 232: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': None, '__type__': 'Rule'}, 233: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 234: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 235: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 236: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 237: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 238: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 35, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 239: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 38, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 240: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 37, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 241: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 242: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 243: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 244: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 245: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 246: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 247: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 248: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 249: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 250: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 251: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 252: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 253: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 254: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 255: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 256: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 257: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 258: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 259: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 260: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 261: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 262: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 263: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 31, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 264: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 34, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 265: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 33, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 266: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 36, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 267: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 268: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 269: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 270: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 271: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 272: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 273: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 274: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 275: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 276: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 277: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 278: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 279: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 280: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 281: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 282: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 283: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 284: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 285: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 286: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 30, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 287: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 288: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 32, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 289: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 290: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 291: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 292: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 293: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 294: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 295: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 296: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 297: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 298: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 299: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 300: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 301: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 302: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 303: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 304: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 305: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 306: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 307: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 308: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 309: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 310: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 311: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 312: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 313: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 314: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 315: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 316: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 317: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 318: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 319: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 320: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 321: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 322: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 323: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 324: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}})

def Lark_StandAlone(transformer=None, postlex=None):
  namespace = {'Rule': Rule, 'TerminalDef': TerminalDef}
  return Lark.deserialize(DATA, namespace, MEMO, transformer=transformer, postlex=postlex)

